#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 1307
#define LARGE_STATE_COUNT 20
#define SYMBOL_COUNT 196
#define ALIAS_COUNT 4
#define TOKEN_COUNT 90
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 33
#define MAX_ALIAS_SEQUENCE_LENGTH 9

enum {
  sym_identifier = 1,
  anon_sym_LF = 2,
  anon_sym_SEMI = 3,
  anon_sym_package = 4,
  anon_sym_import = 5,
  anon_sym_DOT = 6,
  sym_blank_identifier = 7,
  anon_sym_LPAREN = 8,
  anon_sym_RPAREN = 9,
  anon_sym_const = 10,
  anon_sym_COMMA = 11,
  anon_sym_EQ = 12,
  anon_sym_var = 13,
  anon_sym_func = 14,
  anon_sym_DOT_DOT_DOT = 15,
  anon_sym_type = 16,
  anon_sym_STAR = 17,
  anon_sym_LBRACK = 18,
  anon_sym_RBRACK = 19,
  anon_sym_struct = 20,
  anon_sym_LBRACE = 21,
  anon_sym_RBRACE = 22,
  anon_sym_interface = 23,
  anon_sym_map = 24,
  anon_sym_chan = 25,
  anon_sym_LT_DASH = 26,
  anon_sym_COLON_EQ = 27,
  anon_sym_PLUS_PLUS = 28,
  anon_sym_DASH_DASH = 29,
  anon_sym_STAR_EQ = 30,
  anon_sym_SLASH_EQ = 31,
  anon_sym_PERCENT_EQ = 32,
  anon_sym_LT_LT_EQ = 33,
  anon_sym_GT_GT_EQ = 34,
  anon_sym_AMP_EQ = 35,
  anon_sym_AMP_CARET_EQ = 36,
  anon_sym_PLUS_EQ = 37,
  anon_sym_DASH_EQ = 38,
  anon_sym_PIPE_EQ = 39,
  anon_sym_CARET_EQ = 40,
  anon_sym_COLON = 41,
  anon_sym_fallthrough = 42,
  anon_sym_break = 43,
  anon_sym_continue = 44,
  anon_sym_goto = 45,
  anon_sym_return = 46,
  anon_sym_go = 47,
  anon_sym_defer = 48,
  anon_sym_if = 49,
  anon_sym_else = 50,
  anon_sym_for = 51,
  anon_sym_range = 52,
  anon_sym_switch = 53,
  anon_sym_case = 54,
  anon_sym_default = 55,
  anon_sym_select = 56,
  anon_sym_new = 57,
  anon_sym_make = 58,
  anon_sym_PLUS = 59,
  anon_sym_DASH = 60,
  anon_sym_BANG = 61,
  anon_sym_CARET = 62,
  anon_sym_AMP = 63,
  anon_sym_SLASH = 64,
  anon_sym_PERCENT = 65,
  anon_sym_LT_LT = 66,
  anon_sym_GT_GT = 67,
  anon_sym_AMP_CARET = 68,
  anon_sym_PIPE = 69,
  anon_sym_EQ_EQ = 70,
  anon_sym_BANG_EQ = 71,
  anon_sym_LT = 72,
  anon_sym_LT_EQ = 73,
  anon_sym_GT = 74,
  anon_sym_GT_EQ = 75,
  anon_sym_AMP_AMP = 76,
  anon_sym_PIPE_PIPE = 77,
  sym_raw_string_literal = 78,
  anon_sym_DQUOTE = 79,
  aux_sym_interpreted_string_literal_token1 = 80,
  sym_escape_sequence = 81,
  sym_int_literal = 82,
  sym_float_literal = 83,
  sym_imaginary_literal = 84,
  sym_rune_literal = 85,
  sym_nil = 86,
  sym_true = 87,
  sym_false = 88,
  sym_comment = 89,
  sym_source_file = 90,
  sym_package_clause = 91,
  sym_import_declaration = 92,
  sym_import_spec = 93,
  sym_dot = 94,
  sym_import_spec_list = 95,
  sym__declaration = 96,
  sym_const_declaration = 97,
  sym_const_spec = 98,
  sym_var_declaration = 99,
  sym_var_spec = 100,
  sym_function_declaration = 101,
  sym_method_declaration = 102,
  sym_parameter_list = 103,
  sym_parameter_declaration = 104,
  sym_variadic_parameter_declaration = 105,
  sym_type_alias = 106,
  sym_type_declaration = 107,
  sym_type_spec = 108,
  sym_expression_list = 109,
  sym_parenthesized_type = 110,
  sym__simple_type = 111,
  sym_pointer_type = 112,
  sym_array_type = 113,
  sym_implicit_length_array_type = 114,
  sym_slice_type = 115,
  sym_struct_type = 116,
  sym_field_declaration_list = 117,
  sym_field_declaration = 118,
  sym_interface_type = 119,
  sym_method_spec_list = 120,
  sym_method_spec = 121,
  sym_map_type = 122,
  sym_channel_type = 123,
  sym_function_type = 124,
  sym_block = 125,
  sym__statement_list = 126,
  sym__statement = 127,
  sym_empty_statement = 128,
  sym__simple_statement = 129,
  sym_send_statement = 130,
  sym_receive_statement = 131,
  sym_inc_statement = 132,
  sym_dec_statement = 133,
  sym_assignment_statement = 134,
  sym_short_var_declaration = 135,
  sym_labeled_statement = 136,
  sym_empty_labeled_statement = 137,
  sym_fallthrough_statement = 138,
  sym_break_statement = 139,
  sym_continue_statement = 140,
  sym_goto_statement = 141,
  sym_return_statement = 142,
  sym_go_statement = 143,
  sym_defer_statement = 144,
  sym_if_statement = 145,
  sym_for_statement = 146,
  sym_for_clause = 147,
  sym_range_clause = 148,
  sym_expression_switch_statement = 149,
  sym_expression_case = 150,
  sym_default_case = 151,
  sym_type_switch_statement = 152,
  sym__type_switch_header = 153,
  sym_type_case = 154,
  sym_select_statement = 155,
  sym_communication_case = 156,
  sym__expression = 157,
  sym_parenthesized_expression = 158,
  sym_call_expression = 159,
  sym_variadic_argument = 160,
  sym_special_argument_list = 161,
  sym_argument_list = 162,
  sym_selector_expression = 163,
  sym_index_expression = 164,
  sym_slice_expression = 165,
  sym_type_assertion_expression = 166,
  sym_type_conversion_expression = 167,
  sym_composite_literal = 168,
  sym_literal_value = 169,
  sym_keyed_element = 170,
  sym_element = 171,
  sym_func_literal = 172,
  sym_unary_expression = 173,
  sym_binary_expression = 174,
  sym_qualified_type = 175,
  sym_interpreted_string_literal = 176,
  aux_sym_source_file_repeat1 = 177,
  aux_sym_import_spec_list_repeat1 = 178,
  aux_sym_const_declaration_repeat1 = 179,
  aux_sym_const_spec_repeat1 = 180,
  aux_sym_var_declaration_repeat1 = 181,
  aux_sym_parameter_list_repeat1 = 182,
  aux_sym_type_declaration_repeat1 = 183,
  aux_sym_field_name_list_repeat1 = 184,
  aux_sym_expression_list_repeat1 = 185,
  aux_sym_field_declaration_list_repeat1 = 186,
  aux_sym_method_spec_list_repeat1 = 187,
  aux_sym__statement_list_repeat1 = 188,
  aux_sym_expression_switch_statement_repeat1 = 189,
  aux_sym_type_switch_statement_repeat1 = 190,
  aux_sym_type_case_repeat1 = 191,
  aux_sym_select_statement_repeat1 = 192,
  aux_sym_argument_list_repeat1 = 193,
  aux_sym_literal_value_repeat1 = 194,
  aux_sym_interpreted_string_literal_repeat1 = 195,
  alias_sym_field_identifier = 196,
  alias_sym_label_name = 197,
  alias_sym_package_identifier = 198,
  alias_sym_type_identifier = 199,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_struct] = "struct",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_select] = "select",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_PIPE] = "|",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_interpreted_string_literal_token1] = "interpreted_string_literal_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym_method_spec_list] = "method_spec_list",
  [sym_method_spec] = "method_spec",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym__type_switch_header] = "_type_switch_header",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_keyed_element] = "keyed_element",
  [sym_element] = "element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_declaration_repeat1] = "var_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_field_name_list_repeat1] = "field_name_list_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_method_spec_list_repeat1] = "method_spec_list_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_type_case_repeat1] = "type_case_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_blank_identifier] = sym_blank_identifier,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_func] = anon_sym_func,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_chan] = anon_sym_chan,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_AMP_CARET_EQ] = anon_sym_AMP_CARET_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_range] = anon_sym_range,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_new] = sym_identifier,
  [anon_sym_make] = sym_identifier,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_CARET] = anon_sym_AMP_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_interpreted_string_literal_token1] = aux_sym_interpreted_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_int_literal] = sym_int_literal,
  [sym_float_literal] = sym_float_literal,
  [sym_imaginary_literal] = sym_imaginary_literal,
  [sym_rune_literal] = sym_rune_literal,
  [sym_nil] = sym_nil,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_package_clause] = sym_package_clause,
  [sym_import_declaration] = sym_import_declaration,
  [sym_import_spec] = sym_import_spec,
  [sym_dot] = sym_dot,
  [sym_import_spec_list] = sym_import_spec_list,
  [sym__declaration] = sym__declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_spec] = sym_const_spec,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_spec] = sym_var_spec,
  [sym_function_declaration] = sym_function_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_type_alias] = sym_type_alias,
  [sym_type_declaration] = sym_type_declaration,
  [sym_type_spec] = sym_type_spec,
  [sym_expression_list] = sym_expression_list,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_type] = sym__simple_type,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_implicit_length_array_type] = sym_implicit_length_array_type,
  [sym_slice_type] = sym_slice_type,
  [sym_struct_type] = sym_struct_type,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_interface_type] = sym_interface_type,
  [sym_method_spec_list] = sym_method_spec_list,
  [sym_method_spec] = sym_method_spec,
  [sym_map_type] = sym_map_type,
  [sym_channel_type] = sym_channel_type,
  [sym_function_type] = sym_function_type,
  [sym_block] = sym_block,
  [sym__statement_list] = sym__statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym__simple_statement] = sym__simple_statement,
  [sym_send_statement] = sym_send_statement,
  [sym_receive_statement] = sym_receive_statement,
  [sym_inc_statement] = sym_inc_statement,
  [sym_dec_statement] = sym_dec_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_short_var_declaration] = sym_short_var_declaration,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_empty_labeled_statement] = sym_labeled_statement,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_go_statement] = sym_go_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_clause] = sym_for_clause,
  [sym_range_clause] = sym_range_clause,
  [sym_expression_switch_statement] = sym_expression_switch_statement,
  [sym_expression_case] = sym_expression_case,
  [sym_default_case] = sym_default_case,
  [sym_type_switch_statement] = sym_type_switch_statement,
  [sym__type_switch_header] = sym__type_switch_header,
  [sym_type_case] = sym_type_case,
  [sym_select_statement] = sym_select_statement,
  [sym_communication_case] = sym_communication_case,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_variadic_argument] = sym_variadic_argument,
  [sym_special_argument_list] = sym_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_selector_expression] = sym_selector_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_type_assertion_expression] = sym_type_assertion_expression,
  [sym_type_conversion_expression] = sym_type_conversion_expression,
  [sym_composite_literal] = sym_composite_literal,
  [sym_literal_value] = sym_literal_value,
  [sym_keyed_element] = sym_keyed_element,
  [sym_element] = sym_element,
  [sym_func_literal] = sym_func_literal,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_qualified_type] = sym_qualified_type,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_import_spec_list_repeat1] = aux_sym_import_spec_list_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_const_spec_repeat1] = aux_sym_const_spec_repeat1,
  [aux_sym_var_declaration_repeat1] = aux_sym_var_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_field_name_list_repeat1] = aux_sym_field_name_list_repeat1,
  [aux_sym_expression_list_repeat1] = aux_sym_expression_list_repeat1,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_method_spec_list_repeat1] = aux_sym_method_spec_list_repeat1,
  [aux_sym__statement_list_repeat1] = aux_sym__statement_list_repeat1,
  [aux_sym_expression_switch_statement_repeat1] = aux_sym_expression_switch_statement_repeat1,
  [aux_sym_type_switch_statement_repeat1] = aux_sym_type_switch_statement_repeat1,
  [aux_sym_type_case_repeat1] = aux_sym_type_case_repeat1,
  [aux_sym_select_statement_repeat1] = aux_sym_select_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_literal_value_repeat1] = aux_sym_literal_value_repeat1,
  [aux_sym_interpreted_string_literal_repeat1] = aux_sym_interpreted_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_package_identifier] = alias_sym_package_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_switch_header] = {
    .visible = false,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_name_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_body = 4,
  field_capacity = 5,
  field_channel = 6,
  field_communication = 7,
  field_condition = 8,
  field_consequence = 9,
  field_element = 10,
  field_end = 11,
  field_field = 12,
  field_function = 13,
  field_index = 14,
  field_initializer = 15,
  field_key = 16,
  field_label = 17,
  field_left = 18,
  field_length = 19,
  field_name = 20,
  field_operand = 21,
  field_operator = 22,
  field_package = 23,
  field_parameters = 24,
  field_path = 25,
  field_receiver = 26,
  field_result = 27,
  field_right = 28,
  field_start = 29,
  field_tag = 30,
  field_type = 31,
  field_update = 32,
  field_value = 33,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_capacity] = "capacity",
  [field_channel] = "channel",
  [field_communication] = "communication",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_receiver] = "receiver",
  [field_result] = "result",
  [field_right] = "right",
  [field_start] = "start",
  [field_tag] = "tag",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[97] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 6, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 13, .length = 1},
  [14] = {.index = 14, .length = 1},
  [15] = {.index = 15, .length = 3},
  [16] = {.index = 18, .length = 1},
  [17] = {.index = 19, .length = 3},
  [18] = {.index = 22, .length = 3},
  [19] = {.index = 25, .length = 3},
  [20] = {.index = 28, .length = 2},
  [21] = {.index = 30, .length = 2},
  [22] = {.index = 32, .length = 2},
  [23] = {.index = 34, .length = 2},
  [24] = {.index = 34, .length = 2},
  [25] = {.index = 36, .length = 2},
  [26] = {.index = 38, .length = 1},
  [27] = {.index = 8, .length = 1},
  [28] = {.index = 39, .length = 1},
  [29] = {.index = 40, .length = 2},
  [30] = {.index = 42, .length = 3},
  [31] = {.index = 45, .length = 3},
  [32] = {.index = 28, .length = 2},
  [33] = {.index = 48, .length = 4},
  [34] = {.index = 52, .length = 4},
  [35] = {.index = 56, .length = 4},
  [36] = {.index = 60, .length = 2},
  [37] = {.index = 62, .length = 2},
  [38] = {.index = 64, .length = 3},
  [39] = {.index = 67, .length = 2},
  [40] = {.index = 18, .length = 1},
  [41] = {.index = 69, .length = 2},
  [42] = {.index = 6, .length = 2},
  [43] = {.index = 69, .length = 2},
  [45] = {.index = 71, .length = 2},
  [46] = {.index = 73, .length = 4},
  [48] = {.index = 77, .length = 1},
  [49] = {.index = 78, .length = 1},
  [50] = {.index = 79, .length = 5},
  [51] = {.index = 84, .length = 3},
  [52] = {.index = 87, .length = 1},
  [53] = {.index = 88, .length = 2},
  [54] = {.index = 90, .length = 1},
  [55] = {.index = 91, .length = 2},
  [56] = {.index = 93, .length = 2},
  [57] = {.index = 93, .length = 2},
  [59] = {.index = 95, .length = 3},
  [60] = {.index = 15, .length = 3},
  [61] = {.index = 98, .length = 3},
  [62] = {.index = 101, .length = 2},
  [63] = {.index = 103, .length = 2},
  [64] = {.index = 105, .length = 1},
  [65] = {.index = 106, .length = 1},
  [66] = {.index = 107, .length = 2},
  [67] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 2},
  [71] = {.index = 115, .length = 2},
  [72] = {.index = 117, .length = 4},
  [73] = {.index = 121, .length = 1},
  [74] = {.index = 122, .length = 1},
  [75] = {.index = 123, .length = 1},
  [76] = {.index = 124, .length = 3},
  [77] = {.index = 127, .length = 1},
  [78] = {.index = 128, .length = 3},
  [79] = {.index = 131, .length = 3},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 2},
  [84] = {.index = 143, .length = 2},
  [85] = {.index = 145, .length = 1},
  [86] = {.index = 146, .length = 1},
  [87] = {.index = 147, .length = 3},
  [88] = {.index = 150, .length = 3},
  [89] = {.index = 153, .length = 2},
  [90] = {.index = 155, .length = 1},
  [91] = {.index = 156, .length = 4},
  [92] = {.index = 160, .length = 4},
  [93] = {.index = 164, .length = 2},
  [94] = {.index = 166, .length = 2},
  [95] = {.index = 168, .length = 2},
  [96] = {.index = 170, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_path, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_name, 0},
    {field_path, 1},
  [4] =
    {field_name, 0},
    {field_name, 1},
  [6] =
    {field_name, 0},
    {field_type, 1},
  [8] =
    {field_type, 0},
  [9] =
    {field_name, 1},
    {field_parameters, 2},
  [11] =
    {field_name, 0},
    {field_value, 2},
  [13] =
    {field_parameters, 1},
  [14] =
    {field_value, 1},
  [15] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
  [18] =
    {field_type, 1},
  [19] =
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [22] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [25] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [28] =
    {field_name, 0},
    {field_type, 2},
  [30] =
    {field_operand, 1},
    {field_operator, 0},
  [32] =
    {field_arguments, 1},
    {field_function, 0},
  [34] =
    {field_body, 1},
    {field_type, 0},
  [36] =
    {field_parameters, 1},
    {field_result, 2},
  [38] =
    {field_element, 2},
  [39] =
    {field_value, 2},
  [40] =
    {field_name, 2},
    {field_package, 0},
  [42] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 3},
  [45] =
    {field_name, 0},
    {field_name, 1},
    {field_value, 3},
  [48] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [52] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [56] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [60] =
    {field_body, 2},
    {field_parameters, 1},
  [62] =
    {field_field, 2},
    {field_operand, 0},
  [64] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [67] =
    {field_element, 3},
    {field_length, 1},
  [69] =
    {field_tag, 1},
    {field_type, 0},
  [71] =
    {field_name, 0},
    {field_parameters, 1},
  [73] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_value, 4},
  [77] =
    {field_body, 1},
  [78] =
    {field_label, 0},
  [79] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [84] =
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [87] =
    {field_element, 3},
  [88] =
    {field_operand, 2},
    {field_type, 0},
  [90] =
    {field_operand, 0},
  [91] =
    {field_index, 2},
    {field_operand, 0},
  [93] =
    {field_tag, 2},
    {field_type, 1},
  [95] =
    {field_name, 0},
    {field_tag, 2},
    {field_type, 1},
  [98] =
    {field_name, 0},
    {field_parameters, 1},
    {field_result, 2},
  [101] =
    {field_key, 2},
    {field_value, 4},
  [103] =
    {field_condition, 1},
    {field_consequence, 2},
  [105] =
    {field_right, 1},
  [106] =
    {field_body, 2},
  [107] =
    {field_left, 0},
    {field_right, 2},
  [109] =
    {field_channel, 0},
    {field_value, 2},
  [111] =
    {field_operand, 0},
    {field_type, 3},
  [113] =
    {field_end, 3},
    {field_operand, 0},
  [115] =
    {field_operand, 0},
    {field_start, 2},
  [117] =
    {field_name, 0},
    {field_name, 1},
    {field_tag, 3},
    {field_type, 2},
  [121] =
    {field_update, 2},
  [122] =
    {field_condition, 1},
  [123] =
    {field_initializer, 0},
  [124] =
    {field_alias, 1, .inherited = true},
    {field_initializer, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [127] =
    {field_right, 0},
  [128] =
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [131] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [134] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [137] =
    {field_condition, 1},
    {field_update, 3},
  [139] =
    {field_left, 0},
    {field_right, 3},
  [141] =
    {field_initializer, 0},
    {field_update, 3},
  [143] =
    {field_condition, 2},
    {field_initializer, 0},
  [145] =
    {field_initializer, 1},
  [146] =
    {field_communication, 1},
  [147] =
    {field_capacity, 5},
    {field_end, 3},
    {field_operand, 0},
  [150] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [153] =
    {field_initializer, 1},
    {field_value, 3},
  [155] =
    {field_value, 0},
  [156] =
    {field_capacity, 6},
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [160] =
    {field_alternative, 6},
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [164] =
    {field_type, 1},
    {field_type, 2},
  [166] =
    {field_alias, 0},
    {field_value, 2},
  [168] =
    {field_initializer, 0},
    {field_value, 2},
  [170] =
    {field_alias, 2},
    {field_initializer, 0},
    {field_value, 4},
};

static TSSymbol ts_alias_sequences[97][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [1] = alias_sym_package_identifier,
  },
  [5] = {
    [0] = alias_sym_package_identifier,
  },
  [6] = {
    [0] = alias_sym_type_identifier,
  },
  [11] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [2] = alias_sym_field_identifier,
  },
  [20] = {
    [0] = alias_sym_type_identifier,
  },
  [23] = {
    [0] = alias_sym_type_identifier,
  },
  [27] = {
    [0] = alias_sym_type_identifier,
  },
  [29] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [34] = {
    [2] = alias_sym_field_identifier,
  },
  [35] = {
    [2] = alias_sym_field_identifier,
  },
  [37] = {
    [2] = alias_sym_field_identifier,
  },
  [40] = {
    [1] = alias_sym_type_identifier,
  },
  [41] = {
    [0] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = alias_sym_field_identifier,
  },
  [44] = {
    [1] = alias_sym_type_identifier,
  },
  [45] = {
    [0] = alias_sym_field_identifier,
  },
  [47] = {
    [1] = alias_sym_label_name,
  },
  [49] = {
    [0] = alias_sym_label_name,
  },
  [50] = {
    [2] = alias_sym_field_identifier,
  },
  [56] = {
    [1] = alias_sym_type_identifier,
  },
  [58] = {
    [1] = alias_sym_field_identifier,
  },
  [59] = {
    [0] = alias_sym_field_identifier,
  },
  [60] = {
    [0] = alias_sym_field_identifier,
  },
  [61] = {
    [0] = alias_sym_field_identifier,
  },
  [68] = {
    [0] = alias_sym_field_identifier,
  },
  [72] = {
    [0] = alias_sym_field_identifier,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(60);
      if (lookahead == '!') ADVANCE(102);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '%') ADVANCE(111);
      if (lookahead == '&') ADVANCE(106);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(96);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == '0') ADVANCE(143);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(122);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(127);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == ']') ADVANCE(75);
      if (lookahead == '^') ADVANCE(104);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(7)
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(138);
      if (lookahead != 0) ADVANCE(139);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(101);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '&') ADVANCE(105);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(95);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '.') ADVANCE(13);
      if (lookahead == '/') ADVANCE(9);
      if (lookahead == '0') ADVANCE(143);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(12);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == ']') ADVANCE(75);
      if (lookahead == '^') ADVANCE(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '%') ADVANCE(111);
      if (lookahead == '&') ADVANCE(106);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(96);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(122);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(127);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == ']') ADVANCE(75);
      if (lookahead == '^') ADVANCE(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(111);
      if (lookahead == '&') ADVANCE(106);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(97);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(100);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == ':') ADVANCE(18);
      if (lookahead == '<') ADVANCE(124);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(127);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(110);
      if (lookahead == '&') ADVANCE(107);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(95);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(128);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == ']') ADVANCE(75);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(110);
      if (lookahead == '&') ADVANCE(107);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(95);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '<') ADVANCE(123);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(128);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '/') ADVANCE(9);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      END_STATE();
    case 8:
      if (lookahead == '\'') ADVANCE(153);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(11);
      if (lookahead == '/') ADVANCE(155);
      END_STATE();
    case 10:
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(154);
      if (lookahead != 0) ADVANCE(11);
      END_STATE();
    case 11:
      if (lookahead == '*') ADVANCE(10);
      if (lookahead != 0) ADVANCE(11);
      END_STATE();
    case 12:
      if (lookahead == '-') ADVANCE(78);
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(151);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(14);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(71);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '_') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(146);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 20:
      if (lookahead == 'U') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(142);
      if (lookahead != 0) ADVANCE(140);
      END_STATE();
    case 21:
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(8);
      END_STATE();
    case 22:
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(147);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 24:
      if (lookahead == '`') ADVANCE(133);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 26:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(147);
      END_STATE();
    case 27:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 28:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (lookahead == '_') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(28);
      END_STATE();
    case 29:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(28);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(8);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(30);
      END_STATE();
    case 33:
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          lookahead == 't' ||
          lookahead == 'v') ADVANCE(8);
      if (lookahead == 'U') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(32);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(14);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(8);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(140);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(146);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(28);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 56:
      if (eof) ADVANCE(60);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(101);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '&') ADVANCE(105);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(95);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '.') ADVANCE(35);
      if (lookahead == '/') ADVANCE(9);
      if (lookahead == '0') ADVANCE(143);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(12);
      if (lookahead == '=') ADVANCE(69);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '^') ADVANCE(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(56)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 57:
      if (eof) ADVANCE(60);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '%') ADVANCE(111);
      if (lookahead == '&') ADVANCE(106);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(96);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(122);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(127);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '^') ADVANCE(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(57)
      END_STATE();
    case 58:
      if (eof) ADVANCE(60);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '%') ADVANCE(110);
      if (lookahead == '&') ADVANCE(107);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(95);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(19);
      if (lookahead == '>') ADVANCE(128);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '^') ADVANCE(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(58)
      END_STATE();
    case 59:
      if (eof) ADVANCE(60);
      if (lookahead == '!') ADVANCE(102);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '%') ADVANCE(111);
      if (lookahead == '&') ADVANCE(106);
      if (lookahead == '\'') ADVANCE(21);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(96);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == '0') ADVANCE(143);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(122);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(127);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == ']') ADVANCE(75);
      if (lookahead == '^') ADVANCE(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(24);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(15);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(82);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(80);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(81);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(92);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(130);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '^') ADVANCE(117);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(130);
      if (lookahead == '^') ADVANCE(116);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(11);
      if (lookahead == '/') ADVANCE(155);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(11);
      if (lookahead == '/') ADVANCE(155);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(85);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(91);
      if (lookahead == '|') ADVANCE(131);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(131);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(78);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(78);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(129);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(129);
      if (lookahead == '>') ADVANCE(114);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead == '*') ADVANCE(137);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(139);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead == '*') ADVANCE(136);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead == '*') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(139);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(151);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(22);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(23);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(16);
      if (lookahead == '_') ADVANCE(27);
      if (lookahead == 'i') ADVANCE(152);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(151);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(27);
      if (lookahead == 'i') ADVANCE(152);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(151);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == 'i') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(29);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(25);
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'i') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == 'i') ADVANCE(152);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(25);
      if (lookahead == 'i') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(150);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(155);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'm') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'v') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'm') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(29);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(31);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(32);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(35);
      if (lookahead == 't') ADVANCE(36);
      if (lookahead == 'w') ADVANCE(37);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(38);
      if (lookahead == 'y') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(40);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(42);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(44);
      END_STATE();
    case 20:
      if (lookahead == 'f') ADVANCE(45);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't') ADVANCE(50);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(51);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(52);
      END_STATE();
    case 29:
      if (lookahead == 'k') ADVANCE(53);
      if (lookahead == 'p') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'w') ADVANCE(55);
      END_STATE();
    case 31:
      if (lookahead == 'l') ADVANCE(56);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(57);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(58);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(60);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(62);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(64);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(65);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 43:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 44:
      if (lookahead == 's') ADVANCE(69);
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(71);
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 47:
      if (lookahead == 'l') ADVANCE(74);
      if (lookahead == 's') ADVANCE(75);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 49:
      if (lookahead == 'c') ADVANCE(76);
      END_STATE();
    case 50:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 51:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 52:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 57:
      if (lookahead == 'k') ADVANCE(81);
      END_STATE();
    case 58:
      if (lookahead == 'g') ADVANCE(82);
      END_STATE();
    case 59:
      if (lookahead == 'u') ADVANCE(83);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(85);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 66:
      if (lookahead == 'k') ADVANCE(89);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(91);
      END_STATE();
    case 71:
      if (lookahead == 'u') ADVANCE(92);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 74:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 79:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(98);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 84:
      if (lookahead == 'c') ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'c') ADVANCE(103);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 91:
      if (lookahead == 'n') ADVANCE(104);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(105);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(106);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 97:
      if (lookahead == 'f') ADVANCE(108);
      END_STATE();
    case 98:
      if (lookahead == 'g') ADVANCE(109);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 100:
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 101:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 103:
      if (lookahead == 'h') ADVANCE(113);
      END_STATE();
    case 104:
      if (lookahead == 'u') ADVANCE(114);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 106:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(117);
      END_STATE();
    case 109:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 116:
      if (lookahead == 'o') ADVANCE(120);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(121);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 120:
      if (lookahead == 'u') ADVANCE(122);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 122:
      if (lookahead == 'g') ADVANCE(124);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 124:
      if (lookahead == 'h') ADVANCE(125);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 2},
  [3] = {.lex_state = 2},
  [4] = {.lex_state = 2},
  [5] = {.lex_state = 2},
  [6] = {.lex_state = 2},
  [7] = {.lex_state = 2},
  [8] = {.lex_state = 2},
  [9] = {.lex_state = 2},
  [10] = {.lex_state = 2},
  [11] = {.lex_state = 2},
  [12] = {.lex_state = 2},
  [13] = {.lex_state = 2},
  [14] = {.lex_state = 2},
  [15] = {.lex_state = 2},
  [16] = {.lex_state = 2},
  [17] = {.lex_state = 2},
  [18] = {.lex_state = 2},
  [19] = {.lex_state = 2},
  [20] = {.lex_state = 2},
  [21] = {.lex_state = 2},
  [22] = {.lex_state = 2},
  [23] = {.lex_state = 2},
  [24] = {.lex_state = 2},
  [25] = {.lex_state = 2},
  [26] = {.lex_state = 56},
  [27] = {.lex_state = 2},
  [28] = {.lex_state = 2},
  [29] = {.lex_state = 2},
  [30] = {.lex_state = 2},
  [31] = {.lex_state = 2},
  [32] = {.lex_state = 2},
  [33] = {.lex_state = 2},
  [34] = {.lex_state = 2},
  [35] = {.lex_state = 2},
  [36] = {.lex_state = 2},
  [37] = {.lex_state = 2},
  [38] = {.lex_state = 2},
  [39] = {.lex_state = 2},
  [40] = {.lex_state = 2},
  [41] = {.lex_state = 2},
  [42] = {.lex_state = 2},
  [43] = {.lex_state = 2},
  [44] = {.lex_state = 2},
  [45] = {.lex_state = 2},
  [46] = {.lex_state = 2},
  [47] = {.lex_state = 2},
  [48] = {.lex_state = 2},
  [49] = {.lex_state = 2},
  [50] = {.lex_state = 2},
  [51] = {.lex_state = 2},
  [52] = {.lex_state = 2},
  [53] = {.lex_state = 2},
  [54] = {.lex_state = 2},
  [55] = {.lex_state = 2},
  [56] = {.lex_state = 2},
  [57] = {.lex_state = 2},
  [58] = {.lex_state = 2},
  [59] = {.lex_state = 2},
  [60] = {.lex_state = 2},
  [61] = {.lex_state = 2},
  [62] = {.lex_state = 2},
  [63] = {.lex_state = 2},
  [64] = {.lex_state = 2},
  [65] = {.lex_state = 2},
  [66] = {.lex_state = 2},
  [67] = {.lex_state = 2},
  [68] = {.lex_state = 2},
  [69] = {.lex_state = 2},
  [70] = {.lex_state = 2},
  [71] = {.lex_state = 2},
  [72] = {.lex_state = 2},
  [73] = {.lex_state = 2},
  [74] = {.lex_state = 2},
  [75] = {.lex_state = 2},
  [76] = {.lex_state = 2},
  [77] = {.lex_state = 2},
  [78] = {.lex_state = 2},
  [79] = {.lex_state = 2},
  [80] = {.lex_state = 2},
  [81] = {.lex_state = 2},
  [82] = {.lex_state = 2},
  [83] = {.lex_state = 2},
  [84] = {.lex_state = 2},
  [85] = {.lex_state = 2},
  [86] = {.lex_state = 2},
  [87] = {.lex_state = 2},
  [88] = {.lex_state = 2},
  [89] = {.lex_state = 2},
  [90] = {.lex_state = 2},
  [91] = {.lex_state = 2},
  [92] = {.lex_state = 2},
  [93] = {.lex_state = 2},
  [94] = {.lex_state = 2},
  [95] = {.lex_state = 2},
  [96] = {.lex_state = 2},
  [97] = {.lex_state = 2},
  [98] = {.lex_state = 2},
  [99] = {.lex_state = 2},
  [100] = {.lex_state = 2},
  [101] = {.lex_state = 2},
  [102] = {.lex_state = 2},
  [103] = {.lex_state = 2},
  [104] = {.lex_state = 2},
  [105] = {.lex_state = 2},
  [106] = {.lex_state = 2},
  [107] = {.lex_state = 2},
  [108] = {.lex_state = 2},
  [109] = {.lex_state = 2},
  [110] = {.lex_state = 2},
  [111] = {.lex_state = 2},
  [112] = {.lex_state = 2},
  [113] = {.lex_state = 2},
  [114] = {.lex_state = 2},
  [115] = {.lex_state = 2},
  [116] = {.lex_state = 2},
  [117] = {.lex_state = 2},
  [118] = {.lex_state = 2},
  [119] = {.lex_state = 2},
  [120] = {.lex_state = 2},
  [121] = {.lex_state = 2},
  [122] = {.lex_state = 2},
  [123] = {.lex_state = 2},
  [124] = {.lex_state = 2},
  [125] = {.lex_state = 2},
  [126] = {.lex_state = 2},
  [127] = {.lex_state = 2},
  [128] = {.lex_state = 2},
  [129] = {.lex_state = 2},
  [130] = {.lex_state = 2},
  [131] = {.lex_state = 2},
  [132] = {.lex_state = 2},
  [133] = {.lex_state = 2},
  [134] = {.lex_state = 2},
  [135] = {.lex_state = 2},
  [136] = {.lex_state = 2},
  [137] = {.lex_state = 2},
  [138] = {.lex_state = 2},
  [139] = {.lex_state = 2},
  [140] = {.lex_state = 2},
  [141] = {.lex_state = 2},
  [142] = {.lex_state = 2},
  [143] = {.lex_state = 2},
  [144] = {.lex_state = 2},
  [145] = {.lex_state = 2},
  [146] = {.lex_state = 2},
  [147] = {.lex_state = 2},
  [148] = {.lex_state = 2},
  [149] = {.lex_state = 2},
  [150] = {.lex_state = 2},
  [151] = {.lex_state = 2},
  [152] = {.lex_state = 2},
  [153] = {.lex_state = 2},
  [154] = {.lex_state = 2},
  [155] = {.lex_state = 2},
  [156] = {.lex_state = 2},
  [157] = {.lex_state = 2},
  [158] = {.lex_state = 2},
  [159] = {.lex_state = 2},
  [160] = {.lex_state = 2},
  [161] = {.lex_state = 2},
  [162] = {.lex_state = 2},
  [163] = {.lex_state = 2},
  [164] = {.lex_state = 2},
  [165] = {.lex_state = 2},
  [166] = {.lex_state = 2},
  [167] = {.lex_state = 2},
  [168] = {.lex_state = 2},
  [169] = {.lex_state = 2},
  [170] = {.lex_state = 2},
  [171] = {.lex_state = 2},
  [172] = {.lex_state = 2},
  [173] = {.lex_state = 2},
  [174] = {.lex_state = 2},
  [175] = {.lex_state = 2},
  [176] = {.lex_state = 2},
  [177] = {.lex_state = 2},
  [178] = {.lex_state = 2},
  [179] = {.lex_state = 2},
  [180] = {.lex_state = 2},
  [181] = {.lex_state = 2},
  [182] = {.lex_state = 2},
  [183] = {.lex_state = 2},
  [184] = {.lex_state = 2},
  [185] = {.lex_state = 2},
  [186] = {.lex_state = 2},
  [187] = {.lex_state = 2},
  [188] = {.lex_state = 2},
  [189] = {.lex_state = 2},
  [190] = {.lex_state = 2},
  [191] = {.lex_state = 2},
  [192] = {.lex_state = 2},
  [193] = {.lex_state = 2},
  [194] = {.lex_state = 2},
  [195] = {.lex_state = 2},
  [196] = {.lex_state = 2},
  [197] = {.lex_state = 2},
  [198] = {.lex_state = 2},
  [199] = {.lex_state = 2},
  [200] = {.lex_state = 2},
  [201] = {.lex_state = 2},
  [202] = {.lex_state = 2},
  [203] = {.lex_state = 2},
  [204] = {.lex_state = 2},
  [205] = {.lex_state = 2},
  [206] = {.lex_state = 2},
  [207] = {.lex_state = 2},
  [208] = {.lex_state = 2},
  [209] = {.lex_state = 2},
  [210] = {.lex_state = 2},
  [211] = {.lex_state = 2},
  [212] = {.lex_state = 2},
  [213] = {.lex_state = 2},
  [214] = {.lex_state = 2},
  [215] = {.lex_state = 2},
  [216] = {.lex_state = 2},
  [217] = {.lex_state = 2},
  [218] = {.lex_state = 2},
  [219] = {.lex_state = 2},
  [220] = {.lex_state = 2},
  [221] = {.lex_state = 2},
  [222] = {.lex_state = 2},
  [223] = {.lex_state = 2},
  [224] = {.lex_state = 2},
  [225] = {.lex_state = 2},
  [226] = {.lex_state = 2},
  [227] = {.lex_state = 2},
  [228] = {.lex_state = 2},
  [229] = {.lex_state = 2},
  [230] = {.lex_state = 2},
  [231] = {.lex_state = 2},
  [232] = {.lex_state = 2},
  [233] = {.lex_state = 2},
  [234] = {.lex_state = 2},
  [235] = {.lex_state = 2},
  [236] = {.lex_state = 2},
  [237] = {.lex_state = 2},
  [238] = {.lex_state = 2},
  [239] = {.lex_state = 2},
  [240] = {.lex_state = 2},
  [241] = {.lex_state = 2},
  [242] = {.lex_state = 2},
  [243] = {.lex_state = 2},
  [244] = {.lex_state = 2},
  [245] = {.lex_state = 2},
  [246] = {.lex_state = 2},
  [247] = {.lex_state = 2},
  [248] = {.lex_state = 2},
  [249] = {.lex_state = 2},
  [250] = {.lex_state = 2},
  [251] = {.lex_state = 2},
  [252] = {.lex_state = 2},
  [253] = {.lex_state = 2},
  [254] = {.lex_state = 2},
  [255] = {.lex_state = 2},
  [256] = {.lex_state = 2},
  [257] = {.lex_state = 2},
  [258] = {.lex_state = 2},
  [259] = {.lex_state = 2},
  [260] = {.lex_state = 57},
  [261] = {.lex_state = 57},
  [262] = {.lex_state = 57},
  [263] = {.lex_state = 57},
  [264] = {.lex_state = 57},
  [265] = {.lex_state = 57},
  [266] = {.lex_state = 57},
  [267] = {.lex_state = 57},
  [268] = {.lex_state = 57},
  [269] = {.lex_state = 57},
  [270] = {.lex_state = 57},
  [271] = {.lex_state = 57},
  [272] = {.lex_state = 57},
  [273] = {.lex_state = 57},
  [274] = {.lex_state = 57},
  [275] = {.lex_state = 57},
  [276] = {.lex_state = 57},
  [277] = {.lex_state = 3},
  [278] = {.lex_state = 57},
  [279] = {.lex_state = 57},
  [280] = {.lex_state = 57},
  [281] = {.lex_state = 57},
  [282] = {.lex_state = 57},
  [283] = {.lex_state = 57},
  [284] = {.lex_state = 57},
  [285] = {.lex_state = 57},
  [286] = {.lex_state = 57},
  [287] = {.lex_state = 57},
  [288] = {.lex_state = 57},
  [289] = {.lex_state = 57},
  [290] = {.lex_state = 57},
  [291] = {.lex_state = 57},
  [292] = {.lex_state = 57},
  [293] = {.lex_state = 57},
  [294] = {.lex_state = 57},
  [295] = {.lex_state = 57},
  [296] = {.lex_state = 57},
  [297] = {.lex_state = 57},
  [298] = {.lex_state = 57},
  [299] = {.lex_state = 57},
  [300] = {.lex_state = 57},
  [301] = {.lex_state = 57},
  [302] = {.lex_state = 57},
  [303] = {.lex_state = 57},
  [304] = {.lex_state = 3},
  [305] = {.lex_state = 3},
  [306] = {.lex_state = 3},
  [307] = {.lex_state = 3},
  [308] = {.lex_state = 3},
  [309] = {.lex_state = 3},
  [310] = {.lex_state = 3},
  [311] = {.lex_state = 3},
  [312] = {.lex_state = 3},
  [313] = {.lex_state = 3},
  [314] = {.lex_state = 3},
  [315] = {.lex_state = 3},
  [316] = {.lex_state = 3},
  [317] = {.lex_state = 3},
  [318] = {.lex_state = 3},
  [319] = {.lex_state = 3},
  [320] = {.lex_state = 3},
  [321] = {.lex_state = 3},
  [322] = {.lex_state = 3},
  [323] = {.lex_state = 3},
  [324] = {.lex_state = 3},
  [325] = {.lex_state = 3},
  [326] = {.lex_state = 3},
  [327] = {.lex_state = 3},
  [328] = {.lex_state = 3},
  [329] = {.lex_state = 3},
  [330] = {.lex_state = 3},
  [331] = {.lex_state = 3},
  [332] = {.lex_state = 3},
  [333] = {.lex_state = 3},
  [334] = {.lex_state = 3},
  [335] = {.lex_state = 3},
  [336] = {.lex_state = 3},
  [337] = {.lex_state = 3},
  [338] = {.lex_state = 3},
  [339] = {.lex_state = 3},
  [340] = {.lex_state = 3},
  [341] = {.lex_state = 3},
  [342] = {.lex_state = 3},
  [343] = {.lex_state = 3},
  [344] = {.lex_state = 3},
  [345] = {.lex_state = 3},
  [346] = {.lex_state = 3},
  [347] = {.lex_state = 4},
  [348] = {.lex_state = 4},
  [349] = {.lex_state = 4},
  [350] = {.lex_state = 4},
  [351] = {.lex_state = 4},
  [352] = {.lex_state = 4},
  [353] = {.lex_state = 4},
  [354] = {.lex_state = 4},
  [355] = {.lex_state = 4},
  [356] = {.lex_state = 4},
  [357] = {.lex_state = 4},
  [358] = {.lex_state = 4},
  [359] = {.lex_state = 4},
  [360] = {.lex_state = 4},
  [361] = {.lex_state = 4},
  [362] = {.lex_state = 4},
  [363] = {.lex_state = 4},
  [364] = {.lex_state = 4},
  [365] = {.lex_state = 4},
  [366] = {.lex_state = 4},
  [367] = {.lex_state = 4},
  [368] = {.lex_state = 4},
  [369] = {.lex_state = 4},
  [370] = {.lex_state = 4},
  [371] = {.lex_state = 4},
  [372] = {.lex_state = 4},
  [373] = {.lex_state = 4},
  [374] = {.lex_state = 4},
  [375] = {.lex_state = 4},
  [376] = {.lex_state = 4},
  [377] = {.lex_state = 4},
  [378] = {.lex_state = 4},
  [379] = {.lex_state = 4},
  [380] = {.lex_state = 4},
  [381] = {.lex_state = 4},
  [382] = {.lex_state = 4},
  [383] = {.lex_state = 4},
  [384] = {.lex_state = 4},
  [385] = {.lex_state = 4},
  [386] = {.lex_state = 4},
  [387] = {.lex_state = 4},
  [388] = {.lex_state = 58},
  [389] = {.lex_state = 58},
  [390] = {.lex_state = 58},
  [391] = {.lex_state = 58},
  [392] = {.lex_state = 58},
  [393] = {.lex_state = 58},
  [394] = {.lex_state = 58},
  [395] = {.lex_state = 58},
  [396] = {.lex_state = 58},
  [397] = {.lex_state = 5},
  [398] = {.lex_state = 5},
  [399] = {.lex_state = 58},
  [400] = {.lex_state = 5},
  [401] = {.lex_state = 5},
  [402] = {.lex_state = 5},
  [403] = {.lex_state = 58},
  [404] = {.lex_state = 5},
  [405] = {.lex_state = 5},
  [406] = {.lex_state = 58},
  [407] = {.lex_state = 58},
  [408] = {.lex_state = 58},
  [409] = {.lex_state = 58},
  [410] = {.lex_state = 58},
  [411] = {.lex_state = 5},
  [412] = {.lex_state = 58},
  [413] = {.lex_state = 58},
  [414] = {.lex_state = 58},
  [415] = {.lex_state = 5},
  [416] = {.lex_state = 56},
  [417] = {.lex_state = 5},
  [418] = {.lex_state = 58},
  [419] = {.lex_state = 58},
  [420] = {.lex_state = 58},
  [421] = {.lex_state = 58},
  [422] = {.lex_state = 5},
  [423] = {.lex_state = 58},
  [424] = {.lex_state = 58},
  [425] = {.lex_state = 58},
  [426] = {.lex_state = 58},
  [427] = {.lex_state = 5},
  [428] = {.lex_state = 5},
  [429] = {.lex_state = 58},
  [430] = {.lex_state = 58},
  [431] = {.lex_state = 5},
  [432] = {.lex_state = 5},
  [433] = {.lex_state = 5},
  [434] = {.lex_state = 5},
  [435] = {.lex_state = 58},
  [436] = {.lex_state = 5},
  [437] = {.lex_state = 5},
  [438] = {.lex_state = 5},
  [439] = {.lex_state = 5},
  [440] = {.lex_state = 5},
  [441] = {.lex_state = 5},
  [442] = {.lex_state = 5},
  [443] = {.lex_state = 58},
  [444] = {.lex_state = 58},
  [445] = {.lex_state = 58},
  [446] = {.lex_state = 58},
  [447] = {.lex_state = 5},
  [448] = {.lex_state = 5},
  [449] = {.lex_state = 5},
  [450] = {.lex_state = 5},
  [451] = {.lex_state = 5},
  [452] = {.lex_state = 5},
  [453] = {.lex_state = 5},
  [454] = {.lex_state = 56},
  [455] = {.lex_state = 58},
  [456] = {.lex_state = 58},
  [457] = {.lex_state = 58},
  [458] = {.lex_state = 58},
  [459] = {.lex_state = 58},
  [460] = {.lex_state = 58},
  [461] = {.lex_state = 58},
  [462] = {.lex_state = 58},
  [463] = {.lex_state = 5},
  [464] = {.lex_state = 5},
  [465] = {.lex_state = 5},
  [466] = {.lex_state = 5},
  [467] = {.lex_state = 5},
  [468] = {.lex_state = 56},
  [469] = {.lex_state = 56},
  [470] = {.lex_state = 56},
  [471] = {.lex_state = 58},
  [472] = {.lex_state = 57},
  [473] = {.lex_state = 5},
  [474] = {.lex_state = 5},
  [475] = {.lex_state = 5},
  [476] = {.lex_state = 58},
  [477] = {.lex_state = 5},
  [478] = {.lex_state = 6},
  [479] = {.lex_state = 58},
  [480] = {.lex_state = 56},
  [481] = {.lex_state = 56},
  [482] = {.lex_state = 58},
  [483] = {.lex_state = 6},
  [484] = {.lex_state = 58},
  [485] = {.lex_state = 58},
  [486] = {.lex_state = 58},
  [487] = {.lex_state = 58},
  [488] = {.lex_state = 56},
  [489] = {.lex_state = 58},
  [490] = {.lex_state = 58},
  [491] = {.lex_state = 58},
  [492] = {.lex_state = 58},
  [493] = {.lex_state = 58},
  [494] = {.lex_state = 58},
  [495] = {.lex_state = 58},
  [496] = {.lex_state = 58},
  [497] = {.lex_state = 6},
  [498] = {.lex_state = 6},
  [499] = {.lex_state = 6},
  [500] = {.lex_state = 58},
  [501] = {.lex_state = 58},
  [502] = {.lex_state = 5},
  [503] = {.lex_state = 6},
  [504] = {.lex_state = 58},
  [505] = {.lex_state = 58},
  [506] = {.lex_state = 58},
  [507] = {.lex_state = 58},
  [508] = {.lex_state = 58},
  [509] = {.lex_state = 58},
  [510] = {.lex_state = 58},
  [511] = {.lex_state = 58},
  [512] = {.lex_state = 58},
  [513] = {.lex_state = 58},
  [514] = {.lex_state = 58},
  [515] = {.lex_state = 58},
  [516] = {.lex_state = 58},
  [517] = {.lex_state = 58},
  [518] = {.lex_state = 58},
  [519] = {.lex_state = 58},
  [520] = {.lex_state = 58},
  [521] = {.lex_state = 58},
  [522] = {.lex_state = 58},
  [523] = {.lex_state = 58},
  [524] = {.lex_state = 6},
  [525] = {.lex_state = 58},
  [526] = {.lex_state = 6},
  [527] = {.lex_state = 58},
  [528] = {.lex_state = 58},
  [529] = {.lex_state = 58},
  [530] = {.lex_state = 58},
  [531] = {.lex_state = 58},
  [532] = {.lex_state = 58},
  [533] = {.lex_state = 6},
  [534] = {.lex_state = 6},
  [535] = {.lex_state = 6},
  [536] = {.lex_state = 5},
  [537] = {.lex_state = 6},
  [538] = {.lex_state = 6},
  [539] = {.lex_state = 6},
  [540] = {.lex_state = 6},
  [541] = {.lex_state = 6},
  [542] = {.lex_state = 6},
  [543] = {.lex_state = 6},
  [544] = {.lex_state = 6},
  [545] = {.lex_state = 5},
  [546] = {.lex_state = 6},
  [547] = {.lex_state = 6},
  [548] = {.lex_state = 6},
  [549] = {.lex_state = 0},
  [550] = {.lex_state = 6},
  [551] = {.lex_state = 5},
  [552] = {.lex_state = 6},
  [553] = {.lex_state = 5},
  [554] = {.lex_state = 5},
  [555] = {.lex_state = 6},
  [556] = {.lex_state = 6},
  [557] = {.lex_state = 5},
  [558] = {.lex_state = 6},
  [559] = {.lex_state = 5},
  [560] = {.lex_state = 6},
  [561] = {.lex_state = 5},
  [562] = {.lex_state = 5},
  [563] = {.lex_state = 6},
  [564] = {.lex_state = 6},
  [565] = {.lex_state = 6},
  [566] = {.lex_state = 6},
  [567] = {.lex_state = 5},
  [568] = {.lex_state = 6},
  [569] = {.lex_state = 6},
  [570] = {.lex_state = 6},
  [571] = {.lex_state = 6},
  [572] = {.lex_state = 6},
  [573] = {.lex_state = 5},
  [574] = {.lex_state = 6},
  [575] = {.lex_state = 6},
  [576] = {.lex_state = 6},
  [577] = {.lex_state = 6},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 5},
  [580] = {.lex_state = 5},
  [581] = {.lex_state = 5},
  [582] = {.lex_state = 5},
  [583] = {.lex_state = 5},
  [584] = {.lex_state = 5},
  [585] = {.lex_state = 5},
  [586] = {.lex_state = 5},
  [587] = {.lex_state = 0},
  [588] = {.lex_state = 5},
  [589] = {.lex_state = 5},
  [590] = {.lex_state = 5},
  [591] = {.lex_state = 5},
  [592] = {.lex_state = 5},
  [593] = {.lex_state = 3},
  [594] = {.lex_state = 0},
  [595] = {.lex_state = 5},
  [596] = {.lex_state = 5},
  [597] = {.lex_state = 5},
  [598] = {.lex_state = 5},
  [599] = {.lex_state = 5},
  [600] = {.lex_state = 5},
  [601] = {.lex_state = 5},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 0},
  [604] = {.lex_state = 0},
  [605] = {.lex_state = 5},
  [606] = {.lex_state = 5},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 5},
  [609] = {.lex_state = 5},
  [610] = {.lex_state = 5},
  [611] = {.lex_state = 5},
  [612] = {.lex_state = 5},
  [613] = {.lex_state = 5},
  [614] = {.lex_state = 5},
  [615] = {.lex_state = 5},
  [616] = {.lex_state = 5},
  [617] = {.lex_state = 5},
  [618] = {.lex_state = 5},
  [619] = {.lex_state = 5},
  [620] = {.lex_state = 5},
  [621] = {.lex_state = 5},
  [622] = {.lex_state = 5},
  [623] = {.lex_state = 5},
  [624] = {.lex_state = 5},
  [625] = {.lex_state = 0},
  [626] = {.lex_state = 5},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 5},
  [629] = {.lex_state = 5},
  [630] = {.lex_state = 5},
  [631] = {.lex_state = 5},
  [632] = {.lex_state = 5},
  [633] = {.lex_state = 5},
  [634] = {.lex_state = 5},
  [635] = {.lex_state = 5},
  [636] = {.lex_state = 5},
  [637] = {.lex_state = 5},
  [638] = {.lex_state = 5},
  [639] = {.lex_state = 5},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 5},
  [642] = {.lex_state = 5},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 5},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 56},
  [647] = {.lex_state = 5},
  [648] = {.lex_state = 5},
  [649] = {.lex_state = 5},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 5},
  [653] = {.lex_state = 5},
  [654] = {.lex_state = 5},
  [655] = {.lex_state = 5},
  [656] = {.lex_state = 5},
  [657] = {.lex_state = 5},
  [658] = {.lex_state = 5},
  [659] = {.lex_state = 5},
  [660] = {.lex_state = 5},
  [661] = {.lex_state = 5},
  [662] = {.lex_state = 5},
  [663] = {.lex_state = 5},
  [664] = {.lex_state = 5},
  [665] = {.lex_state = 5},
  [666] = {.lex_state = 5},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 5},
  [669] = {.lex_state = 5},
  [670] = {.lex_state = 5},
  [671] = {.lex_state = 5},
  [672] = {.lex_state = 5},
  [673] = {.lex_state = 0},
  [674] = {.lex_state = 0},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0},
  [678] = {.lex_state = 0},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 5},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 0},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 0},
  [689] = {.lex_state = 0},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 56},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 56},
  [751] = {.lex_state = 56},
  [752] = {.lex_state = 56},
  [753] = {.lex_state = 56},
  [754] = {.lex_state = 56},
  [755] = {.lex_state = 56},
  [756] = {.lex_state = 56},
  [757] = {.lex_state = 56},
  [758] = {.lex_state = 56},
  [759] = {.lex_state = 56},
  [760] = {.lex_state = 56},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 0},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 57},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 56},
  [779] = {.lex_state = 56},
  [780] = {.lex_state = 56},
  [781] = {.lex_state = 56},
  [782] = {.lex_state = 56},
  [783] = {.lex_state = 56},
  [784] = {.lex_state = 56},
  [785] = {.lex_state = 56},
  [786] = {.lex_state = 56},
  [787] = {.lex_state = 56},
  [788] = {.lex_state = 56},
  [789] = {.lex_state = 56},
  [790] = {.lex_state = 56},
  [791] = {.lex_state = 56},
  [792] = {.lex_state = 56},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 56},
  [795] = {.lex_state = 56},
  [796] = {.lex_state = 56},
  [797] = {.lex_state = 56},
  [798] = {.lex_state = 56},
  [799] = {.lex_state = 56},
  [800] = {.lex_state = 56},
  [801] = {.lex_state = 56},
  [802] = {.lex_state = 56},
  [803] = {.lex_state = 56},
  [804] = {.lex_state = 56},
  [805] = {.lex_state = 56},
  [806] = {.lex_state = 56},
  [807] = {.lex_state = 3},
  [808] = {.lex_state = 3},
  [809] = {.lex_state = 56},
  [810] = {.lex_state = 3},
  [811] = {.lex_state = 3},
  [812] = {.lex_state = 56},
  [813] = {.lex_state = 56},
  [814] = {.lex_state = 56},
  [815] = {.lex_state = 56},
  [816] = {.lex_state = 56},
  [817] = {.lex_state = 56},
  [818] = {.lex_state = 56},
  [819] = {.lex_state = 56},
  [820] = {.lex_state = 56},
  [821] = {.lex_state = 57},
  [822] = {.lex_state = 56},
  [823] = {.lex_state = 56},
  [824] = {.lex_state = 56},
  [825] = {.lex_state = 56},
  [826] = {.lex_state = 56},
  [827] = {.lex_state = 56},
  [828] = {.lex_state = 56},
  [829] = {.lex_state = 56},
  [830] = {.lex_state = 56},
  [831] = {.lex_state = 56},
  [832] = {.lex_state = 56},
  [833] = {.lex_state = 56},
  [834] = {.lex_state = 56},
  [835] = {.lex_state = 56},
  [836] = {.lex_state = 56},
  [837] = {.lex_state = 56},
  [838] = {.lex_state = 56},
  [839] = {.lex_state = 56},
  [840] = {.lex_state = 56},
  [841] = {.lex_state = 56},
  [842] = {.lex_state = 56},
  [843] = {.lex_state = 56},
  [844] = {.lex_state = 56},
  [845] = {.lex_state = 56},
  [846] = {.lex_state = 56},
  [847] = {.lex_state = 56},
  [848] = {.lex_state = 56},
  [849] = {.lex_state = 56},
  [850] = {.lex_state = 56},
  [851] = {.lex_state = 56},
  [852] = {.lex_state = 56},
  [853] = {.lex_state = 56},
  [854] = {.lex_state = 56},
  [855] = {.lex_state = 56},
  [856] = {.lex_state = 56},
  [857] = {.lex_state = 56},
  [858] = {.lex_state = 56},
  [859] = {.lex_state = 56},
  [860] = {.lex_state = 56},
  [861] = {.lex_state = 56},
  [862] = {.lex_state = 56},
  [863] = {.lex_state = 56},
  [864] = {.lex_state = 56},
  [865] = {.lex_state = 56},
  [866] = {.lex_state = 56},
  [867] = {.lex_state = 3},
  [868] = {.lex_state = 56},
  [869] = {.lex_state = 56},
  [870] = {.lex_state = 57},
  [871] = {.lex_state = 56},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 57},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 57},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 57},
  [900] = {.lex_state = 56},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 56},
  [903] = {.lex_state = 56},
  [904] = {.lex_state = 56},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 56},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 56},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 56},
  [917] = {.lex_state = 56},
  [918] = {.lex_state = 3},
  [919] = {.lex_state = 56},
  [920] = {.lex_state = 56},
  [921] = {.lex_state = 56},
  [922] = {.lex_state = 56},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 56},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 57},
  [931] = {.lex_state = 56},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 56},
  [934] = {.lex_state = 56},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 56},
  [937] = {.lex_state = 56},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 56},
  [940] = {.lex_state = 56},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 56},
  [943] = {.lex_state = 56},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 56},
  [946] = {.lex_state = 56},
  [947] = {.lex_state = 56},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 56},
  [950] = {.lex_state = 56},
  [951] = {.lex_state = 56},
  [952] = {.lex_state = 56},
  [953] = {.lex_state = 56},
  [954] = {.lex_state = 56},
  [955] = {.lex_state = 56},
  [956] = {.lex_state = 56},
  [957] = {.lex_state = 56},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 56},
  [960] = {.lex_state = 56},
  [961] = {.lex_state = 56},
  [962] = {.lex_state = 56},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 56},
  [965] = {.lex_state = 56},
  [966] = {.lex_state = 56},
  [967] = {.lex_state = 56},
  [968] = {.lex_state = 56},
  [969] = {.lex_state = 56},
  [970] = {.lex_state = 56},
  [971] = {.lex_state = 0},
  [972] = {.lex_state = 56},
  [973] = {.lex_state = 56},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 56},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 56},
  [978] = {.lex_state = 56},
  [979] = {.lex_state = 56},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 56},
  [982] = {.lex_state = 56},
  [983] = {.lex_state = 56},
  [984] = {.lex_state = 56},
  [985] = {.lex_state = 56},
  [986] = {.lex_state = 56},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 56},
  [990] = {.lex_state = 56},
  [991] = {.lex_state = 56},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 56},
  [994] = {.lex_state = 56},
  [995] = {.lex_state = 1},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 1},
  [1001] = {.lex_state = 1},
  [1002] = {.lex_state = 56},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 1},
  [1005] = {.lex_state = 56},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 56},
  [1008] = {.lex_state = 56},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 1},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 1},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 56},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 1},
  [1021] = {.lex_state = 1},
  [1022] = {.lex_state = 1},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 56},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 1},
  [1027] = {.lex_state = 56},
  [1028] = {.lex_state = 1},
  [1029] = {.lex_state = 1},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 1},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 56},
  [1040] = {.lex_state = 56},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 56},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 56},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 56},
  [1047] = {.lex_state = 1},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 56},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 56},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 56},
  [1054] = {.lex_state = 56},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 1},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 56},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 56},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 56},
  [1096] = {.lex_state = 56},
  [1097] = {.lex_state = 56},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 56},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 56},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 56},
  [1126] = {.lex_state = 56},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 56},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 56},
  [1166] = {.lex_state = 56},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 56},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 56},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 56},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 56},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 0},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_blank_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1288),
    [sym_package_clause] = STATE(840),
    [sym_import_declaration] = STATE(840),
    [sym__declaration] = STATE(840),
    [sym_const_declaration] = STATE(840),
    [sym_var_declaration] = STATE(840),
    [sym_function_declaration] = STATE(840),
    [sym_method_declaration] = STATE(840),
    [sym_type_declaration] = STATE(840),
    [aux_sym_source_file_repeat1] = STATE(763),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_package] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_const] = ACTIONS(11),
    [anon_sym_var] = ACTIONS(13),
    [anon_sym_func] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1072),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1072),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(41),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_default] = ACTIONS(71),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1082),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1082),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(87),
    [anon_sym_default] = ACTIONS(87),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1078),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1078),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(89),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(91),
    [anon_sym_default] = ACTIONS(91),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1075),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1075),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(95),
    [anon_sym_default] = ACTIONS(95),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1070),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1070),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(99),
    [anon_sym_default] = ACTIONS(99),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__declaration] = STATE(982),
    [sym_const_declaration] = STATE(982),
    [sym_var_declaration] = STATE(982),
    [sym_type_declaration] = STATE(982),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(982),
    [sym__statement] = STATE(982),
    [sym_empty_statement] = STATE(982),
    [sym__simple_statement] = STATE(982),
    [sym_send_statement] = STATE(982),
    [sym_inc_statement] = STATE(982),
    [sym_dec_statement] = STATE(982),
    [sym_assignment_statement] = STATE(982),
    [sym_short_var_declaration] = STATE(982),
    [sym_labeled_statement] = STATE(982),
    [sym_empty_labeled_statement] = STATE(1084),
    [sym_fallthrough_statement] = STATE(982),
    [sym_break_statement] = STATE(982),
    [sym_continue_statement] = STATE(982),
    [sym_goto_statement] = STATE(982),
    [sym_return_statement] = STATE(982),
    [sym_go_statement] = STATE(982),
    [sym_defer_statement] = STATE(982),
    [sym_if_statement] = STATE(982),
    [sym_for_statement] = STATE(982),
    [sym_expression_switch_statement] = STATE(982),
    [sym_type_switch_statement] = STATE(982),
    [sym_select_statement] = STATE(982),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(103),
    [anon_sym_default] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__declaration] = STATE(982),
    [sym_const_declaration] = STATE(982),
    [sym_var_declaration] = STATE(982),
    [sym_type_declaration] = STATE(982),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(982),
    [sym__statement] = STATE(982),
    [sym_empty_statement] = STATE(982),
    [sym__simple_statement] = STATE(982),
    [sym_send_statement] = STATE(982),
    [sym_inc_statement] = STATE(982),
    [sym_dec_statement] = STATE(982),
    [sym_assignment_statement] = STATE(982),
    [sym_short_var_declaration] = STATE(982),
    [sym_labeled_statement] = STATE(982),
    [sym_empty_labeled_statement] = STATE(1091),
    [sym_fallthrough_statement] = STATE(982),
    [sym_break_statement] = STATE(982),
    [sym_continue_statement] = STATE(982),
    [sym_goto_statement] = STATE(982),
    [sym_return_statement] = STATE(982),
    [sym_go_statement] = STATE(982),
    [sym_defer_statement] = STATE(982),
    [sym_if_statement] = STATE(982),
    [sym_for_statement] = STATE(982),
    [sym_expression_switch_statement] = STATE(982),
    [sym_type_switch_statement] = STATE(982),
    [sym_select_statement] = STATE(982),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(107),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1237),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1237),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1299),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1299),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1229),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1229),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1272),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1272),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(115),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1232),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1232),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1292),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1292),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1243),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1243),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__declaration] = STATE(979),
    [sym_const_declaration] = STATE(979),
    [sym_var_declaration] = STATE(979),
    [sym_type_declaration] = STATE(979),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(979),
    [sym__statement] = STATE(979),
    [sym_empty_statement] = STATE(979),
    [sym__simple_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(979),
    [sym_fallthrough_statement] = STATE(979),
    [sym_break_statement] = STATE(979),
    [sym_continue_statement] = STATE(979),
    [sym_goto_statement] = STATE(979),
    [sym_return_statement] = STATE(979),
    [sym_go_statement] = STATE(979),
    [sym_defer_statement] = STATE(979),
    [sym_if_statement] = STATE(979),
    [sym_for_statement] = STATE(979),
    [sym_expression_switch_statement] = STATE(979),
    [sym_type_switch_statement] = STATE(979),
    [sym_select_statement] = STATE(979),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__declaration] = STATE(982),
    [sym_const_declaration] = STATE(982),
    [sym_var_declaration] = STATE(982),
    [sym_type_declaration] = STATE(982),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(982),
    [sym__statement] = STATE(982),
    [sym_empty_statement] = STATE(982),
    [sym__simple_statement] = STATE(982),
    [sym_send_statement] = STATE(982),
    [sym_inc_statement] = STATE(982),
    [sym_dec_statement] = STATE(982),
    [sym_assignment_statement] = STATE(982),
    [sym_short_var_declaration] = STATE(982),
    [sym_labeled_statement] = STATE(982),
    [sym_fallthrough_statement] = STATE(982),
    [sym_break_statement] = STATE(982),
    [sym_continue_statement] = STATE(982),
    [sym_goto_statement] = STATE(982),
    [sym_return_statement] = STATE(982),
    [sym_go_statement] = STATE(982),
    [sym_defer_statement] = STATE(982),
    [sym_if_statement] = STATE(982),
    [sym_for_statement] = STATE(982),
    [sym_expression_switch_statement] = STATE(982),
    [sym_type_switch_statement] = STATE(982),
    [sym_select_statement] = STATE(982),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__declaration] = STATE(979),
    [sym_const_declaration] = STATE(979),
    [sym_var_declaration] = STATE(979),
    [sym_type_declaration] = STATE(979),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(979),
    [sym__statement] = STATE(979),
    [sym_empty_statement] = STATE(979),
    [sym__simple_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(979),
    [sym_fallthrough_statement] = STATE(979),
    [sym_break_statement] = STATE(979),
    [sym_continue_statement] = STATE(979),
    [sym_goto_statement] = STATE(979),
    [sym_return_statement] = STATE(979),
    [sym_go_statement] = STATE(979),
    [sym_defer_statement] = STATE(979),
    [sym_if_statement] = STATE(979),
    [sym_for_statement] = STATE(979),
    [sym_expression_switch_statement] = STATE(979),
    [sym_type_switch_statement] = STATE(979),
    [sym_select_statement] = STATE(979),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_expression_list] = STATE(771),
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym_block] = STATE(953),
    [sym__simple_statement] = STATE(1247),
    [sym_send_statement] = STATE(1247),
    [sym_inc_statement] = STATE(1247),
    [sym_dec_statement] = STATE(1247),
    [sym_assignment_statement] = STATE(1247),
    [sym_short_var_declaration] = STATE(1247),
    [sym_for_clause] = STATE(1194),
    [sym_range_clause] = STATE(1194),
    [sym__expression] = STATE(277),
    [sym_parenthesized_expression] = STATE(277),
    [sym_call_expression] = STATE(277),
    [sym_selector_expression] = STATE(277),
    [sym_index_expression] = STATE(277),
    [sym_slice_expression] = STATE(277),
    [sym_type_assertion_expression] = STATE(277),
    [sym_type_conversion_expression] = STATE(277),
    [sym_composite_literal] = STATE(277),
    [sym_func_literal] = STATE(277),
    [sym_unary_expression] = STATE(277),
    [sym_binary_expression] = STATE(277),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(277),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_range] = ACTIONS(141),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(151),
    [sym_float_literal] = ACTIONS(151),
    [sym_imaginary_literal] = ACTIONS(147),
    [sym_rune_literal] = ACTIONS(147),
    [sym_nil] = ACTIONS(151),
    [sym_true] = ACTIONS(151),
    [sym_false] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(153), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym_expression_list,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    STATE(1256), 1,
      sym__type_switch_header,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(155), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(157), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1260), 6,
      sym__simple_statement,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(305), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [110] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      anon_sym_LBRACE,
    STATE(769), 1,
      sym_expression_list,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(161), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(163), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1248), 6,
      sym__simple_statement,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(309), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [217] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    STATE(769), 1,
      sym_expression_list,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(161), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(163), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1257), 6,
      sym__simple_statement,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(309), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [324] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_LBRACE,
    STATE(769), 1,
      sym_expression_list,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(161), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(163), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1255), 6,
      sym__simple_statement,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(309), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [431] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(169), 1,
      anon_sym_LBRACE,
    STATE(769), 1,
      sym_expression_list,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(161), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(163), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1268), 6,
      sym__simple_statement,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(309), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [538] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    STATE(773), 1,
      sym_expression_list,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(171), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(173), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1261), 6,
      sym__simple_statement,
      sym_send_statement,
      sym_inc_statement,
      sym_dec_statement,
      sym_assignment_statement,
      sym_short_var_declaration,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(304), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [642] = 22,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(177), 1,
      anon_sym_LF,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(185), 1,
      anon_sym_STAR,
    ACTIONS(187), 1,
      anon_sym_LBRACK,
    ACTIONS(189), 1,
      anon_sym_LT_DASH,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(199), 1,
      sym_comment,
    STATE(951), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(179), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(193), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(195), 8,
      sym_raw_string_literal,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [745] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(211), 1,
      anon_sym_RBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [851] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(225), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [957] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(227), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1138), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1063] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(229), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1169] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1275] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(233), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1381] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(235), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1059), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1487] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1593] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(239), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1121), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1699] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(241), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1805] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(243), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1144), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1911] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(245), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1060), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2017] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2123] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(249), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2229] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(251), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2335] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(253), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1101), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2441] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(255), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1117), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2547] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(257), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2653] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(259), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2759] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(261), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2865] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(263), 1,
      anon_sym_RBRACE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2971] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(201), 1,
      sym_identifier,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    STATE(1134), 1,
      sym_literal_value,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1204), 2,
      sym_keyed_element,
      sym_element,
    ACTIONS(219), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(223), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(592), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3074] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_func,
    ACTIONS(271), 1,
      anon_sym_STAR,
    ACTIONS(273), 1,
      anon_sym_LT_DASH,
    ACTIONS(281), 1,
      anon_sym_DQUOTE,
    STATE(1196), 1,
      sym_expression_list,
    STATE(1202), 1,
      sym_implicit_length_array_type,
    ACTIONS(275), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_send_statement,
      sym_receive_statement,
    ACTIONS(279), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(277), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(283), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1123), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1305), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(483), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3174] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(287), 1,
      anon_sym_RPAREN,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3273] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(299), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3372] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(301), 1,
      anon_sym_RPAREN,
    STATE(1111), 1,
      sym_variadic_argument,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(303), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(305), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(562), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3471] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(307), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3570] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(309), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3669] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(311), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3768] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1208), 1,
      sym_literal_value,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(315), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(317), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(631), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3867] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(319), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3966] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(321), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4065] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(323), 1,
      anon_sym_RPAREN,
    STATE(1104), 1,
      sym_variadic_argument,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(325), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(327), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(573), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4164] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(329), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(331), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(333), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(335), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(637), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4263] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(337), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4362] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(339), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4461] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(341), 1,
      anon_sym_RPAREN,
    STATE(1120), 1,
      sym_variadic_argument,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(343), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(345), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(559), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4560] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(347), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4659] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(349), 1,
      anon_sym_RPAREN,
    STATE(1139), 1,
      sym_variadic_argument,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(351), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(353), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(551), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4758] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(355), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      sym_variadic_argument,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(357), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(359), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(557), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4857] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(361), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4956] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1209), 1,
      sym_literal_value,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(363), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(365), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(595), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5055] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_range,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1183), 1,
      sym_expression_list,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(369), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(371), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(554), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5154] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_range,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1185), 1,
      sym_expression_list,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(369), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(371), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(554), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5253] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(373), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5352] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(375), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5451] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(377), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5550] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(383), 1,
      anon_sym_LBRACE,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1244), 1,
      sym_expression_list,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(389), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(391), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(561), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5649] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(393), 1,
      anon_sym_RPAREN,
    STATE(1141), 1,
      sym_variadic_argument,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(395), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(397), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(567), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5748] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(399), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_variadic_argument,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(401), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(403), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(536), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5847] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1250), 1,
      sym_expression_list,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(369), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(371), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(554), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5943] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(407), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(409), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(608), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6039] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(981), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(419), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(195), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6135] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(423), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6231] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(429), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(431), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(433), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(622), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6327] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(435), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6423] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(933), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(419), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(195), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6519] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(934), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(419), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(195), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6615] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(437), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6711] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(439), 1,
      anon_sym_SEMI,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(441), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(443), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(663), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6807] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(445), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(447), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(449), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(620), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6903] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(959), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(419), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(195), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6999] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(451), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7095] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(453), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(455), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(457), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(621), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7191] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(814), 1,
      sym_expression_list,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(473), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(477), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(389), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7287] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(481), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(483), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(628), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7383] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7479] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7575] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(489), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(491), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(493), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(605), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7671] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(495), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(497), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(499), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(600), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7767] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(501), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(503), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(505), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(641), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7863] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(507), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7959] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(509), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8055] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(511), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(513), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(515), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(616), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8151] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(844), 1,
      sym_expression_list,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(473), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(477), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(389), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8247] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(519), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(521), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(612), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8343] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(523), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8439] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(826), 1,
      sym_expression_list,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(473), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(477), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(389), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8535] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(839), 1,
      sym_expression_list,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(473), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(477), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(389), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8631] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(940), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(419), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(195), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8727] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(527), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(529), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(614), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8823] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(531), 1,
      anon_sym_SEMI,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(533), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(535), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(642), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8919] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(537), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9015] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(539), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(541), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(543), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(609), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9111] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(545), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(547), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(549), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(632), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9207] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(819), 1,
      sym_expression_list,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(473), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(477), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(389), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9303] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(816), 1,
      sym_expression_list,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(473), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(477), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(389), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9399] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(331), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(333), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(335), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(637), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9495] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9591] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(553), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(555), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(557), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(639), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9687] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1185), 1,
      sym_expression_list,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(559), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(561), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(580), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9783] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1183), 1,
      sym_expression_list,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(559), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(561), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(580), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9879] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(563), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(565), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(567), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(634), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9975] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(837), 1,
      sym_expression_list,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(473), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(477), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(389), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10071] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(833), 1,
      sym_expression_list,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(473), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(477), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(389), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10167] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1185), 1,
      sym_expression_list,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(569), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(571), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(591), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10263] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(573), 1,
      anon_sym_COLON,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(575), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(577), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(611), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10359] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(579), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10455] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(943), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(419), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(195), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10551] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_COLON,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(583), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(585), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(597), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10647] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(587), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(589), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(591), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(666), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10743] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(593), 1,
      anon_sym_COLON,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(595), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(597), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(618), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10839] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1201), 1,
      sym_variadic_argument,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(295), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(297), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(579), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10935] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(599), 1,
      anon_sym_COLON,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(601), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(603), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(624), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11031] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(605), 1,
      anon_sym_COLON,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(607), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(609), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(613), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11127] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(967), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(419), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(195), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11223] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(611), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11319] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(613), 1,
      anon_sym_RBRACK,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(615), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(617), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(623), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11415] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(966), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(419), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(195), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11511] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(962), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(419), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(195), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11607] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(619), 1,
      anon_sym_RPAREN,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11703] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(621), 1,
      anon_sym_COLON,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(623), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(625), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(598), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11799] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1185), 1,
      sym_expression_list,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(369), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(371), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(554), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11895] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(961), 1,
      sym_expression_list,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(419), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(195), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(471), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11991] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(627), 1,
      anon_sym_COLON,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(629), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(631), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(619), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12087] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    STATE(1183), 1,
      sym_expression_list,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(369), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(371), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(554), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12183] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(633), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(635), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(311), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12276] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(637), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(639), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(653), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12369] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(641), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(643), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(398), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12462] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(645), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(647), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(617), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12555] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(641), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(643), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(398), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12648] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(649), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(651), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(588), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12741] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(653), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(655), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(656), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12834] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(657), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(659), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(615), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12927] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(661), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(663), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(596), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13020] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(665), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(667), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(589), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13113] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_STAR,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(671), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(673), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1220), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(654), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13206] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(675), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(677), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(392), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13299] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(679), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(681), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(391), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13392] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(683), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(685), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(397), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13485] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(687), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(689), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(393), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13578] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(691), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(693), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(394), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13671] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(695), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(697), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(395), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13764] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(699), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(701), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(396), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13857] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(703), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(705), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(599), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13950] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(707), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(709), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(486), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14043] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    ACTIONS(711), 1,
      anon_sym_chan,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(713), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(715), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(399), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14136] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(717), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(719), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(586), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14229] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(721), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(723), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(585), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14322] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(711), 1,
      anon_sym_chan,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(641), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(643), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(398), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14415] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(683), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(685), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(397), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14508] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(641), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(643), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1221), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(398), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14601] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(725), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(727), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1221), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(482), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14694] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    ACTIONS(711), 1,
      anon_sym_chan,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(725), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(727), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(482), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14787] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(729), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(731), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(660), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14880] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_func,
    ACTIONS(271), 1,
      anon_sym_STAR,
    ACTIONS(273), 1,
      anon_sym_LT_DASH,
    ACTIONS(281), 1,
      anon_sym_DQUOTE,
    STATE(1202), 1,
      sym_implicit_length_array_type,
    ACTIONS(275), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(733), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(277), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(735), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1123), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1305), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(497), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14973] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_func,
    ACTIONS(271), 1,
      anon_sym_STAR,
    ACTIONS(273), 1,
      anon_sym_LT_DASH,
    ACTIONS(281), 1,
      anon_sym_DQUOTE,
    STATE(1202), 1,
      sym_implicit_length_array_type,
    ACTIONS(275), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(737), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(277), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(739), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1123), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1305), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(498), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15066] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_func,
    ACTIONS(271), 1,
      anon_sym_STAR,
    ACTIONS(273), 1,
      anon_sym_LT_DASH,
    ACTIONS(281), 1,
      anon_sym_DQUOTE,
    STATE(1202), 1,
      sym_implicit_length_array_type,
    ACTIONS(275), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(741), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(277), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(743), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1123), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1305), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(499), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15159] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_func,
    ACTIONS(271), 1,
      anon_sym_STAR,
    ACTIONS(273), 1,
      anon_sym_LT_DASH,
    ACTIONS(281), 1,
      anon_sym_DQUOTE,
    STATE(1202), 1,
      sym_implicit_length_array_type,
    ACTIONS(275), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(745), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(277), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(747), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1123), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1305), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(503), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15252] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_func,
    ACTIONS(271), 1,
      anon_sym_STAR,
    ACTIONS(273), 1,
      anon_sym_LT_DASH,
    ACTIONS(281), 1,
      anon_sym_DQUOTE,
    STATE(1202), 1,
      sym_implicit_length_array_type,
    ACTIONS(275), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(749), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(277), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(751), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1123), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1305), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(533), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15345] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(753), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(755), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(475), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15438] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_func,
    ACTIONS(271), 1,
      anon_sym_STAR,
    ACTIONS(273), 1,
      anon_sym_LT_DASH,
    ACTIONS(281), 1,
      anon_sym_DQUOTE,
    STATE(1202), 1,
      sym_implicit_length_array_type,
    ACTIONS(275), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(757), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(277), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(759), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1123), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1221), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(526), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15531] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(641), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(643), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(398), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15624] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(761), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(763), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(477), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15717] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(765), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(767), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(473), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15810] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_STAR,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(641), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(643), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1221), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(398), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15903] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(769), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(771), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(474), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15996] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(773), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(775), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(658), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16089] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_func,
    ACTIONS(271), 1,
      anon_sym_STAR,
    ACTIONS(273), 1,
      anon_sym_LT_DASH,
    ACTIONS(281), 1,
      anon_sym_DQUOTE,
    ACTIONS(711), 1,
      anon_sym_chan,
    STATE(1202), 1,
      sym_implicit_length_array_type,
    ACTIONS(275), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(757), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(277), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(759), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1123), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1305), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(526), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16182] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(777), 1,
      sym_identifier,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(781), 1,
      anon_sym_func,
    ACTIONS(783), 1,
      anon_sym_STAR,
    ACTIONS(785), 1,
      anon_sym_LT_DASH,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    STATE(1162), 1,
      sym_implicit_length_array_type,
    ACTIONS(787), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(791), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(789), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(795), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1150), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1304), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(355), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16275] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(777), 1,
      sym_identifier,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(781), 1,
      anon_sym_func,
    ACTIONS(783), 1,
      anon_sym_STAR,
    ACTIONS(785), 1,
      anon_sym_LT_DASH,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    STATE(1162), 1,
      sym_implicit_length_array_type,
    ACTIONS(787), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(797), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(789), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(799), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1150), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1304), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(354), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16368] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(777), 1,
      sym_identifier,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(781), 1,
      anon_sym_func,
    ACTIONS(783), 1,
      anon_sym_STAR,
    ACTIONS(785), 1,
      anon_sym_LT_DASH,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    STATE(1162), 1,
      sym_implicit_length_array_type,
    ACTIONS(787), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(801), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(789), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(803), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1150), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1304), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(353), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16461] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(777), 1,
      sym_identifier,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(781), 1,
      anon_sym_func,
    ACTIONS(783), 1,
      anon_sym_STAR,
    ACTIONS(785), 1,
      anon_sym_LT_DASH,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    STATE(1162), 1,
      sym_implicit_length_array_type,
    ACTIONS(787), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(805), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(789), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(807), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1150), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1304), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(352), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16554] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(809), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(811), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(648), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16647] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(777), 1,
      sym_identifier,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(781), 1,
      anon_sym_func,
    ACTIONS(783), 1,
      anon_sym_STAR,
    ACTIONS(785), 1,
      anon_sym_LT_DASH,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    STATE(1162), 1,
      sym_implicit_length_array_type,
    ACTIONS(787), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(813), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(789), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(815), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1150), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1304), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(348), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16740] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(817), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(819), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(610), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16833] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_func,
    ACTIONS(271), 1,
      anon_sym_STAR,
    ACTIONS(273), 1,
      anon_sym_LT_DASH,
    ACTIONS(281), 1,
      anon_sym_DQUOTE,
    STATE(1202), 1,
      sym_implicit_length_array_type,
    ACTIONS(275), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(757), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(277), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(759), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1123), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1305), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(526), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16926] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(777), 1,
      sym_identifier,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(781), 1,
      anon_sym_func,
    ACTIONS(783), 1,
      anon_sym_STAR,
    ACTIONS(785), 1,
      anon_sym_LT_DASH,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    STATE(1162), 1,
      sym_implicit_length_array_type,
    ACTIONS(787), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(821), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(789), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(823), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1150), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1221), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(349), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17019] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(711), 1,
      anon_sym_chan,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(641), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(643), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(398), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17112] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(825), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(827), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(511), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17205] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(829), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(831), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(510), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17298] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(711), 1,
      anon_sym_chan,
    ACTIONS(777), 1,
      sym_identifier,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(781), 1,
      anon_sym_func,
    ACTIONS(783), 1,
      anon_sym_STAR,
    ACTIONS(785), 1,
      anon_sym_LT_DASH,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    STATE(1162), 1,
      sym_implicit_length_array_type,
    ACTIONS(787), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(821), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(789), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(823), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1150), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1304), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(349), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17391] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_STAR,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(833), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(835), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1220), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(659), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17484] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(713), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(715), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1236), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(399), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17577] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(641), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(643), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1221), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(398), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17670] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(711), 1,
      anon_sym_chan,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(837), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(839), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(308), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17763] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(841), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(843), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(665), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17856] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(837), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(839), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1221), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(308), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17949] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(845), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(847), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(680), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18042] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(641), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(643), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1221), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(398), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18135] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(849), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(851), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(670), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18228] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(853), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(855), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(629), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18321] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(725), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(727), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(482), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18414] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(857), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(859), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(638), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18507] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_STAR,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(861), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(863), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1220), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(644), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18600] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(865), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(867), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(671), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18693] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(869), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(871), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(669), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18786] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(425), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(427), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(626), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18879] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(873), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(875), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(484), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18972] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(877), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(879), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(489), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19065] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(881), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(883), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(490), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19158] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(885), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(887), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(491), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19251] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(889), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(891), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(492), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19344] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(893), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(895), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(633), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19437] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_STAR,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(897), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(899), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1220), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(672), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19530] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(901), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(903), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(657), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19623] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(905), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(907), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(664), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19716] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(909), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(911), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(661), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19809] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(913), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(915), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(630), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19902] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_func,
    ACTIONS(33), 1,
      anon_sym_STAR,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(49), 1,
      anon_sym_LT_DASH,
    ACTIONS(81), 1,
      anon_sym_DQUOTE,
    ACTIONS(917), 1,
      sym_identifier,
    STATE(1214), 1,
      sym_implicit_length_array_type,
    ACTIONS(75), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(919), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(77), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(921), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1090), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1302), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(264), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19995] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(175), 1,
      sym_identifier,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(411), 1,
      anon_sym_LPAREN,
    ACTIONS(413), 1,
      anon_sym_STAR,
    ACTIONS(415), 1,
      anon_sym_LT_DASH,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    STATE(1169), 1,
      sym_implicit_length_array_type,
    ACTIONS(191), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(923), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(417), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(925), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1080), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1301), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(496), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20088] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_STAR,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(927), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(929), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1220), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(649), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20181] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(837), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(839), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(308), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20274] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(777), 1,
      sym_identifier,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(781), 1,
      anon_sym_func,
    ACTIONS(783), 1,
      anon_sym_STAR,
    ACTIONS(785), 1,
      anon_sym_LT_DASH,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    STATE(1162), 1,
      sym_implicit_length_array_type,
    ACTIONS(787), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(931), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(789), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(933), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1150), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1304), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(351), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20367] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_func,
    ACTIONS(33), 1,
      anon_sym_STAR,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(49), 1,
      anon_sym_LT_DASH,
    ACTIONS(81), 1,
      anon_sym_DQUOTE,
    ACTIONS(917), 1,
      sym_identifier,
    STATE(1214), 1,
      sym_implicit_length_array_type,
    ACTIONS(75), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(935), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(77), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(937), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1090), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1302), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(270), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20460] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(939), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(941), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(502), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20553] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(683), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(685), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(397), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20646] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(943), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(945), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(581), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20739] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(947), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(949), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(635), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20832] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_func,
    ACTIONS(33), 1,
      anon_sym_STAR,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(49), 1,
      anon_sym_LT_DASH,
    ACTIONS(81), 1,
      anon_sym_DQUOTE,
    ACTIONS(917), 1,
      sym_identifier,
    STATE(1214), 1,
      sym_implicit_length_array_type,
    ACTIONS(75), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(951), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(77), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(953), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1090), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1302), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(265), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20925] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_func,
    ACTIONS(33), 1,
      anon_sym_STAR,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(49), 1,
      anon_sym_LT_DASH,
    ACTIONS(81), 1,
      anon_sym_DQUOTE,
    ACTIONS(917), 1,
      sym_identifier,
    STATE(1214), 1,
      sym_implicit_length_array_type,
    ACTIONS(75), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(955), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(77), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(957), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1090), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1302), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(268), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21018] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_func,
    ACTIONS(33), 1,
      anon_sym_STAR,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(49), 1,
      anon_sym_LT_DASH,
    ACTIONS(81), 1,
      anon_sym_DQUOTE,
    ACTIONS(917), 1,
      sym_identifier,
    STATE(1214), 1,
      sym_implicit_length_array_type,
    ACTIONS(75), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(959), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(77), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(961), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1090), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1302), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(267), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21111] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_func,
    ACTIONS(33), 1,
      anon_sym_STAR,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(49), 1,
      anon_sym_LT_DASH,
    ACTIONS(81), 1,
      anon_sym_DQUOTE,
    ACTIONS(917), 1,
      sym_identifier,
    STATE(1214), 1,
      sym_implicit_length_array_type,
    ACTIONS(75), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(963), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(77), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(965), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1090), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1302), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(266), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21204] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(967), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(969), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(582), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21297] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(971), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(973), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(601), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21390] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(975), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(977), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(583), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21483] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(979), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(981), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(590), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21576] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(983), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(985), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(655), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21669] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    ACTIONS(711), 1,
      anon_sym_chan,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(641), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(643), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(398), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21762] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(987), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(989), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(310), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21855] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_STAR,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(991), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(993), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1220), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(668), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21948] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(995), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(997), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(312), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22041] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(999), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(1001), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(313), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22134] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(133), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_func,
    ACTIONS(137), 1,
      anon_sym_STAR,
    ACTIONS(139), 1,
      anon_sym_LT_DASH,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      sym_implicit_length_array_type,
    ACTIONS(143), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(1003), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(145), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(1005), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1127), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1303), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(314), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22227] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(777), 1,
      sym_identifier,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(781), 1,
      anon_sym_func,
    ACTIONS(783), 1,
      anon_sym_STAR,
    ACTIONS(785), 1,
      anon_sym_LT_DASH,
    ACTIONS(793), 1,
      anon_sym_DQUOTE,
    STATE(1162), 1,
      sym_implicit_length_array_type,
    ACTIONS(787), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(821), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(789), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(823), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1150), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1304), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(349), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22320] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(1007), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(1009), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(636), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22413] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(207), 1,
      anon_sym_STAR,
    ACTIONS(213), 1,
      anon_sym_LT_DASH,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(313), 1,
      sym_identifier,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(1011), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(217), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(1013), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(647), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22506] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_func,
    ACTIONS(33), 1,
      anon_sym_STAR,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(49), 1,
      anon_sym_LT_DASH,
    ACTIONS(81), 1,
      anon_sym_DQUOTE,
    ACTIONS(711), 1,
      anon_sym_chan,
    ACTIONS(917), 1,
      sym_identifier,
    STATE(1214), 1,
      sym_implicit_length_array_type,
    ACTIONS(75), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(919), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(77), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(921), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1090), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1302), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(264), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22599] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(459), 1,
      sym_identifier,
    ACTIONS(461), 1,
      anon_sym_LPAREN,
    ACTIONS(463), 1,
      anon_sym_func,
    ACTIONS(465), 1,
      anon_sym_STAR,
    ACTIONS(467), 1,
      anon_sym_LT_DASH,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    STATE(1213), 1,
      sym_implicit_length_array_type,
    ACTIONS(469), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(713), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(471), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(715), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1116), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1221), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(399), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22692] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      sym_identifier,
    ACTIONS(381), 1,
      anon_sym_STAR,
    ACTIONS(385), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(1015), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(387), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(1017), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(662), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22785] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(285), 1,
      sym_identifier,
    ACTIONS(289), 1,
      anon_sym_STAR,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(1019), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(1021), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1298), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(606), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22878] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(203), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_func,
    ACTIONS(221), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      anon_sym_LT_DASH,
    ACTIONS(313), 1,
      sym_identifier,
    ACTIONS(669), 1,
      anon_sym_STAR,
    STATE(1178), 1,
      sym_implicit_length_array_type,
    ACTIONS(215), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(1023), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(293), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(1025), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1043), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1220), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(652), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22971] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_func,
    ACTIONS(33), 1,
      anon_sym_STAR,
    ACTIONS(35), 1,
      anon_sym_LBRACK,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(49), 1,
      anon_sym_LT_DASH,
    ACTIONS(81), 1,
      anon_sym_DQUOTE,
    ACTIONS(917), 1,
      sym_identifier,
    STATE(1214), 1,
      sym_implicit_length_array_type,
    ACTIONS(75), 2,
      anon_sym_new,
      anon_sym_make,
    ACTIONS(919), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(77), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(921), 5,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
    STATE(1090), 5,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
      sym_qualified_type,
    STATE(1221), 6,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    STATE(264), 13,
      sym__expression,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [23064] = 8,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(1031), 1,
      anon_sym_DOT,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_LBRACE,
    ACTIONS(1039), 1,
      anon_sym_COLON,
    STATE(297), 1,
      sym_literal_value,
    ACTIONS(1029), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23129] = 8,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(1031), 1,
      anon_sym_DOT,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_LBRACE,
    ACTIONS(1041), 1,
      anon_sym_COLON,
    STATE(297), 1,
      sym_literal_value,
    ACTIONS(1029), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23194] = 7,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(1031), 1,
      anon_sym_DOT,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1037), 1,
      anon_sym_LBRACE,
    STATE(297), 1,
      sym_literal_value,
    ACTIONS(1029), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23256] = 18,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_LF,
    ACTIONS(1047), 1,
      anon_sym_DOT,
    ACTIONS(1049), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_COMMA,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_LT_DASH,
    ACTIONS(1061), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1063), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1071), 1,
      anon_sym_PIPE_PIPE,
    STATE(272), 1,
      sym_argument_list,
    STATE(768), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1045), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1065), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1067), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1055), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1053), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [23340] = 7,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DOT,
    ACTIONS(1049), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1073), 1,
      anon_sym_LF,
    STATE(272), 1,
      sym_argument_list,
    ACTIONS(1075), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23401] = 8,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DOT,
    ACTIONS(1049), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LF,
    STATE(272), 1,
      sym_argument_list,
    ACTIONS(1055), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1079), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23464] = 11,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DOT,
    ACTIONS(1049), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1069), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1077), 1,
      anon_sym_LF,
    STATE(272), 1,
      sym_argument_list,
    ACTIONS(1065), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1067), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1055), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1079), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
  [23533] = 10,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DOT,
    ACTIONS(1049), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LF,
    STATE(272), 1,
      sym_argument_list,
    ACTIONS(1065), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1067), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1055), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1079), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23600] = 9,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DOT,
    ACTIONS(1049), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LF,
    STATE(272), 1,
      sym_argument_list,
    ACTIONS(1065), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1055), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1079), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23665] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    STATE(272), 1,
      sym_special_argument_list,
    ACTIONS(1029), 42,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23722] = 7,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DOT,
    ACTIONS(1049), 1,
      anon_sym_LPAREN,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LF,
    STATE(272), 1,
      sym_argument_list,
    ACTIONS(1079), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23783] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_LF,
    ACTIONS(1085), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23835] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1087), 1,
      anon_sym_LF,
    ACTIONS(1089), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23887] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1091), 1,
      anon_sym_LF,
    ACTIONS(1093), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23939] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1095), 1,
      anon_sym_LF,
    ACTIONS(1097), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23991] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1099), 1,
      anon_sym_LF,
    ACTIONS(1101), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24043] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1103), 1,
      anon_sym_LF,
    ACTIONS(1105), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24095] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(1043), 1,
      anon_sym_SEMI,
    ACTIONS(1053), 1,
      anon_sym_EQ,
    ACTIONS(1107), 1,
      anon_sym_DOT,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1111), 1,
      anon_sym_COMMA,
    ACTIONS(1115), 1,
      anon_sym_LBRACK,
    ACTIONS(1117), 1,
      anon_sym_LT_DASH,
    ACTIONS(1121), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1123), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1131), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE,
    STATE(320), 1,
      sym_argument_list,
    STATE(768), 1,
      aux_sym_expression_list_repeat1,
    STATE(970), 1,
      sym_block,
    ACTIONS(1129), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1125), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1127), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1113), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1119), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24183] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_LF,
    ACTIONS(1137), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24235] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_LF,
    ACTIONS(1141), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24287] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_LF,
    ACTIONS(1145), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24339] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1147), 1,
      anon_sym_LF,
    ACTIONS(1149), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24391] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1151), 1,
      anon_sym_LF,
    ACTIONS(1153), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24443] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_LF,
    ACTIONS(1157), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24495] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LF,
    ACTIONS(1161), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24547] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_LF,
    ACTIONS(1165), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24599] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_LF,
    ACTIONS(1169), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24651] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_LF,
    ACTIONS(1173), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24703] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1175), 1,
      anon_sym_LF,
    ACTIONS(1177), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24755] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_LF,
    ACTIONS(1181), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24807] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LF,
    ACTIONS(1185), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24859] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LF,
    ACTIONS(1189), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24911] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_LF,
    ACTIONS(1193), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24963] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_LF,
    ACTIONS(1197), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25015] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LF,
    ACTIONS(1201), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25067] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1203), 1,
      anon_sym_LF,
    ACTIONS(1205), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25119] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1207), 1,
      anon_sym_LF,
    ACTIONS(1209), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25171] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1211), 1,
      anon_sym_LF,
    ACTIONS(1213), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25223] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LF,
    ACTIONS(1217), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25275] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_LF,
    ACTIONS(1221), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25327] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LF,
    ACTIONS(1225), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25379] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LF,
    ACTIONS(1229), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25431] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1231), 1,
      anon_sym_LF,
    ACTIONS(1233), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25483] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_LF,
    ACTIONS(1237), 43,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25535] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(1043), 1,
      anon_sym_SEMI,
    ACTIONS(1053), 1,
      anon_sym_EQ,
    ACTIONS(1107), 1,
      anon_sym_DOT,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1111), 1,
      anon_sym_COMMA,
    ACTIONS(1115), 1,
      anon_sym_LBRACK,
    ACTIONS(1117), 1,
      anon_sym_LT_DASH,
    ACTIONS(1121), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1123), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1131), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE,
    STATE(320), 1,
      sym_argument_list,
    STATE(768), 1,
      aux_sym_expression_list_repeat1,
    STATE(928), 1,
      sym_block,
    ACTIONS(1129), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1125), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1127), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1113), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1119), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25623] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_SEMI,
    ACTIONS(1053), 1,
      anon_sym_EQ,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1111), 1,
      anon_sym_COMMA,
    ACTIONS(1115), 1,
      anon_sym_LBRACK,
    ACTIONS(1117), 1,
      anon_sym_LT_DASH,
    ACTIONS(1121), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1123), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1131), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1239), 1,
      anon_sym_DOT,
    ACTIONS(1241), 1,
      anon_sym_LBRACE,
    STATE(320), 1,
      sym_argument_list,
    STATE(768), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1129), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1125), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1127), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1113), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1119), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_LPAREN,
    STATE(320), 1,
      sym_special_argument_list,
    ACTIONS(1029), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_DOT,
    ACTIONS(1248), 1,
      anon_sym_LPAREN,
    STATE(319), 1,
      sym_literal_value,
    ACTIONS(1029), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25818] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 1,
      anon_sym_DOT,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_LBRACK,
    STATE(320), 1,
      sym_argument_list,
    ACTIONS(1075), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1073), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25876] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      anon_sym_EQ,
    ACTIONS(1107), 1,
      anon_sym_DOT,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1111), 1,
      anon_sym_COMMA,
    ACTIONS(1115), 1,
      anon_sym_LBRACK,
    ACTIONS(1121), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1123), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1131), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1251), 1,
      anon_sym_LT_DASH,
    STATE(320), 1,
      sym_argument_list,
    STATE(768), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1129), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1125), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1127), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1113), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1119), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25958] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1107), 1,
      anon_sym_DOT,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_AMP_AMP,
    STATE(320), 1,
      sym_argument_list,
    ACTIONS(1129), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1125), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1127), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1113), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [26026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1107), 1,
      anon_sym_DOT,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_LBRACK,
    STATE(320), 1,
      sym_argument_list,
    ACTIONS(1129), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1125), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1127), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1113), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26092] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 1,
      anon_sym_DOT,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_LBRACK,
    STATE(320), 1,
      sym_argument_list,
    ACTIONS(1079), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1125), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1113), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26154] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 1,
      anon_sym_DOT,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_LBRACK,
    STATE(320), 1,
      sym_argument_list,
    ACTIONS(1079), 7,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1113), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26214] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 1,
      anon_sym_DOT,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_LBRACK,
    STATE(320), 1,
      sym_argument_list,
    ACTIONS(1079), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1077), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1199), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1219), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1179), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1215), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1087), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1167), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1227), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1147), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1151), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1171), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1223), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1139), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1203), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1235), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1231), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1135), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1103), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1083), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1099), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1159), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1155), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1095), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27840] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_DOT,
    ACTIONS(1248), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym_literal_value,
    ACTIONS(1029), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 20,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27894] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      anon_sym_LPAREN,
    ACTIONS(1259), 1,
      anon_sym_LBRACK,
    STATE(366), 1,
      sym_argument_list,
    ACTIONS(1079), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1077), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27947] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      anon_sym_LPAREN,
    ACTIONS(1259), 1,
      anon_sym_LBRACK,
    STATE(366), 1,
      sym_argument_list,
    ACTIONS(1075), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1073), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    STATE(366), 1,
      sym_special_argument_list,
    ACTIONS(1029), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 21,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28049] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      anon_sym_LPAREN,
    ACTIONS(1259), 1,
      anon_sym_LBRACK,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(1275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1277), 1,
      anon_sym_PIPE_PIPE,
    STATE(366), 1,
      sym_argument_list,
    ACTIONS(1273), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1269), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1271), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1267), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1263), 13,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [28114] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      anon_sym_LPAREN,
    ACTIONS(1259), 1,
      anon_sym_LBRACK,
    STATE(366), 1,
      sym_argument_list,
    ACTIONS(1079), 7,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1267), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28169] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      anon_sym_LPAREN,
    ACTIONS(1259), 1,
      anon_sym_LBRACK,
    STATE(366), 1,
      sym_argument_list,
    ACTIONS(1079), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1269), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1267), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28226] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      anon_sym_LPAREN,
    ACTIONS(1259), 1,
      anon_sym_LBRACK,
    STATE(366), 1,
      sym_argument_list,
    ACTIONS(1273), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1269), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1271), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1267), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 15,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28287] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      anon_sym_LPAREN,
    ACTIONS(1259), 1,
      anon_sym_LBRACK,
    ACTIONS(1275), 1,
      anon_sym_AMP_AMP,
    STATE(366), 1,
      sym_argument_list,
    ACTIONS(1273), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1269), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1271), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1267), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 14,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [28350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1095), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1171), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1135), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1103), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1099), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1167), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1087), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1159), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1219), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1223), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1199), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1083), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1227), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1235), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1215), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1231), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1139), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1203), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1179), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1155), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1151), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1147), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29758] = 7,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_DOT,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1279), 1,
      anon_sym_LBRACE,
    STATE(406), 1,
      sym_literal_value,
    ACTIONS(1027), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1029), 28,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29808] = 14,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_DOT,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1285), 1,
      anon_sym_COMMA,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1297), 1,
      anon_sym_PIPE_PIPE,
    STATE(460), 1,
      sym_argument_list,
    STATE(795), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1119), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1293), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1053), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
    ACTIONS(1287), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [29872] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1299), 1,
      anon_sym_LPAREN,
    STATE(460), 1,
      sym_special_argument_list,
    ACTIONS(1027), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1029), 29,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29917] = 7,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_DOT,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_argument_list,
    ACTIONS(1077), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1079), 27,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29966] = 12,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_DOT,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1297), 1,
      anon_sym_PIPE_PIPE,
    STATE(460), 1,
      sym_argument_list,
    ACTIONS(1263), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1293), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1265), 8,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [30025] = 8,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_DOT,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_argument_list,
    ACTIONS(1077), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1287), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1079), 20,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30076] = 9,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_DOT,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_argument_list,
    ACTIONS(1077), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1287), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1079), 16,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30129] = 10,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_DOT,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_argument_list,
    ACTIONS(1077), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1293), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1079), 10,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30184] = 11,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_DOT,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1295), 1,
      anon_sym_AMP_AMP,
    STATE(460), 1,
      sym_argument_list,
    ACTIONS(1077), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1291), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1293), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1079), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_PIPE_PIPE,
  [30241] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1079), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1077), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30290] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1075), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1073), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30339] = 7,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_DOT,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_argument_list,
    ACTIONS(1073), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1075), 27,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    STATE(415), 1,
      sym_special_argument_list,
    ACTIONS(1029), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 23,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1099), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30513] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1139), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(1245), 1,
      anon_sym_DOT,
    STATE(417), 1,
      sym_literal_value,
    ACTIONS(1248), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(1029), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30641] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1211), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1213), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30681] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1159), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30721] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1199), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1201), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30761] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1203), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1205), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30801] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1175), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30881] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1147), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30921] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1091), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1093), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30961] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1179), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1087), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31041] = 16,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_LPAREN,
    ACTIONS(1317), 1,
      anon_sym_COMMA,
    ACTIONS(1319), 1,
      anon_sym_EQ,
    ACTIONS(1321), 1,
      anon_sym_STAR,
    ACTIONS(1323), 1,
      anon_sym_LBRACK,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1329), 1,
      anon_sym_LT_DASH,
    STATE(454), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1309), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1313), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
    STATE(1246), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [31107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31147] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1207), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1209), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31187] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1215), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1217), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31227] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1235), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1237), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31267] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1231), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1233), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1199), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31347] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1227), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1229), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31387] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1083), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1085), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31427] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1187), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31467] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1155), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1203), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1219), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31587] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1195), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31627] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1191), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1193), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1223), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1227), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1235), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1215), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31827] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1167), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1135), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1103), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32147] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1167), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1169), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32187] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1135), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32227] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1223), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1225), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32267] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1171), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1095), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1179), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1159), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1155), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1151), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1147), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32587] = 16,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_LPAREN,
    ACTIONS(1317), 1,
      anon_sym_COMMA,
    ACTIONS(1321), 1,
      anon_sym_STAR,
    ACTIONS(1323), 1,
      anon_sym_LBRACK,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1329), 1,
      anon_sym_LT_DASH,
    ACTIONS(1335), 1,
      anon_sym_EQ,
    STATE(692), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1331), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1333), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
    STATE(1284), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [32653] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1151), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1153), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32693] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1163), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32733] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1103), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1105), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32773] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1095), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1097), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32813] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1143), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32853] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1087), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1089), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32893] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1099), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1101), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32933] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1219), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1221), 30,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1171), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1139), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1231), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1083), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33173] = 16,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_LPAREN,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1361), 1,
      anon_sym_LT_DASH,
    STATE(817), 1,
      sym_block,
    ACTIONS(1337), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1341), 6,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_type,
    STATE(798), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [33238] = 14,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_LPAREN,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1361), 1,
      anon_sym_LT_DASH,
    ACTIONS(1367), 1,
      anon_sym_func,
    ACTIONS(1363), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1365), 8,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_type,
      anon_sym_LBRACE,
    STATE(783), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [33299] = 16,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1343), 1,
      anon_sym_LPAREN,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1361), 1,
      anon_sym_LT_DASH,
    STATE(829), 1,
      sym_block,
    ACTIONS(1370), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1372), 6,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_type,
    STATE(786), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [33364] = 14,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_LF,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1378), 1,
      anon_sym_COMMA,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    ACTIONS(1388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1390), 1,
      anon_sym_PIPE_PIPE,
    STATE(507), 1,
      sym_argument_list,
    STATE(871), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1053), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1384), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1386), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1380), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33424] = 20,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1394), 1,
      anon_sym_LF,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1402), 1,
      anon_sym_COMMA,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1406), 1,
      anon_sym_STAR,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1418), 1,
      anon_sym_LT_DASH,
    ACTIONS(1420), 1,
      sym_raw_string_literal,
    STATE(678), 1,
      aux_sym_field_name_list_repeat1,
    STATE(1126), 1,
      sym_interpreted_string_literal,
    ACTIONS(1396), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    STATE(921), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [33496] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1079), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33554] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1079), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
  [33614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1079), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33664] = 7,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(1031), 1,
      anon_sym_DOT,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1438), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_literal_value,
    ACTIONS(1029), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33710] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1079), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33764] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_DOT,
    ACTIONS(1248), 1,
      anon_sym_LPAREN,
    ACTIONS(1440), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_literal_value,
    ACTIONS(1029), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 18,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33809] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(1442), 1,
      anon_sym_LPAREN,
    STATE(507), 1,
      sym_special_argument_list,
    ACTIONS(1029), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33850] = 17,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_LF,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_LPAREN,
    ACTIONS(1321), 1,
      anon_sym_STAR,
    ACTIONS(1323), 1,
      anon_sym_LBRACK,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1329), 1,
      anon_sym_LT_DASH,
    ACTIONS(1444), 1,
      anon_sym_COMMA,
    ACTIONS(1446), 1,
      anon_sym_EQ,
    ACTIONS(1448), 1,
      anon_sym_func,
    STATE(488), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1313), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(1278), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [33915] = 14,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LF,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1406), 1,
      anon_sym_STAR,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1418), 1,
      anon_sym_LT_DASH,
    ACTIONS(1450), 1,
      anon_sym_LPAREN,
    ACTIONS(1365), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
    STATE(862), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [33974] = 7,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1073), 1,
      anon_sym_LF,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    STATE(507), 1,
      sym_argument_list,
    ACTIONS(1075), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34019] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym_EQ,
    ACTIONS(1117), 1,
      anon_sym_LT_DASH,
    ACTIONS(1119), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1452), 1,
      anon_sym_DOT,
    ACTIONS(1454), 1,
      anon_sym_LPAREN,
    ACTIONS(1456), 1,
      anon_sym_COMMA,
    ACTIONS(1460), 1,
      anon_sym_LBRACK,
    ACTIONS(1462), 1,
      anon_sym_COLON,
    ACTIONS(1468), 1,
      anon_sym_PIPE,
    ACTIONS(1474), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1476), 1,
      anon_sym_PIPE_PIPE,
    STATE(544), 1,
      sym_argument_list,
    STATE(913), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1466), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1472), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1464), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1470), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1458), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34088] = 7,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_LF,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    STATE(507), 1,
      sym_argument_list,
    ACTIONS(1079), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34133] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_LF,
    ACTIONS(1165), 28,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34170] = 12,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_LF,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    ACTIONS(1388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1390), 1,
      anon_sym_PIPE_PIPE,
    STATE(507), 1,
      sym_argument_list,
    ACTIONS(1384), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1265), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1386), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1380), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34225] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1175), 1,
      anon_sym_LF,
    ACTIONS(1177), 28,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34262] = 17,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_LPAREN,
    ACTIONS(1321), 1,
      anon_sym_STAR,
    ACTIONS(1323), 1,
      anon_sym_LBRACK,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1329), 1,
      anon_sym_LT_DASH,
    ACTIONS(1331), 1,
      anon_sym_LF,
    ACTIONS(1444), 1,
      anon_sym_COMMA,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1478), 1,
      anon_sym_EQ,
    STATE(755), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1333), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(1267), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [34327] = 8,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_LF,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    STATE(507), 1,
      sym_argument_list,
    ACTIONS(1380), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1079), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34374] = 9,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_LF,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    STATE(507), 1,
      sym_argument_list,
    ACTIONS(1384), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1380), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1079), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34423] = 10,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_LF,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    STATE(507), 1,
      sym_argument_list,
    ACTIONS(1384), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1386), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1079), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1380), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34474] = 11,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_LF,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    ACTIONS(1388), 1,
      anon_sym_AMP_AMP,
    STATE(507), 1,
      sym_argument_list,
    ACTIONS(1384), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1079), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
    ACTIONS(1386), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1380), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34527] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_LF,
    ACTIONS(1141), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34563] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1103), 1,
      anon_sym_LF,
    ACTIONS(1105), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34599] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LF,
    ACTIONS(1225), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34635] = 12,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    ACTIONS(1388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1390), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1480), 1,
      anon_sym_LF,
    STATE(507), 1,
      sym_argument_list,
    ACTIONS(1384), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1482), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1386), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1380), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34689] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      anon_sym_DOT,
    ACTIONS(1454), 1,
      anon_sym_LPAREN,
    ACTIONS(1460), 1,
      anon_sym_LBRACK,
    ACTIONS(1468), 1,
      anon_sym_PIPE,
    ACTIONS(1474), 1,
      anon_sym_AMP_AMP,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(1079), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1466), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1472), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1464), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1077), 4,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1470), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1458), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34747] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      anon_sym_DOT,
    ACTIONS(1454), 1,
      anon_sym_LPAREN,
    ACTIONS(1460), 1,
      anon_sym_LBRACK,
    ACTIONS(1468), 1,
      anon_sym_PIPE,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(1079), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1466), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1472), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1464), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1470), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1077), 5,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34803] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      anon_sym_DOT,
    ACTIONS(1454), 1,
      anon_sym_LPAREN,
    ACTIONS(1460), 1,
      anon_sym_LBRACK,
    ACTIONS(1468), 1,
      anon_sym_PIPE,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(1466), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1464), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1079), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1458), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 9,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34855] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LF,
    ACTIONS(1229), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34891] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LF,
    ACTIONS(1189), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34927] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1265), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1263), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      anon_sym_DOT,
    ACTIONS(1454), 1,
      anon_sym_LPAREN,
    ACTIONS(1460), 1,
      anon_sym_LBRACK,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(1466), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1079), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1458), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 12,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35035] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_LF,
    ACTIONS(1237), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35071] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LF,
    ACTIONS(1217), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35107] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_LF,
    ACTIONS(1221), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35143] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1087), 1,
      anon_sym_LF,
    ACTIONS(1089), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35179] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1211), 1,
      anon_sym_LF,
    ACTIONS(1213), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35215] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LF,
    ACTIONS(1201), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35251] = 12,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    ACTIONS(1388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1390), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1486), 1,
      anon_sym_LF,
    STATE(507), 1,
      sym_argument_list,
    ACTIONS(1384), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1488), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1386), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1380), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35305] = 12,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1374), 1,
      anon_sym_DOT,
    ACTIONS(1376), 1,
      anon_sym_LPAREN,
    ACTIONS(1382), 1,
      anon_sym_LBRACK,
    ACTIONS(1388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1390), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1490), 1,
      anon_sym_LF,
    STATE(507), 1,
      sym_argument_list,
    ACTIONS(1384), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1492), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1386), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1380), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35359] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_LF,
    ACTIONS(1085), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35395] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1207), 1,
      anon_sym_LF,
    ACTIONS(1209), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35431] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1231), 1,
      anon_sym_LF,
    ACTIONS(1233), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35467] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1091), 1,
      anon_sym_LF,
    ACTIONS(1093), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35503] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1203), 1,
      anon_sym_LF,
    ACTIONS(1205), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35539] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_LF,
    ACTIONS(1173), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35575] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_LF,
    ACTIONS(1145), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35611] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1147), 1,
      anon_sym_LF,
    ACTIONS(1149), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35647] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_LF,
    ACTIONS(1197), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35683] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1151), 1,
      anon_sym_LF,
    ACTIONS(1153), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35719] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_LF,
    ACTIONS(1157), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35755] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LF,
    ACTIONS(1161), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_LPAREN,
    STATE(544), 1,
      sym_special_argument_list,
    ACTIONS(1029), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 19,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35831] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_LF,
    ACTIONS(1181), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35867] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      anon_sym_DOT,
    ACTIONS(1454), 1,
      anon_sym_LPAREN,
    ACTIONS(1460), 1,
      anon_sym_LBRACK,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(1075), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1073), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35911] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_LF,
    ACTIONS(1193), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35947] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1095), 1,
      anon_sym_LF,
    ACTIONS(1097), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35983] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1099), 1,
      anon_sym_LF,
    ACTIONS(1101), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36019] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_LF,
    ACTIONS(1185), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36055] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_LF,
    ACTIONS(1169), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36091] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_LF,
    ACTIONS(1137), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36127] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      anon_sym_DOT,
    ACTIONS(1454), 1,
      anon_sym_LPAREN,
    ACTIONS(1460), 1,
      anon_sym_LBRACK,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(1079), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1077), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1135), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36241] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1496), 1,
      anon_sym_RPAREN,
    ACTIONS(1498), 1,
      anon_sym_COMMA,
    ACTIONS(1500), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    STATE(1065), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1171), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1139), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1091), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1231), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1083), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1199), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1087), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36584] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(1031), 1,
      anon_sym_DOT,
    ACTIONS(1248), 1,
      anon_sym_LPAREN,
    STATE(417), 1,
      sym_literal_value,
    ACTIONS(1029), 5,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1147), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1151), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1155), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36732] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1363), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
    STATE(875), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [36787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1159), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36822] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1500), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1526), 1,
      anon_sym_RPAREN,
    ACTIONS(1528), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    STATE(1128), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1179), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36920] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    ACTIONS(1245), 1,
      anon_sym_DOT,
    ACTIONS(1248), 1,
      anon_sym_LPAREN,
    ACTIONS(1530), 1,
      anon_sym_COLON,
    STATE(417), 1,
      sym_literal_value,
    ACTIONS(1029), 5,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36965] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1456), 1,
      anon_sym_COMMA,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    STATE(913), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1119), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1095), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1099), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37096] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1500), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1532), 1,
      anon_sym_RPAREN,
    ACTIONS(1534), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    STATE(1113), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1103), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37194] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1500), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1536), 1,
      anon_sym_RPAREN,
    ACTIONS(1538), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    STATE(1103), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37292] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1456), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      anon_sym_DOT,
    ACTIONS(1544), 1,
      anon_sym_LBRACE,
    ACTIONS(1550), 1,
      anon_sym_PIPE,
    ACTIONS(1556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1558), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    STATE(913), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1554), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1546), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1552), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37355] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1500), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1560), 1,
      anon_sym_RPAREN,
    ACTIONS(1562), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    STATE(1098), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1167), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37558] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1500), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1564), 1,
      anon_sym_RPAREN,
    ACTIONS(1566), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    STATE(1151), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1219), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1223), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1203), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1227), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37796] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1500), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1568), 1,
      anon_sym_RPAREN,
    ACTIONS(1570), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    STATE(1114), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1215), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1235), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1576), 1,
      anon_sym_RPAREN,
    ACTIONS(1578), 1,
      anon_sym_COMMA,
    ACTIONS(1580), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1083), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1163), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [38059] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1500), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1582), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_LBRACE,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1550), 1,
      anon_sym_PIPE,
    ACTIONS(1556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1558), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1584), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    STATE(1105), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1554), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1546), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1552), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38177] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1079), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38223] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1079), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38273] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1077), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38325] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_DOT,
    ACTIONS(1248), 1,
      anon_sym_LPAREN,
    STATE(417), 1,
      sym_literal_value,
    ACTIONS(1029), 5,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1027), 18,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38365] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1550), 1,
      anon_sym_PIPE,
    ACTIONS(1556), 1,
      anon_sym_AMP_AMP,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1554), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1546), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1077), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1552), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38419] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1550), 1,
      anon_sym_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1554), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1546), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1552), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1077), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1580), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1586), 1,
      anon_sym_RPAREN,
    ACTIONS(1588), 1,
      anon_sym_COMMA,
    STATE(1066), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1163), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [38531] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1550), 1,
      anon_sym_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1079), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1546), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38581] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1079), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(1077), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38627] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1077), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38681] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_SEMI,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1456), 1,
      anon_sym_COMMA,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1590), 1,
      anon_sym_DOT,
    STATE(415), 1,
      sym_argument_list,
    STATE(913), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38741] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1594), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1592), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38799] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1596), 1,
      anon_sym_DOT,
    ACTIONS(1598), 1,
      anon_sym_RPAREN,
    ACTIONS(1600), 1,
      anon_sym_COMMA,
    ACTIONS(1603), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(676), 1,
      aux_sym_const_spec_repeat1,
    STATE(1186), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [38861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1580), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1605), 1,
      anon_sym_RPAREN,
    ACTIONS(1607), 1,
      anon_sym_COMMA,
    STATE(1142), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1163), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [38921] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38976] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_RPAREN,
    ACTIONS(1613), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39033] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1615), 1,
      anon_sym_RBRACK,
    ACTIONS(1617), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39090] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1619), 1,
      anon_sym_RBRACK,
    ACTIONS(1621), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39147] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1550), 1,
      anon_sym_PIPE,
    ACTIONS(1556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1558), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1263), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1554), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1546), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1552), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39202] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_RBRACK,
    ACTIONS(1625), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39259] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1627), 1,
      anon_sym_RPAREN,
    ACTIONS(1629), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39316] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1580), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1631), 1,
      anon_sym_RPAREN,
    STATE(1159), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1163), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [39373] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1580), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1633), 1,
      anon_sym_RPAREN,
    STATE(1159), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1163), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [39430] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1580), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1635), 1,
      anon_sym_RPAREN,
    STATE(1159), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1163), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [39487] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1637), 1,
      anon_sym_RBRACK,
    ACTIONS(1639), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39544] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1641), 1,
      anon_sym_RPAREN,
    ACTIONS(1643), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39601] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1580), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1645), 1,
      anon_sym_RPAREN,
    STATE(1159), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1163), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [39658] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1647), 1,
      anon_sym_RBRACK,
    ACTIONS(1649), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39715] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1651), 1,
      anon_sym_RBRACK,
    ACTIONS(1653), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39772] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_RPAREN,
    ACTIONS(1657), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39829] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1659), 1,
      anon_sym_RBRACK,
    ACTIONS(1661), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39886] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1663), 1,
      anon_sym_RBRACK,
    ACTIONS(1665), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39943] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1667), 1,
      anon_sym_RBRACK,
    ACTIONS(1669), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40000] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1671), 1,
      anon_sym_RBRACK,
    ACTIONS(1673), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40057] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1675), 1,
      anon_sym_RPAREN,
    ACTIONS(1677), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40114] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1679), 1,
      anon_sym_RBRACK,
    ACTIONS(1681), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40171] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1480), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40226] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1683), 1,
      anon_sym_RBRACK,
    ACTIONS(1685), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40283] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1687), 1,
      anon_sym_RBRACK,
    ACTIONS(1689), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40340] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1691), 1,
      anon_sym_RBRACK,
    ACTIONS(1693), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40397] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1695), 1,
      anon_sym_RBRACK,
    ACTIONS(1697), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40454] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1699), 1,
      anon_sym_RBRACK,
    ACTIONS(1701), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40511] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1703), 1,
      anon_sym_RBRACK,
    ACTIONS(1705), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40568] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1707), 1,
      anon_sym_RBRACK,
    ACTIONS(1709), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40625] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1580), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1711), 1,
      anon_sym_RPAREN,
    STATE(1159), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1163), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [40682] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1263), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40737] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1580), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1713), 1,
      anon_sym_RPAREN,
    STATE(1159), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1163), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [40794] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1715), 1,
      anon_sym_RBRACK,
    ACTIONS(1717), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40851] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1719), 1,
      anon_sym_RPAREN,
    ACTIONS(1721), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40908] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1550), 1,
      anon_sym_PIPE,
    ACTIONS(1556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1558), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    STATE(910), 1,
      sym_block,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1554), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1546), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1552), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40965] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1723), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41020] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1725), 1,
      anon_sym_RBRACK,
    ACTIONS(1727), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41077] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1729), 1,
      anon_sym_RPAREN,
    ACTIONS(1731), 1,
      anon_sym_COMMA,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41134] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1733), 1,
      anon_sym_RBRACK,
    ACTIONS(1735), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41191] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1737), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41245] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1739), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41299] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1741), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41353] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1743), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41407] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1745), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41461] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1572), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1580), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1159), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1163), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [41515] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1747), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41569] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1749), 1,
      anon_sym_SEMI,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41623] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1753), 1,
      anon_sym_COMMA,
    ACTIONS(1755), 1,
      anon_sym_EQ,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    STATE(645), 1,
      aux_sym_const_spec_repeat1,
    STATE(903), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [41679] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41733] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1753), 1,
      anon_sym_COMMA,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(770), 1,
      aux_sym_const_spec_repeat1,
    STATE(904), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [41789] = 14,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1406), 1,
      anon_sym_STAR,
    ACTIONS(1408), 1,
      anon_sym_LBRACK,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1418), 1,
      anon_sym_LT_DASH,
    ACTIONS(1450), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      anon_sym_LF,
    ACTIONS(1769), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    STATE(1092), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [41843] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1771), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41897] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1773), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41951] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1775), 1,
      anon_sym_RPAREN,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42005] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1363), 1,
      anon_sym_RPAREN,
    ACTIONS(1777), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1786), 1,
      anon_sym_LBRACE,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    STATE(466), 1,
      sym_block,
    STATE(1023), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [42061] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1753), 1,
      anon_sym_COMMA,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1792), 1,
      anon_sym_EQ,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_LT_DASH,
    STATE(770), 1,
      aux_sym_const_spec_repeat1,
    STATE(809), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [42117] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1800), 1,
      anon_sym_RPAREN,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42171] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1802), 1,
      anon_sym_COLON,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42225] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1804), 1,
      anon_sym_RPAREN,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42279] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1806), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42333] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1808), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42387] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1810), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42441] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1812), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42495] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1814), 1,
      anon_sym_RPAREN,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42549] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1480), 1,
      anon_sym_LBRACE,
    ACTIONS(1550), 1,
      anon_sym_PIPE,
    ACTIONS(1556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1558), 1,
      anon_sym_PIPE_PIPE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1554), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1546), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1552), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42603] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1816), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42657] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1550), 1,
      anon_sym_PIPE,
    ACTIONS(1556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1558), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1818), 1,
      anon_sym_LBRACE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1554), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1546), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1552), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42711] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_SEMI,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42765] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1550), 1,
      anon_sym_PIPE,
    ACTIONS(1556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1558), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1548), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1554), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1546), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1552), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42819] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1824), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42873] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42927] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1753), 1,
      anon_sym_COMMA,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_LT_DASH,
    ACTIONS(1828), 1,
      anon_sym_EQ,
    STATE(651), 1,
      aux_sym_const_spec_repeat1,
    STATE(812), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [42983] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1830), 1,
      anon_sym_RPAREN,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43037] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1832), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43091] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1834), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43145] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1836), 1,
      anon_sym_RBRACK,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43199] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_DOT,
    ACTIONS(1508), 1,
      anon_sym_PIPE,
    ACTIONS(1514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1838), 1,
      anon_sym_RPAREN,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1506), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1512), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1504), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1510), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43253] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1777), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    ACTIONS(1840), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_block,
    STATE(1140), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43306] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1777), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    ACTIONS(1842), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_block,
    STATE(1119), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43359] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1777), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    STATE(514), 1,
      sym_block,
    STATE(1061), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43412] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1753), 1,
      anon_sym_COMMA,
    STATE(770), 1,
      aux_sym_const_spec_repeat1,
    STATE(1158), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43465] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1777), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    ACTIONS(1844), 1,
      anon_sym_LBRACE,
    STATE(376), 1,
      sym_block,
    STATE(1148), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43518] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    ACTIONS(1846), 1,
      anon_sym_COMMA,
    STATE(775), 1,
      aux_sym_field_name_list_repeat1,
    STATE(902), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43571] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1777), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    ACTIONS(1848), 1,
      anon_sym_LBRACE,
    STATE(337), 1,
      sym_block,
    STATE(1136), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43624] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_PIPE,
    ACTIONS(1436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1484), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1850), 1,
      anon_sym_DOT,
    STATE(415), 1,
      sym_argument_list,
    ACTIONS(1428), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1434), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1426), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1432), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1424), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43675] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1777), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    ACTIONS(1852), 1,
      anon_sym_LBRACE,
    STATE(302), 1,
      sym_block,
    STATE(1099), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43728] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1777), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    ACTIONS(1363), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    STATE(875), 11,
      sym_parameter_list,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43779] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    STATE(937), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43829] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_type,
    STATE(1225), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43879] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1858), 1,
      anon_sym_type,
    STATE(1225), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43929] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1860), 1,
      anon_sym_type,
    STATE(1225), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [43979] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1862), 1,
      anon_sym_type,
    STATE(1295), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44029] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_LT_DASH,
    ACTIONS(1864), 1,
      anon_sym_EQ,
    STATE(841), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44079] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1866), 1,
      anon_sym_LT_DASH,
    STATE(894), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44126] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_LT_DASH,
    STATE(780), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44173] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_LT_DASH,
    STATE(813), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44220] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1872), 1,
      anon_sym_COMMA,
    STATE(692), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1868), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1870), 17,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [44253] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1875), 1,
      anon_sym_chan,
    STATE(892), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44300] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_LT_DASH,
    STATE(792), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44347] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1146), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44394] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1235), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44441] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1252), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44488] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1295), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44535] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1177), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44582] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1137), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44629] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_LT_DASH,
    STATE(790), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44676] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1296), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44723] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1223), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44770] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1866), 1,
      anon_sym_LT_DASH,
    STATE(878), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44817] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    STATE(874), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44864] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1122), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44911] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1231), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [44958] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    STATE(880), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45005] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    STATE(849), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45052] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1171), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45099] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_LT_DASH,
    ACTIONS(1877), 1,
      anon_sym_chan,
    STATE(785), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45146] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1879), 1,
      anon_sym_LT_DASH,
    STATE(805), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45193] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    STATE(949), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45240] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(873), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45287] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1881), 1,
      anon_sym_LT_DASH,
    STATE(865), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45334] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1225), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45381] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1274), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45428] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    STATE(845), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45475] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_LT_DASH,
    STATE(804), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45522] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(711), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    STATE(892), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45569] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_LT_DASH,
    STATE(799), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45616] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    STATE(856), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45663] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1881), 1,
      anon_sym_LT_DASH,
    STATE(852), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45710] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    STATE(891), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45757] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1100), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45804] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1265), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45851] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1883), 1,
      anon_sym_LT_DASH,
    STATE(894), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45898] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    STATE(854), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45945] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(874), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [45992] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1249), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46039] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    ACTIONS(1885), 1,
      anon_sym_chan,
    STATE(857), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46086] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(889), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46133] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1285), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46180] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1883), 1,
      anon_sym_LT_DASH,
    STATE(878), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46227] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1135), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46274] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(880), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46321] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    STATE(889), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46368] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    ACTIONS(1404), 1,
      anon_sym_func,
    ACTIONS(1410), 1,
      anon_sym_struct,
    ACTIONS(1412), 1,
      anon_sym_interface,
    ACTIONS(1414), 1,
      anon_sym_map,
    ACTIONS(1416), 1,
      anon_sym_chan,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_STAR,
    ACTIONS(1759), 1,
      anon_sym_LBRACK,
    ACTIONS(1761), 1,
      anon_sym_LT_DASH,
    STATE(861), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46415] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_func,
    ACTIONS(1351), 1,
      anon_sym_struct,
    ACTIONS(1355), 1,
      anon_sym_interface,
    ACTIONS(1357), 1,
      anon_sym_map,
    ACTIONS(1359), 1,
      anon_sym_chan,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1794), 1,
      anon_sym_STAR,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1879), 1,
      anon_sym_LT_DASH,
    STATE(784), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46462] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(45), 1,
      anon_sym_map,
    ACTIONS(47), 1,
      anon_sym_chan,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      anon_sym_func,
    ACTIONS(1782), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_LT_DASH,
    STATE(873), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46509] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1081), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46556] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1132), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46603] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1228), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46650] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1258), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46697] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1118), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46744] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1157), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46791] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1277), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46838] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(891), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46885] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_struct,
    ACTIONS(43), 1,
      anon_sym_interface,
    ACTIONS(1311), 1,
      sym_identifier,
    ACTIONS(1325), 1,
      anon_sym_map,
    ACTIONS(1327), 1,
      anon_sym_chan,
    ACTIONS(1448), 1,
      anon_sym_func,
    ACTIONS(1520), 1,
      anon_sym_STAR,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_LT_DASH,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
    STATE(1262), 11,
      sym_parenthesized_type,
      sym__simple_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
      sym_qualified_type,
  [46932] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1887), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1889), 18,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [46960] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1891), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1893), 18,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [46988] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1868), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1870), 18,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [47016] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1895), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1897), 18,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [47044] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1899), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1901), 18,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [47072] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1868), 1,
      anon_sym_LF,
    ACTIONS(1903), 1,
      anon_sym_COMMA,
    STATE(755), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1870), 15,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [47102] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_LF,
    ACTIONS(1901), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [47128] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_LF,
    ACTIONS(1889), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [47154] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_LF,
    ACTIONS(1893), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [47180] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1895), 1,
      anon_sym_LF,
    ACTIONS(1897), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [47206] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1868), 1,
      anon_sym_LF,
    ACTIONS(1870), 16,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_struct,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [47231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1897), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1895), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [47255] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1906), 1,
      ts_builtin_sym_end,
    ACTIONS(1908), 1,
      anon_sym_package,
    ACTIONS(1911), 1,
      anon_sym_import,
    ACTIONS(1914), 1,
      anon_sym_const,
    ACTIONS(1917), 1,
      anon_sym_var,
    ACTIONS(1920), 1,
      anon_sym_func,
    ACTIONS(1923), 1,
      anon_sym_type,
    STATE(762), 1,
      aux_sym_source_file_repeat1,
    STATE(840), 8,
      sym_package_clause,
      sym_import_declaration,
      sym__declaration,
      sym_const_declaration,
      sym_var_declaration,
      sym_function_declaration,
      sym_method_declaration,
      sym_type_declaration,
  [47293] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_package,
    ACTIONS(9), 1,
      anon_sym_import,
    ACTIONS(11), 1,
      anon_sym_const,
    ACTIONS(13), 1,
      anon_sym_var,
    ACTIONS(15), 1,
      anon_sym_func,
    ACTIONS(17), 1,
      anon_sym_type,
    ACTIONS(1926), 1,
      ts_builtin_sym_end,
    STATE(762), 1,
      aux_sym_source_file_repeat1,
    STATE(840), 8,
      sym_package_clause,
      sym_import_declaration,
      sym__declaration,
      sym_const_declaration,
      sym_var_declaration,
      sym_function_declaration,
      sym_method_declaration,
      sym_type_declaration,
  [47331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1899), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [47355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1891), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [47379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1887), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [47403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1928), 1,
      anon_sym_COMMA,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1263), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [47428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 1,
      anon_sym_COMMA,
    STATE(767), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1931), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [47453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1933), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [47474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_COMMA,
    STATE(770), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1868), 5,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
    ACTIONS(1870), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [47499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1940), 1,
      anon_sym_EQ,
    ACTIONS(1942), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1944), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [47522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1946), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [47543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1944), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [47564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1944), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [47585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_COMMA,
    STATE(775), 1,
      aux_sym_field_name_list_repeat1,
    ACTIONS(1956), 4,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
    ACTIONS(1954), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [47609] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1963), 1,
      anon_sym_DOT,
    ACTIONS(1598), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1961), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1868), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
    ACTIONS(1870), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [47651] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1965), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1967), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47670] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1969), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1971), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47689] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1973), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1975), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47708] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1977), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1979), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47727] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1981), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1983), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47746] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1985), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1987), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47765] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1989), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1991), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47784] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1989), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1991), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47803] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    STATE(830), 1,
      sym_block,
    ACTIONS(1993), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1995), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [47826] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1997), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1999), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47845] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2001), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2003), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47864] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2005), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2007), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47883] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2009), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2011), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47902] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2013), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2015), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47921] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2017), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2019), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LT_DASH,
    ACTIONS(2021), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [47959] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2025), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2027), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [47978] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1285), 1,
      anon_sym_COMMA,
    STATE(796), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1931), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2029), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48001] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym_COMMA,
    STATE(796), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1263), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1265), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48024] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2034), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2036), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [48043] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    STATE(831), 1,
      sym_block,
    ACTIONS(2038), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2040), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48066] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1989), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1991), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [48085] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2042), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2044), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [48104] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2046), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2048), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [48123] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2050), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2052), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [48142] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2054), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2056), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [48161] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2058), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2060), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [48180] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2062), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2064), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [48199] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2066), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2068), 9,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_LBRACE,
  [48218] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    ACTIONS(2070), 1,
      sym_identifier,
    ACTIONS(2072), 1,
      anon_sym_DOT,
    ACTIONS(2074), 1,
      sym_blank_identifier,
    ACTIONS(2076), 1,
      anon_sym_RPAREN,
    ACTIONS(2078), 1,
      sym_raw_string_literal,
    STATE(808), 1,
      aux_sym_import_spec_list_repeat1,
    STATE(1152), 1,
      sym_dot,
    STATE(1168), 1,
      sym_interpreted_string_literal,
    STATE(1205), 1,
      sym_import_spec,
  [48252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    ACTIONS(2070), 1,
      sym_identifier,
    ACTIONS(2072), 1,
      anon_sym_DOT,
    ACTIONS(2074), 1,
      sym_blank_identifier,
    ACTIONS(2078), 1,
      sym_raw_string_literal,
    ACTIONS(2080), 1,
      anon_sym_RPAREN,
    STATE(810), 1,
      aux_sym_import_spec_list_repeat1,
    STATE(1152), 1,
      sym_dot,
    STATE(1168), 1,
      sym_interpreted_string_literal,
    STATE(1205), 1,
      sym_import_spec,
  [48286] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2086), 1,
      anon_sym_EQ,
    ACTIONS(2082), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2084), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48306] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      sym_identifier,
    ACTIONS(2091), 1,
      anon_sym_DOT,
    ACTIONS(2094), 1,
      sym_blank_identifier,
    ACTIONS(2097), 1,
      anon_sym_RPAREN,
    ACTIONS(2099), 1,
      sym_raw_string_literal,
    ACTIONS(2102), 1,
      anon_sym_DQUOTE,
    STATE(810), 1,
      aux_sym_import_spec_list_repeat1,
    STATE(1152), 1,
      sym_dot,
    STATE(1168), 1,
      sym_interpreted_string_literal,
    STATE(1205), 1,
      sym_import_spec,
  [48340] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    ACTIONS(2072), 1,
      anon_sym_DOT,
    ACTIONS(2105), 1,
      sym_identifier,
    ACTIONS(2107), 1,
      sym_blank_identifier,
    ACTIONS(2109), 1,
      anon_sym_LPAREN,
    ACTIONS(2111), 1,
      sym_raw_string_literal,
    STATE(824), 1,
      sym_interpreted_string_literal,
    STATE(1073), 1,
      sym_dot,
    STATE(818), 2,
      sym_import_spec,
      sym_import_spec_list,
  [48372] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_EQ,
    ACTIONS(2113), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2115), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48392] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2119), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2121), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48409] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2123), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2125), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48426] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2127), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2129), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48443] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2131), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2133), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48460] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2135), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2137), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48477] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2139), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2141), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48494] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2143), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2145), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48511] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2147), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2149), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48528] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1598), 1,
      anon_sym_LF,
    ACTIONS(1961), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48547] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2151), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2153), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48564] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2155), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2157), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48581] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2159), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2161), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48598] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2163), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2165), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48615] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2167), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2169), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48632] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2171), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2173), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48649] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2175), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2177), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48666] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2179), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2181), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48683] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2185), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48700] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2187), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2189), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48717] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2191), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2193), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48734] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2195), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2197), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48751] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2199), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2201), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48768] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2203), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2205), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48785] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2207), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2209), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48802] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2211), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2213), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48819] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2215), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2217), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48836] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2219), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2221), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48853] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2223), 1,
      ts_builtin_sym_end,
    ACTIONS(2225), 1,
      anon_sym_LF,
    ACTIONS(2227), 1,
      anon_sym_SEMI,
    ACTIONS(2229), 6,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48874] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2231), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2233), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48891] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2235), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2237), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48908] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2239), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2241), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48925] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2243), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2245), 7,
      anon_sym_SEMI,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [48942] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2017), 1,
      anon_sym_LF,
    ACTIONS(2019), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48958] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2013), 1,
      anon_sym_LF,
    ACTIONS(2015), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48974] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2046), 1,
      anon_sym_LF,
    ACTIONS(2048), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [48990] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_LF,
    ACTIONS(2056), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49006] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2058), 1,
      anon_sym_LF,
    ACTIONS(2060), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49022] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2005), 1,
      anon_sym_LF,
    ACTIONS(2007), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49038] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_LF,
    ACTIONS(1967), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49054] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_LF,
    ACTIONS(1991), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49070] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_LF,
    ACTIONS(2036), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49086] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_LF,
    ACTIONS(1991), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49102] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2050), 1,
      anon_sym_LF,
    ACTIONS(2052), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49118] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_LF,
    ACTIONS(1975), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49134] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_LF,
    ACTIONS(1991), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49150] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2042), 1,
      anon_sym_LF,
    ACTIONS(2044), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49166] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_LF,
    ACTIONS(2003), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49182] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2025), 1,
      anon_sym_LF,
    ACTIONS(2027), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49198] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2009), 1,
      anon_sym_LF,
    ACTIONS(2011), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49214] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1985), 1,
      anon_sym_LF,
    ACTIONS(1987), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49230] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_LF,
    ACTIONS(1979), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49246] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1997), 1,
      anon_sym_LF,
    ACTIONS(1999), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49262] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2062), 1,
      anon_sym_LF,
    ACTIONS(2064), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49278] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1969), 1,
      anon_sym_LF,
    ACTIONS(1971), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2247), 1,
      anon_sym_DOT,
    ACTIONS(1598), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49310] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2066), 1,
      anon_sym_LF,
    ACTIONS(2068), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49326] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_LF,
    ACTIONS(1983), 7,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [49342] = 7,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(2249), 1,
      anon_sym_LF,
    ACTIONS(2253), 1,
      sym_raw_string_literal,
    STATE(1112), 1,
      sym_interpreted_string_literal,
    ACTIONS(2251), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [49365] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_COMMA,
    ACTIONS(1931), 1,
      anon_sym_LF,
    STATE(900), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(2029), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1985), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2050), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49449] = 8,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1450), 1,
      anon_sym_LPAREN,
    ACTIONS(2255), 1,
      anon_sym_LF,
    ACTIONS(2257), 1,
      anon_sym_SEMI,
    ACTIONS(2259), 1,
      anon_sym_RBRACE,
    STATE(646), 1,
      sym_parameter_list,
    STATE(1005), 1,
      aux_sym_method_spec_list_repeat1,
  [49474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2062), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2017), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49513] = 8,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1450), 1,
      anon_sym_LPAREN,
    ACTIONS(2261), 1,
      anon_sym_LF,
    ACTIONS(2263), 1,
      anon_sym_SEMI,
    ACTIONS(2265), 1,
      anon_sym_RBRACE,
    STATE(646), 1,
      sym_parameter_list,
    STATE(1051), 1,
      aux_sym_method_spec_list_repeat1,
  [49538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2025), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1997), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1977), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2066), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2005), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2046), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1906), 7,
      ts_builtin_sym_end,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
  [49720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2042), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [49759] = 8,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1450), 1,
      anon_sym_LPAREN,
    ACTIONS(2267), 1,
      anon_sym_LF,
    ACTIONS(2269), 1,
      anon_sym_SEMI,
    ACTIONS(2271), 1,
      anon_sym_RBRACE,
    STATE(646), 1,
      sym_parameter_list,
    STATE(1046), 1,
      aux_sym_method_spec_list_repeat1,
  [49784] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_LF,
    ACTIONS(2273), 1,
      anon_sym_COMMA,
    STATE(900), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1265), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_RBRACE,
    ACTIONS(2278), 1,
      anon_sym_case,
    ACTIONS(2280), 1,
      anon_sym_default,
    STATE(912), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [49821] = 6,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LF,
    ACTIONS(2286), 1,
      sym_raw_string_literal,
    STATE(1086), 1,
      sym_interpreted_string_literal,
    ACTIONS(2284), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [49841] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2113), 1,
      anon_sym_LF,
    ACTIONS(2288), 1,
      anon_sym_EQ,
    ACTIONS(2115), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49857] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_LF,
    ACTIONS(2290), 1,
      anon_sym_EQ,
    ACTIONS(2084), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_case,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2292), 1,
      anon_sym_RBRACE,
    STATE(909), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [49891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_case,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2294), 1,
      anon_sym_RBRACE,
    STATE(912), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [49909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_RBRACE,
    ACTIONS(2298), 1,
      anon_sym_case,
    ACTIONS(2301), 1,
      anon_sym_default,
    STATE(907), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [49927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_case,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2304), 1,
      anon_sym_RBRACE,
    STATE(906), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [49945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_case,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2306), 1,
      anon_sym_RBRACE,
    STATE(912), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [49963] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_LF,
    ACTIONS(2312), 1,
      anon_sym_else,
    ACTIONS(2310), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [49979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2314), 1,
      anon_sym_RBRACE,
    ACTIONS(2316), 1,
      anon_sym_case,
    STATE(907), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [49997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_RBRACE,
    ACTIONS(2320), 1,
      anon_sym_case,
    ACTIONS(2323), 1,
      anon_sym_default,
    STATE(912), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 1,
      anon_sym_COMMA,
    ACTIONS(2029), 1,
      anon_sym_COLON,
    STATE(925), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1931), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [50033] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LF,
    ACTIONS(2329), 1,
      anon_sym_SEMI,
    STATE(914), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(2332), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2334), 1,
      anon_sym_RBRACE,
    ACTIONS(2336), 1,
      anon_sym_case,
    STATE(927), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [50069] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2338), 1,
      sym_identifier,
    ACTIONS(2340), 1,
      anon_sym_LF,
    ACTIONS(2342), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50085] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2344), 1,
      sym_identifier,
    ACTIONS(2346), 1,
      anon_sym_LF,
    ACTIONS(2348), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 2,
      sym_blank_identifier,
      sym_identifier,
    ACTIONS(2097), 4,
      anon_sym_DOT,
      anon_sym_RPAREN,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [50115] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LF,
    ACTIONS(2354), 1,
      anon_sym_SEMI,
    STATE(922), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(2356), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50133] = 6,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2358), 1,
      anon_sym_LF,
    ACTIONS(2362), 1,
      sym_raw_string_literal,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    ACTIONS(2360), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [50153] = 6,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_LF,
    ACTIONS(2368), 1,
      sym_raw_string_literal,
    STATE(1097), 1,
      sym_interpreted_string_literal,
    ACTIONS(2366), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [50173] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_LF,
    ACTIONS(2372), 1,
      anon_sym_SEMI,
    STATE(914), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(107), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_case,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2374), 1,
      anon_sym_RBRACE,
    STATE(912), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2316), 1,
      anon_sym_case,
    ACTIONS(2376), 1,
      anon_sym_RBRACE,
    STATE(911), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [50227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_COLON,
    ACTIONS(2378), 1,
      anon_sym_COMMA,
    STATE(925), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1263), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [50245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_case,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2381), 1,
      anon_sym_RBRACE,
    STATE(901), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2336), 1,
      anon_sym_case,
    ACTIONS(2383), 1,
      anon_sym_RBRACE,
    STATE(929), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [50281] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_LF,
    ACTIONS(2389), 1,
      anon_sym_else,
    ACTIONS(2387), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_RBRACE,
    ACTIONS(2393), 1,
      anon_sym_case,
    ACTIONS(2396), 1,
      anon_sym_default,
    STATE(929), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [50315] = 6,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1450), 1,
      anon_sym_LPAREN,
    ACTIONS(2399), 1,
      anon_sym_LF,
    STATE(646), 1,
      sym_parameter_list,
    ACTIONS(2401), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [50335] = 6,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LF,
    ACTIONS(2407), 1,
      sym_raw_string_literal,
    STATE(1125), 1,
      sym_interpreted_string_literal,
    ACTIONS(2405), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [50355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_case,
    ACTIONS(2280), 1,
      anon_sym_default,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    STATE(923), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [50373] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_LF,
    ACTIONS(2413), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50386] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2131), 1,
      anon_sym_LF,
    ACTIONS(2133), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      sym_identifier,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2419), 1,
      anon_sym_RBRACE,
    STATE(931), 1,
      sym_qualified_type,
    STATE(1096), 1,
      sym_field_declaration,
  [50418] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2235), 1,
      anon_sym_LF,
    ACTIONS(2237), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50431] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_LF,
    ACTIONS(2233), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      sym_identifier,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    STATE(931), 1,
      sym_qualified_type,
    STATE(1096), 1,
      sym_field_declaration,
  [50463] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_LF,
    ACTIONS(2149), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50476] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2243), 1,
      anon_sym_LF,
    ACTIONS(2245), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      sym_identifier,
    ACTIONS(2425), 1,
      anon_sym_RPAREN,
    STATE(988), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1222), 2,
      sym_type_alias,
      sym_type_spec,
  [50506] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_LF,
    ACTIONS(2217), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50519] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2123), 1,
      anon_sym_LF,
    ACTIONS(2125), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      sym_identifier,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(931), 1,
      sym_qualified_type,
    STATE(1096), 1,
      sym_field_declaration,
  [50551] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_LF,
    ACTIONS(2241), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50564] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LF,
    ACTIONS(2431), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50577] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LF,
    ACTIONS(2435), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      sym_identifier,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2437), 1,
      anon_sym_RBRACE,
    STATE(931), 1,
      sym_qualified_type,
    STATE(1027), 1,
      sym_field_declaration,
  [50609] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2119), 1,
      anon_sym_LF,
    ACTIONS(2121), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50622] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_LF,
    ACTIONS(2441), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50635] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_LF,
    ACTIONS(2445), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50648] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LF,
    ACTIONS(2165), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50661] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_LF,
    ACTIONS(2449), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50674] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_LF,
    ACTIONS(2205), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50687] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2451), 1,
      anon_sym_LF,
    ACTIONS(2453), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50700] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2455), 1,
      anon_sym_LF,
    ACTIONS(2457), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50713] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_LF,
    ACTIONS(2157), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      sym_identifier,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    STATE(931), 1,
      sym_qualified_type,
    STATE(1040), 1,
      sym_field_declaration,
  [50745] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2143), 1,
      anon_sym_LF,
    ACTIONS(2145), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50758] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_LF,
    ACTIONS(2463), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50771] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_LF,
    ACTIONS(2213), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50784] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LF,
    ACTIONS(2197), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      sym_identifier,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2465), 1,
      anon_sym_RBRACE,
    STATE(931), 1,
      sym_qualified_type,
    STATE(1096), 1,
      sym_field_declaration,
  [50816] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_LF,
    ACTIONS(2469), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50829] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2471), 1,
      anon_sym_LF,
    ACTIONS(2473), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50842] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LF,
    ACTIONS(2221), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50855] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LF,
    ACTIONS(2169), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50868] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2475), 1,
      anon_sym_LF,
    ACTIONS(2477), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50881] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2479), 1,
      anon_sym_LF,
    ACTIONS(2481), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50894] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2483), 1,
      anon_sym_LF,
    ACTIONS(2485), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50907] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      sym_identifier,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    STATE(931), 1,
      sym_qualified_type,
    STATE(1096), 1,
      sym_field_declaration,
  [50926] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2489), 1,
      anon_sym_LF,
    ACTIONS(2491), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50939] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2493), 1,
      anon_sym_LF,
    ACTIONS(2495), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      sym_identifier,
    ACTIONS(2497), 1,
      anon_sym_RPAREN,
    STATE(941), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1222), 2,
      sym_type_alias,
      sym_type_spec,
  [50969] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2499), 1,
      anon_sym_LF,
    ACTIONS(2501), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [50982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      sym_identifier,
    ACTIONS(2503), 1,
      anon_sym_RPAREN,
    STATE(980), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1222), 2,
      sym_type_alias,
      sym_type_spec,
  [50999] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2505), 1,
      anon_sym_LF,
    ACTIONS(2507), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51012] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2509), 1,
      anon_sym_LF,
    ACTIONS(2511), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51025] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_LF,
    ACTIONS(2515), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      sym_identifier,
    ACTIONS(2517), 1,
      anon_sym_RPAREN,
    STATE(988), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1222), 2,
      sym_type_alias,
      sym_type_spec,
  [51055] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2519), 1,
      anon_sym_LF,
    ACTIONS(2521), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51068] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2523), 1,
      anon_sym_LF,
    ACTIONS(2332), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51081] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2191), 1,
      anon_sym_LF,
    ACTIONS(2193), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51094] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2525), 1,
      anon_sym_LF,
    ACTIONS(2527), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51107] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_LF,
    ACTIONS(2531), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51120] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2171), 1,
      anon_sym_LF,
    ACTIONS(2173), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      sym_identifier,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2533), 1,
      anon_sym_RBRACE,
    STATE(931), 1,
      sym_qualified_type,
    STATE(1096), 1,
      sym_field_declaration,
  [51152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 1,
      sym_identifier,
    ACTIONS(2538), 1,
      anon_sym_RPAREN,
    STATE(988), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1222), 2,
      sym_type_alias,
      sym_type_spec,
  [51169] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2540), 1,
      anon_sym_LF,
    ACTIONS(2542), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51182] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_LF,
    ACTIONS(2546), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51195] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_LF,
    ACTIONS(2550), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      sym_identifier,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    ACTIONS(2552), 1,
      anon_sym_RBRACE,
    STATE(931), 1,
      sym_qualified_type,
    STATE(1044), 1,
      sym_field_declaration,
  [51227] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LF,
    ACTIONS(2556), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [51240] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LF,
    ACTIONS(2560), 1,
      anon_sym_SEMI,
    ACTIONS(2562), 1,
      anon_sym_RBRACE,
    STATE(1002), 1,
      aux_sym_method_spec_list_repeat1,
  [51256] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2564), 1,
      anon_sym_DQUOTE,
    STATE(1047), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2566), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(2568), 1,
      anon_sym_if,
    STATE(984), 2,
      sym_block,
      sym_if_statement,
  [51284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2572), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [51298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2574), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [51312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      sym_identifier,
    ACTIONS(2417), 1,
      anon_sym_STAR,
    STATE(931), 1,
      sym_qualified_type,
    STATE(1096), 1,
      sym_field_declaration,
  [51328] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2576), 1,
      anon_sym_DQUOTE,
    STATE(1047), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2566), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51342] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_DQUOTE,
    STATE(1047), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2566), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51356] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_LF,
    ACTIONS(2582), 1,
      anon_sym_SEMI,
    ACTIONS(2584), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_method_spec_list_repeat1,
  [51372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2586), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [51386] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_DQUOTE,
    STATE(1000), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2590), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51400] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_LF,
    ACTIONS(2594), 1,
      anon_sym_SEMI,
    ACTIONS(2596), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_method_spec_list_repeat1,
  [51416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2598), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [51430] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2600), 1,
      anon_sym_LF,
    ACTIONS(2602), 1,
      anon_sym_SEMI,
    ACTIONS(2604), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_method_spec_list_repeat1,
  [51446] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_LF,
    ACTIONS(2608), 1,
      anon_sym_SEMI,
    ACTIONS(2610), 1,
      anon_sym_RBRACE,
    STATE(1053), 1,
      aux_sym_field_declaration_list_repeat1,
  [51462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(2568), 1,
      anon_sym_if,
    STATE(965), 2,
      sym_block,
      sym_if_statement,
  [51476] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_DQUOTE,
    STATE(1012), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2614), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      sym_identifier,
    ACTIONS(2618), 1,
      anon_sym_RPAREN,
    STATE(1035), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1192), 1,
      sym_var_spec,
  [51506] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_DQUOTE,
    STATE(1047), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2566), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      sym_identifier,
    ACTIONS(2624), 1,
      anon_sym_RBRACE,
    STATE(1039), 2,
      sym_method_spec,
      sym_qualified_type,
  [51534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2626), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [51548] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_LF,
    ACTIONS(2631), 1,
      anon_sym_SEMI,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_method_spec_list_repeat1,
  [51564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      sym_identifier,
    ACTIONS(2636), 1,
      anon_sym_LPAREN,
    STATE(952), 2,
      sym_type_alias,
      sym_type_spec,
  [51578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [51592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      sym_identifier,
    ACTIONS(2642), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1154), 1,
      sym_const_spec,
  [51608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      sym_identifier,
    ACTIONS(2644), 1,
      anon_sym_RPAREN,
    STATE(1018), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1154), 1,
      sym_const_spec,
  [51624] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2646), 1,
      anon_sym_DQUOTE,
    STATE(1033), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2648), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51638] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2650), 1,
      anon_sym_DQUOTE,
    STATE(995), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2652), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51652] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2654), 1,
      anon_sym_DQUOTE,
    STATE(1001), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2656), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1786), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_block,
    ACTIONS(1985), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [51680] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_LF,
    ACTIONS(2660), 1,
      anon_sym_SEMI,
    ACTIONS(2662), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_method_spec_list_repeat1,
  [51696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      sym_identifier,
    ACTIONS(2664), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1154), 1,
      sym_const_spec,
  [51712] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2666), 1,
      anon_sym_DQUOTE,
    STATE(1047), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2566), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51726] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2668), 1,
      anon_sym_LF,
    ACTIONS(2670), 1,
      anon_sym_SEMI,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1008), 1,
      aux_sym_field_declaration_list_repeat1,
  [51742] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2674), 1,
      anon_sym_DQUOTE,
    STATE(1047), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2566), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51756] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_DQUOTE,
    STATE(1028), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2678), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      sym_identifier,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    STATE(1042), 2,
      sym_method_spec,
      sym_qualified_type,
  [51784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2684), 1,
      sym_identifier,
    ACTIONS(2686), 1,
      anon_sym_LPAREN,
    STATE(825), 2,
      sym_type_alias,
      sym_type_spec,
  [51798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      sym_identifier,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    STATE(1056), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1192), 1,
      sym_var_spec,
  [51814] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_DQUOTE,
    STATE(1047), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2566), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [51828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      sym_identifier,
    ACTIONS(2695), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1154), 1,
      sym_const_spec,
  [51844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      sym_identifier,
    ACTIONS(2697), 1,
      anon_sym_RPAREN,
    STATE(1055), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1192), 1,
      sym_var_spec,
  [51860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 1,
      sym_identifier,
    ACTIONS(2701), 1,
      anon_sym_RBRACE,
    STATE(994), 2,
      sym_method_spec,
      sym_qualified_type,
  [51874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [51888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [51902] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2707), 1,
      anon_sym_LF,
    ACTIONS(2709), 1,
      anon_sym_SEMI,
    ACTIONS(2711), 1,
      anon_sym_RBRACE,
    STATE(1007), 1,
      aux_sym_method_spec_list_repeat1,
  [51918] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2713), 1,
      anon_sym_LF,
    ACTIONS(2715), 1,
      anon_sym_SEMI,
    ACTIONS(2717), 1,
      anon_sym_RBRACE,
    STATE(1049), 1,
      aux_sym_field_declaration_list_repeat1,
  [51934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      sym_identifier,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1154), 1,
      sym_const_spec,
  [51950] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2721), 1,
      anon_sym_LF,
    ACTIONS(2723), 1,
      anon_sym_SEMI,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    STATE(1024), 1,
      aux_sym_method_spec_list_repeat1,
  [51966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    STATE(422), 1,
      sym_literal_value,
    ACTIONS(2727), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [51980] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2729), 1,
      anon_sym_LF,
    ACTIONS(2731), 1,
      anon_sym_SEMI,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    STATE(1054), 1,
      aux_sym_field_declaration_list_repeat1,
  [51996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [52010] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_LF,
    ACTIONS(2739), 1,
      anon_sym_SEMI,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_method_spec_list_repeat1,
  [52026] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_DQUOTE,
    STATE(1047), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2745), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [52040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2748), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [52054] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_LF,
    ACTIONS(2752), 1,
      anon_sym_SEMI,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    STATE(1053), 1,
      aux_sym_field_declaration_list_repeat1,
  [52070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [52084] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2758), 1,
      anon_sym_LF,
    ACTIONS(2760), 1,
      anon_sym_SEMI,
    ACTIONS(2762), 1,
      anon_sym_RBRACE,
    STATE(1015), 1,
      aux_sym_method_spec_list_repeat1,
  [52100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    ACTIONS(2764), 1,
      anon_sym_RBRACE,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [52114] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_LF,
    ACTIONS(2769), 1,
      anon_sym_SEMI,
    ACTIONS(2772), 1,
      anon_sym_RBRACE,
    STATE(1053), 1,
      aux_sym_field_declaration_list_repeat1,
  [52130] = 5,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_LF,
    ACTIONS(2776), 1,
      anon_sym_SEMI,
    ACTIONS(2778), 1,
      anon_sym_RBRACE,
    STATE(1053), 1,
      aux_sym_field_declaration_list_repeat1,
  [52146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2783), 1,
      anon_sym_RPAREN,
    STATE(1055), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1192), 1,
      sym_var_spec,
  [52162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      sym_identifier,
    ACTIONS(2785), 1,
      anon_sym_RPAREN,
    STATE(1055), 1,
      aux_sym_var_declaration_repeat1,
    STATE(1192), 1,
      sym_var_spec,
  [52178] = 4,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_DQUOTE,
    STATE(1026), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2789), 2,
      aux_sym_interpreted_string_literal_token1,
      sym_escape_sequence,
  [52192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      sym_identifier,
    ACTIONS(2791), 1,
      anon_sym_LPAREN,
    STATE(957), 1,
      sym_const_spec,
  [52205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_COMMA,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(1143), 1,
      aux_sym_literal_value_repeat1,
  [52218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_COMMA,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1064), 1,
      aux_sym_literal_value_repeat1,
  [52231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    ACTIONS(1985), 1,
      anon_sym_LPAREN,
    STATE(518), 1,
      sym_block,
  [52244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    ACTIONS(2801), 1,
      anon_sym_COMMA,
    STATE(1089), 1,
      aux_sym_expression_list_repeat1,
  [52257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_RPAREN,
    ACTIONS(1498), 1,
      anon_sym_COMMA,
    STATE(1065), 1,
      aux_sym_argument_list_repeat1,
  [52270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 1,
      anon_sym_RBRACE,
    ACTIONS(2803), 1,
      anon_sym_COMMA,
    STATE(1088), 1,
      aux_sym_literal_value_repeat1,
  [52283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(375), 1,
      anon_sym_RPAREN,
    ACTIONS(2805), 1,
      anon_sym_COMMA,
    STATE(1087), 1,
      aux_sym_argument_list_repeat1,
  [52296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_RPAREN,
    ACTIONS(2809), 1,
      anon_sym_COMMA,
    STATE(1094), 1,
      aux_sym_parameter_list_repeat1,
  [52309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2811), 1,
      sym_identifier,
    ACTIONS(2813), 1,
      anon_sym_LPAREN,
    STATE(823), 1,
      sym_const_spec,
  [52322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2815), 1,
      sym_identifier,
    ACTIONS(2817), 1,
      anon_sym_LPAREN,
    STATE(835), 1,
      sym_var_spec,
  [52335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    ACTIONS(2819), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_parameter_list,
  [52348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2821), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 1,
      anon_sym_COMMA,
    ACTIONS(2826), 1,
      anon_sym_COLON,
    STATE(1071), 1,
      aux_sym_type_case_repeat1,
  [52370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    ACTIONS(2830), 1,
      sym_raw_string_literal,
    STATE(815), 1,
      sym_interpreted_string_literal,
  [52392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    ACTIONS(2832), 1,
      sym_raw_string_literal,
    STATE(822), 1,
      sym_interpreted_string_literal,
  [52405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_COMMA,
    ACTIONS(2838), 1,
      anon_sym_COLON,
    STATE(1071), 1,
      aux_sym_type_case_repeat1,
  [52427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_RPAREN,
    ACTIONS(2840), 1,
      anon_sym_COMMA,
    STATE(1149), 1,
      aux_sym_parameter_list_repeat1,
  [52440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      sym_identifier,
    ACTIONS(2844), 1,
      anon_sym_LPAREN,
    STATE(954), 1,
      sym_var_spec,
  [52462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_LPAREN,
    ACTIONS(2846), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_literal_value,
  [52475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_COMMA,
    ACTIONS(2848), 1,
      anon_sym_COLON,
    STATE(1076), 1,
      aux_sym_type_case_repeat1,
  [52488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      anon_sym_RPAREN,
    ACTIONS(2854), 1,
      anon_sym_COMMA,
    STATE(1077), 1,
      aux_sym_parameter_list_repeat1,
  [52510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2856), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_identifier,
    STATE(1095), 2,
      sym_method_spec,
      sym_qualified_type,
  [52530] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_LF,
    ACTIONS(2860), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 1,
      anon_sym_RPAREN,
    ACTIONS(2862), 1,
      anon_sym_COMMA,
    STATE(1087), 1,
      aux_sym_argument_list_repeat1,
  [52554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_COMMA,
    ACTIONS(2868), 1,
      anon_sym_RBRACE,
    STATE(1088), 1,
      aux_sym_literal_value_repeat1,
  [52567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_RPAREN,
    ACTIONS(2870), 1,
      anon_sym_COMMA,
    STATE(1089), 1,
      aux_sym_expression_list_repeat1,
  [52580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_LPAREN,
    ACTIONS(2873), 1,
      anon_sym_LBRACE,
    STATE(294), 1,
      sym_literal_value,
  [52593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [52602] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_LF,
    ACTIONS(2877), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_LBRACE,
    ACTIONS(2879), 1,
      anon_sym_COMMA,
    STATE(1093), 1,
      aux_sym_expression_list_repeat1,
  [52626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_RPAREN,
    ACTIONS(2882), 1,
      anon_sym_COMMA,
    STATE(1149), 1,
      aux_sym_parameter_list_repeat1,
  [52639] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_LF,
    ACTIONS(2634), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52650] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2886), 1,
      anon_sym_LF,
    ACTIONS(2772), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52661] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_LF,
    ACTIONS(2890), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(319), 1,
      anon_sym_RPAREN,
    ACTIONS(2892), 1,
      anon_sym_COMMA,
    STATE(1087), 1,
      aux_sym_argument_list_repeat1,
  [52685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_LBRACE,
    ACTIONS(1985), 1,
      anon_sym_LPAREN,
    STATE(280), 1,
      sym_block,
  [52698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_RPAREN,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    STATE(1108), 1,
      aux_sym_expression_list_repeat1,
  [52711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_COMMA,
    ACTIONS(2900), 1,
      anon_sym_RBRACE,
    STATE(1110), 1,
      aux_sym_literal_value_repeat1,
  [52724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 1,
      anon_sym_RBRACE,
    ACTIONS(2902), 1,
      anon_sym_COMMA,
    STATE(1088), 1,
      aux_sym_literal_value_repeat1,
  [52737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_RPAREN,
    ACTIONS(2904), 1,
      anon_sym_COMMA,
    STATE(1087), 1,
      aux_sym_argument_list_repeat1,
  [52750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 1,
      anon_sym_RPAREN,
    ACTIONS(1570), 1,
      anon_sym_COMMA,
    STATE(1114), 1,
      aux_sym_argument_list_repeat1,
  [52763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_COMMA,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    STATE(1093), 1,
      aux_sym_expression_list_repeat1,
  [52776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(507), 1,
      anon_sym_RPAREN,
    ACTIONS(2906), 1,
      anon_sym_COMMA,
    STATE(1089), 1,
      aux_sym_expression_list_repeat1,
  [52789] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_LF,
    ACTIONS(2910), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(509), 1,
      anon_sym_RPAREN,
    ACTIONS(2912), 1,
      anon_sym_COMMA,
    STATE(1089), 1,
      aux_sym_expression_list_repeat1,
  [52813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      anon_sym_RBRACE,
    ACTIONS(2914), 1,
      anon_sym_COMMA,
    STATE(1088), 1,
      aux_sym_literal_value_repeat1,
  [52826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      anon_sym_RBRACE,
    ACTIONS(2916), 1,
      anon_sym_COMMA,
    STATE(1088), 1,
      aux_sym_literal_value_repeat1,
  [52839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_RPAREN,
    ACTIONS(1562), 1,
      anon_sym_COMMA,
    STATE(1098), 1,
      aux_sym_argument_list_repeat1,
  [52852] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_LF,
    ACTIONS(2920), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [52863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 1,
      anon_sym_RPAREN,
    ACTIONS(2922), 1,
      anon_sym_COMMA,
    STATE(1087), 1,
      aux_sym_argument_list_repeat1,
  [52876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 1,
      anon_sym_RPAREN,
    ACTIONS(2924), 1,
      anon_sym_COMMA,
    STATE(1087), 1,
      aux_sym_argument_list_repeat1,
  [52889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 1,
      anon_sym_RPAREN,
    ACTIONS(2926), 1,
      anon_sym_COMMA,
    STATE(1089), 1,
      aux_sym_expression_list_repeat1,
  [52902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_LPAREN,
    ACTIONS(2928), 1,
      anon_sym_LBRACE,
    STATE(408), 1,
      sym_literal_value,
  [52915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_COMMA,
    ACTIONS(2932), 1,
      anon_sym_RBRACE,
    STATE(1102), 1,
      aux_sym_literal_value_repeat1,
  [52928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_RPAREN,
    ACTIONS(2936), 1,
      anon_sym_COMMA,
    STATE(1106), 1,
      aux_sym_expression_list_repeat1,
  [52941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_LBRACE,
    ACTIONS(1985), 1,
      anon_sym_LPAREN,
    STATE(565), 1,
      sym_block,
  [52954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 1,
      anon_sym_RPAREN,
    ACTIONS(1538), 1,
      anon_sym_COMMA,
    STATE(1103), 1,
      aux_sym_argument_list_repeat1,
  [52967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_COMMA,
    ACTIONS(2940), 1,
      anon_sym_RBRACE,
    STATE(1109), 1,
      aux_sym_literal_value_repeat1,
  [52980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_RPAREN,
    ACTIONS(2944), 1,
      anon_sym_COMMA,
    STATE(1115), 1,
      aux_sym_expression_list_repeat1,
  [52993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 1,
      anon_sym_LBRACE,
    ACTIONS(2727), 1,
      anon_sym_LPAREN,
    STATE(542), 1,
      sym_literal_value,
  [53006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_RPAREN,
    ACTIONS(2946), 1,
      anon_sym_COMMA,
    STATE(1089), 1,
      aux_sym_expression_list_repeat1,
  [53019] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_LF,
    ACTIONS(2950), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [53030] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_LF,
    ACTIONS(2954), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [53041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_LPAREN,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_literal_value,
  [53054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(337), 1,
      anon_sym_RPAREN,
    ACTIONS(2958), 1,
      anon_sym_COMMA,
    STATE(1087), 1,
      aux_sym_argument_list_repeat1,
  [53067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 1,
      anon_sym_RPAREN,
    ACTIONS(1534), 1,
      anon_sym_COMMA,
    STATE(1113), 1,
      aux_sym_argument_list_repeat1,
  [53080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_RPAREN,
    ACTIONS(2960), 1,
      anon_sym_COMMA,
    STATE(1149), 1,
      aux_sym_parameter_list_repeat1,
  [53093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_RBRACE,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    STATE(1088), 1,
      aux_sym_literal_value_repeat1,
  [53106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_RPAREN,
    ACTIONS(2966), 1,
      anon_sym_COMMA,
    STATE(1062), 1,
      aux_sym_expression_list_repeat1,
  [53119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_RPAREN,
    ACTIONS(2968), 1,
      anon_sym_COMMA,
    STATE(1089), 1,
      aux_sym_expression_list_repeat1,
  [53132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      anon_sym_COLON,
    ACTIONS(1592), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 1,
      anon_sym_RPAREN,
    ACTIONS(2972), 1,
      anon_sym_COMMA,
    STATE(1124), 1,
      aux_sym_expression_list_repeat1,
  [53156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_LBRACE,
    ACTIONS(1985), 1,
      anon_sym_LPAREN,
    STATE(332), 1,
      sym_block,
  [53169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_RPAREN,
    ACTIONS(2976), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_expression_list_repeat1,
  [53182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_COMMA,
    ACTIONS(2980), 1,
      anon_sym_RBRACE,
    STATE(1147), 1,
      aux_sym_literal_value_repeat1,
  [53195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      anon_sym_RPAREN,
    ACTIONS(1528), 1,
      anon_sym_COMMA,
    STATE(1128), 1,
      aux_sym_argument_list_repeat1,
  [53208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_LBRACE,
    ACTIONS(1985), 1,
      anon_sym_LPAREN,
    STATE(459), 1,
      sym_block,
  [53221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_RPAREN,
    ACTIONS(1566), 1,
      anon_sym_COMMA,
    STATE(1151), 1,
      aux_sym_argument_list_repeat1,
  [53234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2982), 1,
      anon_sym_RPAREN,
    ACTIONS(2984), 1,
      anon_sym_COMMA,
    STATE(1130), 1,
      aux_sym_parameter_list_repeat1,
  [53247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_RBRACE,
    ACTIONS(2986), 1,
      anon_sym_COMMA,
    STATE(1088), 1,
      aux_sym_literal_value_repeat1,
  [53260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RBRACE,
    STATE(1131), 1,
      aux_sym_literal_value_repeat1,
  [53273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_RPAREN,
    ACTIONS(2992), 1,
      anon_sym_COMMA,
    STATE(1089), 1,
      aux_sym_expression_list_repeat1,
  [53286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 1,
      anon_sym_RPAREN,
    ACTIONS(2996), 1,
      anon_sym_COMMA,
    STATE(1133), 1,
      aux_sym_expression_list_repeat1,
  [53299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_RBRACE,
    ACTIONS(2998), 1,
      anon_sym_COMMA,
    STATE(1088), 1,
      aux_sym_literal_value_repeat1,
  [53312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_LBRACE,
    ACTIONS(1985), 1,
      anon_sym_LPAREN,
    STATE(382), 1,
      sym_block,
  [53325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3000), 1,
      anon_sym_RPAREN,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    STATE(1149), 1,
      aux_sym_parameter_list_repeat1,
  [53338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_LBRACE,
    ACTIONS(2727), 1,
      anon_sym_LPAREN,
    STATE(371), 1,
      sym_literal_value,
  [53351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(377), 1,
      anon_sym_RPAREN,
    ACTIONS(3005), 1,
      anon_sym_COMMA,
    STATE(1087), 1,
      aux_sym_argument_list_repeat1,
  [53364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    ACTIONS(3007), 1,
      sym_raw_string_literal,
    STATE(1166), 1,
      sym_interpreted_string_literal,
  [53377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    ACTIONS(3009), 1,
      sym_raw_string_literal,
    STATE(1165), 1,
      sym_interpreted_string_literal,
  [53390] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(3011), 1,
      anon_sym_LF,
    ACTIONS(3013), 1,
      anon_sym_SEMI,
  [53400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 1,
      sym_identifier,
    ACTIONS(3017), 1,
      anon_sym_LPAREN,
  [53410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3019), 1,
      anon_sym_LBRACE,
    STATE(791), 1,
      sym_field_declaration_list,
  [53420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3021), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3000), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3025), 1,
      anon_sym_LPAREN,
    STATE(470), 1,
      sym_parameter_list,
  [53454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3027), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_method_spec_list,
  [53464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_LBRACE,
    STATE(371), 1,
      sym_literal_value,
  [53474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3029), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN,
  [53492] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_LF,
    ACTIONS(2153), 1,
      anon_sym_SEMI,
  [53502] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_LF,
    ACTIONS(2129), 1,
      anon_sym_SEMI,
  [53512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [53520] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_LF,
    ACTIONS(2161), 1,
      anon_sym_SEMI,
  [53530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_literal_value,
  [53540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    STATE(674), 1,
      sym_parameter_list,
  [53550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [53558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    STATE(677), 1,
      sym_parameter_list,
  [53568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3035), 2,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [53576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      sym_identifier,
    ACTIONS(3039), 1,
      anon_sym_LPAREN,
  [53586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3041), 1,
      sym_identifier,
    ACTIONS(3043), 1,
      anon_sym_LPAREN,
  [53596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    STATE(679), 1,
      sym_parameter_list,
  [53606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3045), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACE,
    STATE(422), 1,
      sym_literal_value,
  [53624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2451), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2695), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [53640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2455), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      sym_identifier,
    ACTIONS(3049), 1,
      anon_sym_LPAREN,
  [53658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    STATE(681), 1,
      sym_parameter_list,
  [53676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2519), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 1,
      sym_identifier,
    STATE(920), 1,
      sym_qualified_type,
  [53702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_literal_value,
  [53712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      sym_identifier,
    ACTIONS(3055), 1,
      anon_sym_LPAREN,
  [53722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      sym_identifier,
    ACTIONS(3057), 1,
      anon_sym_LPAREN,
  [53732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      sym_identifier,
    ACTIONS(3059), 1,
      anon_sym_LPAREN,
  [53742] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_LF,
    ACTIONS(3063), 1,
      anon_sym_SEMI,
  [53752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3025), 1,
      anon_sym_LPAREN,
    STATE(468), 1,
      sym_parameter_list,
  [53762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_LBRACE,
    STATE(970), 1,
      sym_block,
  [53772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    STATE(675), 1,
      sym_parameter_list,
  [53782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [53790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    STATE(682), 1,
      sym_parameter_list,
  [53800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3025), 1,
      anon_sym_LPAREN,
    STATE(469), 1,
      sym_parameter_list,
  [53810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_LBRACE,
    STATE(868), 1,
      sym_method_spec_list,
  [53820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_parameter_list,
  [53830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_literal_value,
  [53848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_LBRACE,
    STATE(846), 1,
      sym_field_declaration_list,
  [53858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53866] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_LF,
    ACTIONS(3073), 1,
      anon_sym_SEMI,
  [53876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [53884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3077), 1,
      sym_identifier,
    ACTIONS(3079), 1,
      anon_sym_LPAREN,
  [53894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [53910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    STATE(673), 1,
      sym_parameter_list,
  [53920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      sym_identifier,
    ACTIONS(3083), 1,
      anon_sym_LPAREN,
  [53930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3085), 1,
      anon_sym_LPAREN,
    STATE(481), 1,
      sym_parameter_list,
  [53940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_LBRACE,
    STATE(408), 1,
      sym_literal_value,
  [53950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2873), 1,
      anon_sym_LBRACE,
    STATE(294), 1,
      sym_literal_value,
  [53960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      sym_identifier,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
  [53970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3089), 1,
      anon_sym_LBRACE,
    STATE(886), 1,
      sym_method_spec_list,
  [53980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LPAREN,
    STATE(549), 1,
      sym_parameter_list,
  [53990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_LBRACE,
    STATE(883), 1,
      sym_field_declaration_list,
  [54000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [54008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_LPAREN,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
  [54018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2017), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [54026] = 3,
    ACTIONS(199), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym_LF,
    ACTIONS(3099), 1,
      anon_sym_SEMI,
  [54036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
  [54043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_RPAREN,
  [54050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3105), 1,
      anon_sym_RPAREN,
  [54057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3107), 1,
      anon_sym_RBRACK,
  [54064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_RPAREN,
  [54071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
  [54078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
  [54085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3115), 1,
      sym_identifier,
  [54092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3117), 1,
      anon_sym_RBRACK,
  [54099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
  [54106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3121), 1,
      sym_identifier,
  [54113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
  [54120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
  [54127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3127), 1,
      anon_sym_LPAREN,
  [54134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
  [54141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_LBRACK,
  [54148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 1,
      sym_identifier,
  [54155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
  [54162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_chan,
  [54169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_chan,
  [54176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_RBRACE,
  [54183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_COLON_EQ,
  [54190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_chan,
  [54197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_EQ,
  [54204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_SEMI,
  [54211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
  [54218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_RBRACK,
  [54225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_COLON,
  [54232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_LBRACE,
  [54239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      anon_sym_LBRACE,
  [54246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_COLON,
  [54253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      anon_sym_RPAREN,
  [54260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      anon_sym_LBRACE,
  [54267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_LBRACE,
  [54274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_LBRACE,
  [54281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
  [54288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3171), 1,
      sym_identifier,
  [54295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3173), 1,
      anon_sym_SEMI,
  [54302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_SEMI,
  [54309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
  [54316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
  [54323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
  [54330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
  [54337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
  [54344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_EQ,
  [54351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_LBRACE,
  [54358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3189), 1,
      sym_identifier,
  [54365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 1,
      sym_identifier,
  [54372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_RPAREN,
  [54379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_RBRACE,
  [54386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_LBRACE,
  [54393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
  [54400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2982), 1,
      anon_sym_RPAREN,
  [54407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
  [54414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_RBRACK,
  [54421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_EQ,
  [54428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
  [54435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 1,
      sym_identifier,
  [54442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_chan,
  [54449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
  [54456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 1,
      anon_sym_COLON,
  [54463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3215), 1,
      anon_sym_EQ,
  [54470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
  [54477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
  [54484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3221), 1,
      anon_sym_LBRACE,
  [54491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 1,
      ts_builtin_sym_end,
  [54498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
  [54505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 1,
      anon_sym_LBRACE,
  [54512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
  [54519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
  [54526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_identifier,
  [54533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      sym_identifier,
  [54540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
  [54547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_RBRACK,
  [54554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACK,
  [54561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_LPAREN,
  [54568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
  [54575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_LBRACK,
  [54582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN,
  [54589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
  [54596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_LPAREN,
  [54603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LPAREN,
  [54610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
  [54617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 1,
      anon_sym_LBRACK,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(20)] = 0,
  [SMALL_STATE(21)] = 110,
  [SMALL_STATE(22)] = 217,
  [SMALL_STATE(23)] = 324,
  [SMALL_STATE(24)] = 431,
  [SMALL_STATE(25)] = 538,
  [SMALL_STATE(26)] = 642,
  [SMALL_STATE(27)] = 745,
  [SMALL_STATE(28)] = 851,
  [SMALL_STATE(29)] = 957,
  [SMALL_STATE(30)] = 1063,
  [SMALL_STATE(31)] = 1169,
  [SMALL_STATE(32)] = 1275,
  [SMALL_STATE(33)] = 1381,
  [SMALL_STATE(34)] = 1487,
  [SMALL_STATE(35)] = 1593,
  [SMALL_STATE(36)] = 1699,
  [SMALL_STATE(37)] = 1805,
  [SMALL_STATE(38)] = 1911,
  [SMALL_STATE(39)] = 2017,
  [SMALL_STATE(40)] = 2123,
  [SMALL_STATE(41)] = 2229,
  [SMALL_STATE(42)] = 2335,
  [SMALL_STATE(43)] = 2441,
  [SMALL_STATE(44)] = 2547,
  [SMALL_STATE(45)] = 2653,
  [SMALL_STATE(46)] = 2759,
  [SMALL_STATE(47)] = 2865,
  [SMALL_STATE(48)] = 2971,
  [SMALL_STATE(49)] = 3074,
  [SMALL_STATE(50)] = 3174,
  [SMALL_STATE(51)] = 3273,
  [SMALL_STATE(52)] = 3372,
  [SMALL_STATE(53)] = 3471,
  [SMALL_STATE(54)] = 3570,
  [SMALL_STATE(55)] = 3669,
  [SMALL_STATE(56)] = 3768,
  [SMALL_STATE(57)] = 3867,
  [SMALL_STATE(58)] = 3966,
  [SMALL_STATE(59)] = 4065,
  [SMALL_STATE(60)] = 4164,
  [SMALL_STATE(61)] = 4263,
  [SMALL_STATE(62)] = 4362,
  [SMALL_STATE(63)] = 4461,
  [SMALL_STATE(64)] = 4560,
  [SMALL_STATE(65)] = 4659,
  [SMALL_STATE(66)] = 4758,
  [SMALL_STATE(67)] = 4857,
  [SMALL_STATE(68)] = 4956,
  [SMALL_STATE(69)] = 5055,
  [SMALL_STATE(70)] = 5154,
  [SMALL_STATE(71)] = 5253,
  [SMALL_STATE(72)] = 5352,
  [SMALL_STATE(73)] = 5451,
  [SMALL_STATE(74)] = 5550,
  [SMALL_STATE(75)] = 5649,
  [SMALL_STATE(76)] = 5748,
  [SMALL_STATE(77)] = 5847,
  [SMALL_STATE(78)] = 5943,
  [SMALL_STATE(79)] = 6039,
  [SMALL_STATE(80)] = 6135,
  [SMALL_STATE(81)] = 6231,
  [SMALL_STATE(82)] = 6327,
  [SMALL_STATE(83)] = 6423,
  [SMALL_STATE(84)] = 6519,
  [SMALL_STATE(85)] = 6615,
  [SMALL_STATE(86)] = 6711,
  [SMALL_STATE(87)] = 6807,
  [SMALL_STATE(88)] = 6903,
  [SMALL_STATE(89)] = 6999,
  [SMALL_STATE(90)] = 7095,
  [SMALL_STATE(91)] = 7191,
  [SMALL_STATE(92)] = 7287,
  [SMALL_STATE(93)] = 7383,
  [SMALL_STATE(94)] = 7479,
  [SMALL_STATE(95)] = 7575,
  [SMALL_STATE(96)] = 7671,
  [SMALL_STATE(97)] = 7767,
  [SMALL_STATE(98)] = 7863,
  [SMALL_STATE(99)] = 7959,
  [SMALL_STATE(100)] = 8055,
  [SMALL_STATE(101)] = 8151,
  [SMALL_STATE(102)] = 8247,
  [SMALL_STATE(103)] = 8343,
  [SMALL_STATE(104)] = 8439,
  [SMALL_STATE(105)] = 8535,
  [SMALL_STATE(106)] = 8631,
  [SMALL_STATE(107)] = 8727,
  [SMALL_STATE(108)] = 8823,
  [SMALL_STATE(109)] = 8919,
  [SMALL_STATE(110)] = 9015,
  [SMALL_STATE(111)] = 9111,
  [SMALL_STATE(112)] = 9207,
  [SMALL_STATE(113)] = 9303,
  [SMALL_STATE(114)] = 9399,
  [SMALL_STATE(115)] = 9495,
  [SMALL_STATE(116)] = 9591,
  [SMALL_STATE(117)] = 9687,
  [SMALL_STATE(118)] = 9783,
  [SMALL_STATE(119)] = 9879,
  [SMALL_STATE(120)] = 9975,
  [SMALL_STATE(121)] = 10071,
  [SMALL_STATE(122)] = 10167,
  [SMALL_STATE(123)] = 10263,
  [SMALL_STATE(124)] = 10359,
  [SMALL_STATE(125)] = 10455,
  [SMALL_STATE(126)] = 10551,
  [SMALL_STATE(127)] = 10647,
  [SMALL_STATE(128)] = 10743,
  [SMALL_STATE(129)] = 10839,
  [SMALL_STATE(130)] = 10935,
  [SMALL_STATE(131)] = 11031,
  [SMALL_STATE(132)] = 11127,
  [SMALL_STATE(133)] = 11223,
  [SMALL_STATE(134)] = 11319,
  [SMALL_STATE(135)] = 11415,
  [SMALL_STATE(136)] = 11511,
  [SMALL_STATE(137)] = 11607,
  [SMALL_STATE(138)] = 11703,
  [SMALL_STATE(139)] = 11799,
  [SMALL_STATE(140)] = 11895,
  [SMALL_STATE(141)] = 11991,
  [SMALL_STATE(142)] = 12087,
  [SMALL_STATE(143)] = 12183,
  [SMALL_STATE(144)] = 12276,
  [SMALL_STATE(145)] = 12369,
  [SMALL_STATE(146)] = 12462,
  [SMALL_STATE(147)] = 12555,
  [SMALL_STATE(148)] = 12648,
  [SMALL_STATE(149)] = 12741,
  [SMALL_STATE(150)] = 12834,
  [SMALL_STATE(151)] = 12927,
  [SMALL_STATE(152)] = 13020,
  [SMALL_STATE(153)] = 13113,
  [SMALL_STATE(154)] = 13206,
  [SMALL_STATE(155)] = 13299,
  [SMALL_STATE(156)] = 13392,
  [SMALL_STATE(157)] = 13485,
  [SMALL_STATE(158)] = 13578,
  [SMALL_STATE(159)] = 13671,
  [SMALL_STATE(160)] = 13764,
  [SMALL_STATE(161)] = 13857,
  [SMALL_STATE(162)] = 13950,
  [SMALL_STATE(163)] = 14043,
  [SMALL_STATE(164)] = 14136,
  [SMALL_STATE(165)] = 14229,
  [SMALL_STATE(166)] = 14322,
  [SMALL_STATE(167)] = 14415,
  [SMALL_STATE(168)] = 14508,
  [SMALL_STATE(169)] = 14601,
  [SMALL_STATE(170)] = 14694,
  [SMALL_STATE(171)] = 14787,
  [SMALL_STATE(172)] = 14880,
  [SMALL_STATE(173)] = 14973,
  [SMALL_STATE(174)] = 15066,
  [SMALL_STATE(175)] = 15159,
  [SMALL_STATE(176)] = 15252,
  [SMALL_STATE(177)] = 15345,
  [SMALL_STATE(178)] = 15438,
  [SMALL_STATE(179)] = 15531,
  [SMALL_STATE(180)] = 15624,
  [SMALL_STATE(181)] = 15717,
  [SMALL_STATE(182)] = 15810,
  [SMALL_STATE(183)] = 15903,
  [SMALL_STATE(184)] = 15996,
  [SMALL_STATE(185)] = 16089,
  [SMALL_STATE(186)] = 16182,
  [SMALL_STATE(187)] = 16275,
  [SMALL_STATE(188)] = 16368,
  [SMALL_STATE(189)] = 16461,
  [SMALL_STATE(190)] = 16554,
  [SMALL_STATE(191)] = 16647,
  [SMALL_STATE(192)] = 16740,
  [SMALL_STATE(193)] = 16833,
  [SMALL_STATE(194)] = 16926,
  [SMALL_STATE(195)] = 17019,
  [SMALL_STATE(196)] = 17112,
  [SMALL_STATE(197)] = 17205,
  [SMALL_STATE(198)] = 17298,
  [SMALL_STATE(199)] = 17391,
  [SMALL_STATE(200)] = 17484,
  [SMALL_STATE(201)] = 17577,
  [SMALL_STATE(202)] = 17670,
  [SMALL_STATE(203)] = 17763,
  [SMALL_STATE(204)] = 17856,
  [SMALL_STATE(205)] = 17949,
  [SMALL_STATE(206)] = 18042,
  [SMALL_STATE(207)] = 18135,
  [SMALL_STATE(208)] = 18228,
  [SMALL_STATE(209)] = 18321,
  [SMALL_STATE(210)] = 18414,
  [SMALL_STATE(211)] = 18507,
  [SMALL_STATE(212)] = 18600,
  [SMALL_STATE(213)] = 18693,
  [SMALL_STATE(214)] = 18786,
  [SMALL_STATE(215)] = 18879,
  [SMALL_STATE(216)] = 18972,
  [SMALL_STATE(217)] = 19065,
  [SMALL_STATE(218)] = 19158,
  [SMALL_STATE(219)] = 19251,
  [SMALL_STATE(220)] = 19344,
  [SMALL_STATE(221)] = 19437,
  [SMALL_STATE(222)] = 19530,
  [SMALL_STATE(223)] = 19623,
  [SMALL_STATE(224)] = 19716,
  [SMALL_STATE(225)] = 19809,
  [SMALL_STATE(226)] = 19902,
  [SMALL_STATE(227)] = 19995,
  [SMALL_STATE(228)] = 20088,
  [SMALL_STATE(229)] = 20181,
  [SMALL_STATE(230)] = 20274,
  [SMALL_STATE(231)] = 20367,
  [SMALL_STATE(232)] = 20460,
  [SMALL_STATE(233)] = 20553,
  [SMALL_STATE(234)] = 20646,
  [SMALL_STATE(235)] = 20739,
  [SMALL_STATE(236)] = 20832,
  [SMALL_STATE(237)] = 20925,
  [SMALL_STATE(238)] = 21018,
  [SMALL_STATE(239)] = 21111,
  [SMALL_STATE(240)] = 21204,
  [SMALL_STATE(241)] = 21297,
  [SMALL_STATE(242)] = 21390,
  [SMALL_STATE(243)] = 21483,
  [SMALL_STATE(244)] = 21576,
  [SMALL_STATE(245)] = 21669,
  [SMALL_STATE(246)] = 21762,
  [SMALL_STATE(247)] = 21855,
  [SMALL_STATE(248)] = 21948,
  [SMALL_STATE(249)] = 22041,
  [SMALL_STATE(250)] = 22134,
  [SMALL_STATE(251)] = 22227,
  [SMALL_STATE(252)] = 22320,
  [SMALL_STATE(253)] = 22413,
  [SMALL_STATE(254)] = 22506,
  [SMALL_STATE(255)] = 22599,
  [SMALL_STATE(256)] = 22692,
  [SMALL_STATE(257)] = 22785,
  [SMALL_STATE(258)] = 22878,
  [SMALL_STATE(259)] = 22971,
  [SMALL_STATE(260)] = 23064,
  [SMALL_STATE(261)] = 23129,
  [SMALL_STATE(262)] = 23194,
  [SMALL_STATE(263)] = 23256,
  [SMALL_STATE(264)] = 23340,
  [SMALL_STATE(265)] = 23401,
  [SMALL_STATE(266)] = 23464,
  [SMALL_STATE(267)] = 23533,
  [SMALL_STATE(268)] = 23600,
  [SMALL_STATE(269)] = 23665,
  [SMALL_STATE(270)] = 23722,
  [SMALL_STATE(271)] = 23783,
  [SMALL_STATE(272)] = 23835,
  [SMALL_STATE(273)] = 23887,
  [SMALL_STATE(274)] = 23939,
  [SMALL_STATE(275)] = 23991,
  [SMALL_STATE(276)] = 24043,
  [SMALL_STATE(277)] = 24095,
  [SMALL_STATE(278)] = 24183,
  [SMALL_STATE(279)] = 24235,
  [SMALL_STATE(280)] = 24287,
  [SMALL_STATE(281)] = 24339,
  [SMALL_STATE(282)] = 24391,
  [SMALL_STATE(283)] = 24443,
  [SMALL_STATE(284)] = 24495,
  [SMALL_STATE(285)] = 24547,
  [SMALL_STATE(286)] = 24599,
  [SMALL_STATE(287)] = 24651,
  [SMALL_STATE(288)] = 24703,
  [SMALL_STATE(289)] = 24755,
  [SMALL_STATE(290)] = 24807,
  [SMALL_STATE(291)] = 24859,
  [SMALL_STATE(292)] = 24911,
  [SMALL_STATE(293)] = 24963,
  [SMALL_STATE(294)] = 25015,
  [SMALL_STATE(295)] = 25067,
  [SMALL_STATE(296)] = 25119,
  [SMALL_STATE(297)] = 25171,
  [SMALL_STATE(298)] = 25223,
  [SMALL_STATE(299)] = 25275,
  [SMALL_STATE(300)] = 25327,
  [SMALL_STATE(301)] = 25379,
  [SMALL_STATE(302)] = 25431,
  [SMALL_STATE(303)] = 25483,
  [SMALL_STATE(304)] = 25535,
  [SMALL_STATE(305)] = 25623,
  [SMALL_STATE(306)] = 25708,
  [SMALL_STATE(307)] = 25762,
  [SMALL_STATE(308)] = 25818,
  [SMALL_STATE(309)] = 25876,
  [SMALL_STATE(310)] = 25958,
  [SMALL_STATE(311)] = 26026,
  [SMALL_STATE(312)] = 26092,
  [SMALL_STATE(313)] = 26154,
  [SMALL_STATE(314)] = 26214,
  [SMALL_STATE(315)] = 26272,
  [SMALL_STATE(316)] = 26321,
  [SMALL_STATE(317)] = 26370,
  [SMALL_STATE(318)] = 26419,
  [SMALL_STATE(319)] = 26468,
  [SMALL_STATE(320)] = 26517,
  [SMALL_STATE(321)] = 26566,
  [SMALL_STATE(322)] = 26615,
  [SMALL_STATE(323)] = 26664,
  [SMALL_STATE(324)] = 26713,
  [SMALL_STATE(325)] = 26762,
  [SMALL_STATE(326)] = 26811,
  [SMALL_STATE(327)] = 26860,
  [SMALL_STATE(328)] = 26909,
  [SMALL_STATE(329)] = 26958,
  [SMALL_STATE(330)] = 27007,
  [SMALL_STATE(331)] = 27056,
  [SMALL_STATE(332)] = 27105,
  [SMALL_STATE(333)] = 27154,
  [SMALL_STATE(334)] = 27203,
  [SMALL_STATE(335)] = 27252,
  [SMALL_STATE(336)] = 27301,
  [SMALL_STATE(337)] = 27350,
  [SMALL_STATE(338)] = 27399,
  [SMALL_STATE(339)] = 27448,
  [SMALL_STATE(340)] = 27497,
  [SMALL_STATE(341)] = 27546,
  [SMALL_STATE(342)] = 27595,
  [SMALL_STATE(343)] = 27644,
  [SMALL_STATE(344)] = 27693,
  [SMALL_STATE(345)] = 27742,
  [SMALL_STATE(346)] = 27791,
  [SMALL_STATE(347)] = 27840,
  [SMALL_STATE(348)] = 27894,
  [SMALL_STATE(349)] = 27947,
  [SMALL_STATE(350)] = 28000,
  [SMALL_STATE(351)] = 28049,
  [SMALL_STATE(352)] = 28114,
  [SMALL_STATE(353)] = 28169,
  [SMALL_STATE(354)] = 28226,
  [SMALL_STATE(355)] = 28287,
  [SMALL_STATE(356)] = 28350,
  [SMALL_STATE(357)] = 28394,
  [SMALL_STATE(358)] = 28438,
  [SMALL_STATE(359)] = 28482,
  [SMALL_STATE(360)] = 28526,
  [SMALL_STATE(361)] = 28570,
  [SMALL_STATE(362)] = 28614,
  [SMALL_STATE(363)] = 28658,
  [SMALL_STATE(364)] = 28702,
  [SMALL_STATE(365)] = 28746,
  [SMALL_STATE(366)] = 28790,
  [SMALL_STATE(367)] = 28834,
  [SMALL_STATE(368)] = 28878,
  [SMALL_STATE(369)] = 28922,
  [SMALL_STATE(370)] = 28966,
  [SMALL_STATE(371)] = 29010,
  [SMALL_STATE(372)] = 29054,
  [SMALL_STATE(373)] = 29098,
  [SMALL_STATE(374)] = 29142,
  [SMALL_STATE(375)] = 29186,
  [SMALL_STATE(376)] = 29230,
  [SMALL_STATE(377)] = 29274,
  [SMALL_STATE(378)] = 29318,
  [SMALL_STATE(379)] = 29362,
  [SMALL_STATE(380)] = 29406,
  [SMALL_STATE(381)] = 29450,
  [SMALL_STATE(382)] = 29494,
  [SMALL_STATE(383)] = 29538,
  [SMALL_STATE(384)] = 29582,
  [SMALL_STATE(385)] = 29626,
  [SMALL_STATE(386)] = 29670,
  [SMALL_STATE(387)] = 29714,
  [SMALL_STATE(388)] = 29758,
  [SMALL_STATE(389)] = 29808,
  [SMALL_STATE(390)] = 29872,
  [SMALL_STATE(391)] = 29917,
  [SMALL_STATE(392)] = 29966,
  [SMALL_STATE(393)] = 30025,
  [SMALL_STATE(394)] = 30076,
  [SMALL_STATE(395)] = 30129,
  [SMALL_STATE(396)] = 30184,
  [SMALL_STATE(397)] = 30241,
  [SMALL_STATE(398)] = 30290,
  [SMALL_STATE(399)] = 30339,
  [SMALL_STATE(400)] = 30388,
  [SMALL_STATE(401)] = 30433,
  [SMALL_STATE(402)] = 30473,
  [SMALL_STATE(403)] = 30513,
  [SMALL_STATE(404)] = 30553,
  [SMALL_STATE(405)] = 30593,
  [SMALL_STATE(406)] = 30641,
  [SMALL_STATE(407)] = 30681,
  [SMALL_STATE(408)] = 30721,
  [SMALL_STATE(409)] = 30761,
  [SMALL_STATE(410)] = 30801,
  [SMALL_STATE(411)] = 30841,
  [SMALL_STATE(412)] = 30881,
  [SMALL_STATE(413)] = 30921,
  [SMALL_STATE(414)] = 30961,
  [SMALL_STATE(415)] = 31001,
  [SMALL_STATE(416)] = 31041,
  [SMALL_STATE(417)] = 31107,
  [SMALL_STATE(418)] = 31147,
  [SMALL_STATE(419)] = 31187,
  [SMALL_STATE(420)] = 31227,
  [SMALL_STATE(421)] = 31267,
  [SMALL_STATE(422)] = 31307,
  [SMALL_STATE(423)] = 31347,
  [SMALL_STATE(424)] = 31387,
  [SMALL_STATE(425)] = 31427,
  [SMALL_STATE(426)] = 31467,
  [SMALL_STATE(427)] = 31507,
  [SMALL_STATE(428)] = 31547,
  [SMALL_STATE(429)] = 31587,
  [SMALL_STATE(430)] = 31627,
  [SMALL_STATE(431)] = 31667,
  [SMALL_STATE(432)] = 31707,
  [SMALL_STATE(433)] = 31747,
  [SMALL_STATE(434)] = 31787,
  [SMALL_STATE(435)] = 31827,
  [SMALL_STATE(436)] = 31867,
  [SMALL_STATE(437)] = 31907,
  [SMALL_STATE(438)] = 31947,
  [SMALL_STATE(439)] = 31987,
  [SMALL_STATE(440)] = 32027,
  [SMALL_STATE(441)] = 32067,
  [SMALL_STATE(442)] = 32107,
  [SMALL_STATE(443)] = 32147,
  [SMALL_STATE(444)] = 32187,
  [SMALL_STATE(445)] = 32227,
  [SMALL_STATE(446)] = 32267,
  [SMALL_STATE(447)] = 32307,
  [SMALL_STATE(448)] = 32347,
  [SMALL_STATE(449)] = 32387,
  [SMALL_STATE(450)] = 32427,
  [SMALL_STATE(451)] = 32467,
  [SMALL_STATE(452)] = 32507,
  [SMALL_STATE(453)] = 32547,
  [SMALL_STATE(454)] = 32587,
  [SMALL_STATE(455)] = 32653,
  [SMALL_STATE(456)] = 32693,
  [SMALL_STATE(457)] = 32733,
  [SMALL_STATE(458)] = 32773,
  [SMALL_STATE(459)] = 32813,
  [SMALL_STATE(460)] = 32853,
  [SMALL_STATE(461)] = 32893,
  [SMALL_STATE(462)] = 32933,
  [SMALL_STATE(463)] = 32973,
  [SMALL_STATE(464)] = 33013,
  [SMALL_STATE(465)] = 33053,
  [SMALL_STATE(466)] = 33093,
  [SMALL_STATE(467)] = 33133,
  [SMALL_STATE(468)] = 33173,
  [SMALL_STATE(469)] = 33238,
  [SMALL_STATE(470)] = 33299,
  [SMALL_STATE(471)] = 33364,
  [SMALL_STATE(472)] = 33424,
  [SMALL_STATE(473)] = 33496,
  [SMALL_STATE(474)] = 33554,
  [SMALL_STATE(475)] = 33614,
  [SMALL_STATE(476)] = 33664,
  [SMALL_STATE(477)] = 33710,
  [SMALL_STATE(478)] = 33764,
  [SMALL_STATE(479)] = 33809,
  [SMALL_STATE(480)] = 33850,
  [SMALL_STATE(481)] = 33915,
  [SMALL_STATE(482)] = 33974,
  [SMALL_STATE(483)] = 34019,
  [SMALL_STATE(484)] = 34088,
  [SMALL_STATE(485)] = 34133,
  [SMALL_STATE(486)] = 34170,
  [SMALL_STATE(487)] = 34225,
  [SMALL_STATE(488)] = 34262,
  [SMALL_STATE(489)] = 34327,
  [SMALL_STATE(490)] = 34374,
  [SMALL_STATE(491)] = 34423,
  [SMALL_STATE(492)] = 34474,
  [SMALL_STATE(493)] = 34527,
  [SMALL_STATE(494)] = 34563,
  [SMALL_STATE(495)] = 34599,
  [SMALL_STATE(496)] = 34635,
  [SMALL_STATE(497)] = 34689,
  [SMALL_STATE(498)] = 34747,
  [SMALL_STATE(499)] = 34803,
  [SMALL_STATE(500)] = 34855,
  [SMALL_STATE(501)] = 34891,
  [SMALL_STATE(502)] = 34927,
  [SMALL_STATE(503)] = 34987,
  [SMALL_STATE(504)] = 35035,
  [SMALL_STATE(505)] = 35071,
  [SMALL_STATE(506)] = 35107,
  [SMALL_STATE(507)] = 35143,
  [SMALL_STATE(508)] = 35179,
  [SMALL_STATE(509)] = 35215,
  [SMALL_STATE(510)] = 35251,
  [SMALL_STATE(511)] = 35305,
  [SMALL_STATE(512)] = 35359,
  [SMALL_STATE(513)] = 35395,
  [SMALL_STATE(514)] = 35431,
  [SMALL_STATE(515)] = 35467,
  [SMALL_STATE(516)] = 35503,
  [SMALL_STATE(517)] = 35539,
  [SMALL_STATE(518)] = 35575,
  [SMALL_STATE(519)] = 35611,
  [SMALL_STATE(520)] = 35647,
  [SMALL_STATE(521)] = 35683,
  [SMALL_STATE(522)] = 35719,
  [SMALL_STATE(523)] = 35755,
  [SMALL_STATE(524)] = 35791,
  [SMALL_STATE(525)] = 35831,
  [SMALL_STATE(526)] = 35867,
  [SMALL_STATE(527)] = 35911,
  [SMALL_STATE(528)] = 35947,
  [SMALL_STATE(529)] = 35983,
  [SMALL_STATE(530)] = 36019,
  [SMALL_STATE(531)] = 36055,
  [SMALL_STATE(532)] = 36091,
  [SMALL_STATE(533)] = 36127,
  [SMALL_STATE(534)] = 36171,
  [SMALL_STATE(535)] = 36206,
  [SMALL_STATE(536)] = 36241,
  [SMALL_STATE(537)] = 36304,
  [SMALL_STATE(538)] = 36339,
  [SMALL_STATE(539)] = 36374,
  [SMALL_STATE(540)] = 36409,
  [SMALL_STATE(541)] = 36444,
  [SMALL_STATE(542)] = 36479,
  [SMALL_STATE(543)] = 36514,
  [SMALL_STATE(544)] = 36549,
  [SMALL_STATE(545)] = 36584,
  [SMALL_STATE(546)] = 36627,
  [SMALL_STATE(547)] = 36662,
  [SMALL_STATE(548)] = 36697,
  [SMALL_STATE(549)] = 36732,
  [SMALL_STATE(550)] = 36787,
  [SMALL_STATE(551)] = 36822,
  [SMALL_STATE(552)] = 36885,
  [SMALL_STATE(553)] = 36920,
  [SMALL_STATE(554)] = 36965,
  [SMALL_STATE(555)] = 37026,
  [SMALL_STATE(556)] = 37061,
  [SMALL_STATE(557)] = 37096,
  [SMALL_STATE(558)] = 37159,
  [SMALL_STATE(559)] = 37194,
  [SMALL_STATE(560)] = 37257,
  [SMALL_STATE(561)] = 37292,
  [SMALL_STATE(562)] = 37355,
  [SMALL_STATE(563)] = 37418,
  [SMALL_STATE(564)] = 37453,
  [SMALL_STATE(565)] = 37488,
  [SMALL_STATE(566)] = 37523,
  [SMALL_STATE(567)] = 37558,
  [SMALL_STATE(568)] = 37621,
  [SMALL_STATE(569)] = 37656,
  [SMALL_STATE(570)] = 37691,
  [SMALL_STATE(571)] = 37726,
  [SMALL_STATE(572)] = 37761,
  [SMALL_STATE(573)] = 37796,
  [SMALL_STATE(574)] = 37859,
  [SMALL_STATE(575)] = 37894,
  [SMALL_STATE(576)] = 37929,
  [SMALL_STATE(577)] = 37964,
  [SMALL_STATE(578)] = 37999,
  [SMALL_STATE(579)] = 38059,
  [SMALL_STATE(580)] = 38117,
  [SMALL_STATE(581)] = 38177,
  [SMALL_STATE(582)] = 38223,
  [SMALL_STATE(583)] = 38273,
  [SMALL_STATE(584)] = 38325,
  [SMALL_STATE(585)] = 38365,
  [SMALL_STATE(586)] = 38419,
  [SMALL_STATE(587)] = 38471,
  [SMALL_STATE(588)] = 38531,
  [SMALL_STATE(589)] = 38581,
  [SMALL_STATE(590)] = 38627,
  [SMALL_STATE(591)] = 38681,
  [SMALL_STATE(592)] = 38741,
  [SMALL_STATE(593)] = 38799,
  [SMALL_STATE(594)] = 38861,
  [SMALL_STATE(595)] = 38921,
  [SMALL_STATE(596)] = 38976,
  [SMALL_STATE(597)] = 39033,
  [SMALL_STATE(598)] = 39090,
  [SMALL_STATE(599)] = 39147,
  [SMALL_STATE(600)] = 39202,
  [SMALL_STATE(601)] = 39259,
  [SMALL_STATE(602)] = 39316,
  [SMALL_STATE(603)] = 39373,
  [SMALL_STATE(604)] = 39430,
  [SMALL_STATE(605)] = 39487,
  [SMALL_STATE(606)] = 39544,
  [SMALL_STATE(607)] = 39601,
  [SMALL_STATE(608)] = 39658,
  [SMALL_STATE(609)] = 39715,
  [SMALL_STATE(610)] = 39772,
  [SMALL_STATE(611)] = 39829,
  [SMALL_STATE(612)] = 39886,
  [SMALL_STATE(613)] = 39943,
  [SMALL_STATE(614)] = 40000,
  [SMALL_STATE(615)] = 40057,
  [SMALL_STATE(616)] = 40114,
  [SMALL_STATE(617)] = 40171,
  [SMALL_STATE(618)] = 40226,
  [SMALL_STATE(619)] = 40283,
  [SMALL_STATE(620)] = 40340,
  [SMALL_STATE(621)] = 40397,
  [SMALL_STATE(622)] = 40454,
  [SMALL_STATE(623)] = 40511,
  [SMALL_STATE(624)] = 40568,
  [SMALL_STATE(625)] = 40625,
  [SMALL_STATE(626)] = 40682,
  [SMALL_STATE(627)] = 40737,
  [SMALL_STATE(628)] = 40794,
  [SMALL_STATE(629)] = 40851,
  [SMALL_STATE(630)] = 40908,
  [SMALL_STATE(631)] = 40965,
  [SMALL_STATE(632)] = 41020,
  [SMALL_STATE(633)] = 41077,
  [SMALL_STATE(634)] = 41134,
  [SMALL_STATE(635)] = 41191,
  [SMALL_STATE(636)] = 41245,
  [SMALL_STATE(637)] = 41299,
  [SMALL_STATE(638)] = 41353,
  [SMALL_STATE(639)] = 41407,
  [SMALL_STATE(640)] = 41461,
  [SMALL_STATE(641)] = 41515,
  [SMALL_STATE(642)] = 41569,
  [SMALL_STATE(643)] = 41623,
  [SMALL_STATE(644)] = 41679,
  [SMALL_STATE(645)] = 41733,
  [SMALL_STATE(646)] = 41789,
  [SMALL_STATE(647)] = 41843,
  [SMALL_STATE(648)] = 41897,
  [SMALL_STATE(649)] = 41951,
  [SMALL_STATE(650)] = 42005,
  [SMALL_STATE(651)] = 42061,
  [SMALL_STATE(652)] = 42117,
  [SMALL_STATE(653)] = 42171,
  [SMALL_STATE(654)] = 42225,
  [SMALL_STATE(655)] = 42279,
  [SMALL_STATE(656)] = 42333,
  [SMALL_STATE(657)] = 42387,
  [SMALL_STATE(658)] = 42441,
  [SMALL_STATE(659)] = 42495,
  [SMALL_STATE(660)] = 42549,
  [SMALL_STATE(661)] = 42603,
  [SMALL_STATE(662)] = 42657,
  [SMALL_STATE(663)] = 42711,
  [SMALL_STATE(664)] = 42765,
  [SMALL_STATE(665)] = 42819,
  [SMALL_STATE(666)] = 42873,
  [SMALL_STATE(667)] = 42927,
  [SMALL_STATE(668)] = 42983,
  [SMALL_STATE(669)] = 43037,
  [SMALL_STATE(670)] = 43091,
  [SMALL_STATE(671)] = 43145,
  [SMALL_STATE(672)] = 43199,
  [SMALL_STATE(673)] = 43253,
  [SMALL_STATE(674)] = 43306,
  [SMALL_STATE(675)] = 43359,
  [SMALL_STATE(676)] = 43412,
  [SMALL_STATE(677)] = 43465,
  [SMALL_STATE(678)] = 43518,
  [SMALL_STATE(679)] = 43571,
  [SMALL_STATE(680)] = 43624,
  [SMALL_STATE(681)] = 43675,
  [SMALL_STATE(682)] = 43728,
  [SMALL_STATE(683)] = 43779,
  [SMALL_STATE(684)] = 43829,
  [SMALL_STATE(685)] = 43879,
  [SMALL_STATE(686)] = 43929,
  [SMALL_STATE(687)] = 43979,
  [SMALL_STATE(688)] = 44029,
  [SMALL_STATE(689)] = 44079,
  [SMALL_STATE(690)] = 44126,
  [SMALL_STATE(691)] = 44173,
  [SMALL_STATE(692)] = 44220,
  [SMALL_STATE(693)] = 44253,
  [SMALL_STATE(694)] = 44300,
  [SMALL_STATE(695)] = 44347,
  [SMALL_STATE(696)] = 44394,
  [SMALL_STATE(697)] = 44441,
  [SMALL_STATE(698)] = 44488,
  [SMALL_STATE(699)] = 44535,
  [SMALL_STATE(700)] = 44582,
  [SMALL_STATE(701)] = 44629,
  [SMALL_STATE(702)] = 44676,
  [SMALL_STATE(703)] = 44723,
  [SMALL_STATE(704)] = 44770,
  [SMALL_STATE(705)] = 44817,
  [SMALL_STATE(706)] = 44864,
  [SMALL_STATE(707)] = 44911,
  [SMALL_STATE(708)] = 44958,
  [SMALL_STATE(709)] = 45005,
  [SMALL_STATE(710)] = 45052,
  [SMALL_STATE(711)] = 45099,
  [SMALL_STATE(712)] = 45146,
  [SMALL_STATE(713)] = 45193,
  [SMALL_STATE(714)] = 45240,
  [SMALL_STATE(715)] = 45287,
  [SMALL_STATE(716)] = 45334,
  [SMALL_STATE(717)] = 45381,
  [SMALL_STATE(718)] = 45428,
  [SMALL_STATE(719)] = 45475,
  [SMALL_STATE(720)] = 45522,
  [SMALL_STATE(721)] = 45569,
  [SMALL_STATE(722)] = 45616,
  [SMALL_STATE(723)] = 45663,
  [SMALL_STATE(724)] = 45710,
  [SMALL_STATE(725)] = 45757,
  [SMALL_STATE(726)] = 45804,
  [SMALL_STATE(727)] = 45851,
  [SMALL_STATE(728)] = 45898,
  [SMALL_STATE(729)] = 45945,
  [SMALL_STATE(730)] = 45992,
  [SMALL_STATE(731)] = 46039,
  [SMALL_STATE(732)] = 46086,
  [SMALL_STATE(733)] = 46133,
  [SMALL_STATE(734)] = 46180,
  [SMALL_STATE(735)] = 46227,
  [SMALL_STATE(736)] = 46274,
  [SMALL_STATE(737)] = 46321,
  [SMALL_STATE(738)] = 46368,
  [SMALL_STATE(739)] = 46415,
  [SMALL_STATE(740)] = 46462,
  [SMALL_STATE(741)] = 46509,
  [SMALL_STATE(742)] = 46556,
  [SMALL_STATE(743)] = 46603,
  [SMALL_STATE(744)] = 46650,
  [SMALL_STATE(745)] = 46697,
  [SMALL_STATE(746)] = 46744,
  [SMALL_STATE(747)] = 46791,
  [SMALL_STATE(748)] = 46838,
  [SMALL_STATE(749)] = 46885,
  [SMALL_STATE(750)] = 46932,
  [SMALL_STATE(751)] = 46960,
  [SMALL_STATE(752)] = 46988,
  [SMALL_STATE(753)] = 47016,
  [SMALL_STATE(754)] = 47044,
  [SMALL_STATE(755)] = 47072,
  [SMALL_STATE(756)] = 47102,
  [SMALL_STATE(757)] = 47128,
  [SMALL_STATE(758)] = 47154,
  [SMALL_STATE(759)] = 47180,
  [SMALL_STATE(760)] = 47206,
  [SMALL_STATE(761)] = 47231,
  [SMALL_STATE(762)] = 47255,
  [SMALL_STATE(763)] = 47293,
  [SMALL_STATE(764)] = 47331,
  [SMALL_STATE(765)] = 47355,
  [SMALL_STATE(766)] = 47379,
  [SMALL_STATE(767)] = 47403,
  [SMALL_STATE(768)] = 47428,
  [SMALL_STATE(769)] = 47453,
  [SMALL_STATE(770)] = 47474,
  [SMALL_STATE(771)] = 47499,
  [SMALL_STATE(772)] = 47522,
  [SMALL_STATE(773)] = 47543,
  [SMALL_STATE(774)] = 47564,
  [SMALL_STATE(775)] = 47585,
  [SMALL_STATE(776)] = 47609,
  [SMALL_STATE(777)] = 47631,
  [SMALL_STATE(778)] = 47651,
  [SMALL_STATE(779)] = 47670,
  [SMALL_STATE(780)] = 47689,
  [SMALL_STATE(781)] = 47708,
  [SMALL_STATE(782)] = 47727,
  [SMALL_STATE(783)] = 47746,
  [SMALL_STATE(784)] = 47765,
  [SMALL_STATE(785)] = 47784,
  [SMALL_STATE(786)] = 47803,
  [SMALL_STATE(787)] = 47826,
  [SMALL_STATE(788)] = 47845,
  [SMALL_STATE(789)] = 47864,
  [SMALL_STATE(790)] = 47883,
  [SMALL_STATE(791)] = 47902,
  [SMALL_STATE(792)] = 47921,
  [SMALL_STATE(793)] = 47940,
  [SMALL_STATE(794)] = 47959,
  [SMALL_STATE(795)] = 47978,
  [SMALL_STATE(796)] = 48001,
  [SMALL_STATE(797)] = 48024,
  [SMALL_STATE(798)] = 48043,
  [SMALL_STATE(799)] = 48066,
  [SMALL_STATE(800)] = 48085,
  [SMALL_STATE(801)] = 48104,
  [SMALL_STATE(802)] = 48123,
  [SMALL_STATE(803)] = 48142,
  [SMALL_STATE(804)] = 48161,
  [SMALL_STATE(805)] = 48180,
  [SMALL_STATE(806)] = 48199,
  [SMALL_STATE(807)] = 48218,
  [SMALL_STATE(808)] = 48252,
  [SMALL_STATE(809)] = 48286,
  [SMALL_STATE(810)] = 48306,
  [SMALL_STATE(811)] = 48340,
  [SMALL_STATE(812)] = 48372,
  [SMALL_STATE(813)] = 48392,
  [SMALL_STATE(814)] = 48409,
  [SMALL_STATE(815)] = 48426,
  [SMALL_STATE(816)] = 48443,
  [SMALL_STATE(817)] = 48460,
  [SMALL_STATE(818)] = 48477,
  [SMALL_STATE(819)] = 48494,
  [SMALL_STATE(820)] = 48511,
  [SMALL_STATE(821)] = 48528,
  [SMALL_STATE(822)] = 48547,
  [SMALL_STATE(823)] = 48564,
  [SMALL_STATE(824)] = 48581,
  [SMALL_STATE(825)] = 48598,
  [SMALL_STATE(826)] = 48615,
  [SMALL_STATE(827)] = 48632,
  [SMALL_STATE(828)] = 48649,
  [SMALL_STATE(829)] = 48666,
  [SMALL_STATE(830)] = 48683,
  [SMALL_STATE(831)] = 48700,
  [SMALL_STATE(832)] = 48717,
  [SMALL_STATE(833)] = 48734,
  [SMALL_STATE(834)] = 48751,
  [SMALL_STATE(835)] = 48768,
  [SMALL_STATE(836)] = 48785,
  [SMALL_STATE(837)] = 48802,
  [SMALL_STATE(838)] = 48819,
  [SMALL_STATE(839)] = 48836,
  [SMALL_STATE(840)] = 48853,
  [SMALL_STATE(841)] = 48874,
  [SMALL_STATE(842)] = 48891,
  [SMALL_STATE(843)] = 48908,
  [SMALL_STATE(844)] = 48925,
  [SMALL_STATE(845)] = 48942,
  [SMALL_STATE(846)] = 48958,
  [SMALL_STATE(847)] = 48974,
  [SMALL_STATE(848)] = 48990,
  [SMALL_STATE(849)] = 49006,
  [SMALL_STATE(850)] = 49022,
  [SMALL_STATE(851)] = 49038,
  [SMALL_STATE(852)] = 49054,
  [SMALL_STATE(853)] = 49070,
  [SMALL_STATE(854)] = 49086,
  [SMALL_STATE(855)] = 49102,
  [SMALL_STATE(856)] = 49118,
  [SMALL_STATE(857)] = 49134,
  [SMALL_STATE(858)] = 49150,
  [SMALL_STATE(859)] = 49166,
  [SMALL_STATE(860)] = 49182,
  [SMALL_STATE(861)] = 49198,
  [SMALL_STATE(862)] = 49214,
  [SMALL_STATE(863)] = 49230,
  [SMALL_STATE(864)] = 49246,
  [SMALL_STATE(865)] = 49262,
  [SMALL_STATE(866)] = 49278,
  [SMALL_STATE(867)] = 49294,
  [SMALL_STATE(868)] = 49310,
  [SMALL_STATE(869)] = 49326,
  [SMALL_STATE(870)] = 49342,
  [SMALL_STATE(871)] = 49365,
  [SMALL_STATE(872)] = 49384,
  [SMALL_STATE(873)] = 49397,
  [SMALL_STATE(874)] = 49410,
  [SMALL_STATE(875)] = 49423,
  [SMALL_STATE(876)] = 49436,
  [SMALL_STATE(877)] = 49449,
  [SMALL_STATE(878)] = 49474,
  [SMALL_STATE(879)] = 49487,
  [SMALL_STATE(880)] = 49500,
  [SMALL_STATE(881)] = 49513,
  [SMALL_STATE(882)] = 49538,
  [SMALL_STATE(883)] = 49551,
  [SMALL_STATE(884)] = 49564,
  [SMALL_STATE(885)] = 49577,
  [SMALL_STATE(886)] = 49590,
  [SMALL_STATE(887)] = 49603,
  [SMALL_STATE(888)] = 49616,
  [SMALL_STATE(889)] = 49629,
  [SMALL_STATE(890)] = 49642,
  [SMALL_STATE(891)] = 49655,
  [SMALL_STATE(892)] = 49668,
  [SMALL_STATE(893)] = 49681,
  [SMALL_STATE(894)] = 49694,
  [SMALL_STATE(895)] = 49707,
  [SMALL_STATE(896)] = 49720,
  [SMALL_STATE(897)] = 49733,
  [SMALL_STATE(898)] = 49746,
  [SMALL_STATE(899)] = 49759,
  [SMALL_STATE(900)] = 49784,
  [SMALL_STATE(901)] = 49803,
  [SMALL_STATE(902)] = 49821,
  [SMALL_STATE(903)] = 49841,
  [SMALL_STATE(904)] = 49857,
  [SMALL_STATE(905)] = 49873,
  [SMALL_STATE(906)] = 49891,
  [SMALL_STATE(907)] = 49909,
  [SMALL_STATE(908)] = 49927,
  [SMALL_STATE(909)] = 49945,
  [SMALL_STATE(910)] = 49963,
  [SMALL_STATE(911)] = 49979,
  [SMALL_STATE(912)] = 49997,
  [SMALL_STATE(913)] = 50015,
  [SMALL_STATE(914)] = 50033,
  [SMALL_STATE(915)] = 50051,
  [SMALL_STATE(916)] = 50069,
  [SMALL_STATE(917)] = 50085,
  [SMALL_STATE(918)] = 50101,
  [SMALL_STATE(919)] = 50115,
  [SMALL_STATE(920)] = 50133,
  [SMALL_STATE(921)] = 50153,
  [SMALL_STATE(922)] = 50173,
  [SMALL_STATE(923)] = 50191,
  [SMALL_STATE(924)] = 50209,
  [SMALL_STATE(925)] = 50227,
  [SMALL_STATE(926)] = 50245,
  [SMALL_STATE(927)] = 50263,
  [SMALL_STATE(928)] = 50281,
  [SMALL_STATE(929)] = 50297,
  [SMALL_STATE(930)] = 50315,
  [SMALL_STATE(931)] = 50335,
  [SMALL_STATE(932)] = 50355,
  [SMALL_STATE(933)] = 50373,
  [SMALL_STATE(934)] = 50386,
  [SMALL_STATE(935)] = 50399,
  [SMALL_STATE(936)] = 50418,
  [SMALL_STATE(937)] = 50431,
  [SMALL_STATE(938)] = 50444,
  [SMALL_STATE(939)] = 50463,
  [SMALL_STATE(940)] = 50476,
  [SMALL_STATE(941)] = 50489,
  [SMALL_STATE(942)] = 50506,
  [SMALL_STATE(943)] = 50519,
  [SMALL_STATE(944)] = 50532,
  [SMALL_STATE(945)] = 50551,
  [SMALL_STATE(946)] = 50564,
  [SMALL_STATE(947)] = 50577,
  [SMALL_STATE(948)] = 50590,
  [SMALL_STATE(949)] = 50609,
  [SMALL_STATE(950)] = 50622,
  [SMALL_STATE(951)] = 50635,
  [SMALL_STATE(952)] = 50648,
  [SMALL_STATE(953)] = 50661,
  [SMALL_STATE(954)] = 50674,
  [SMALL_STATE(955)] = 50687,
  [SMALL_STATE(956)] = 50700,
  [SMALL_STATE(957)] = 50713,
  [SMALL_STATE(958)] = 50726,
  [SMALL_STATE(959)] = 50745,
  [SMALL_STATE(960)] = 50758,
  [SMALL_STATE(961)] = 50771,
  [SMALL_STATE(962)] = 50784,
  [SMALL_STATE(963)] = 50797,
  [SMALL_STATE(964)] = 50816,
  [SMALL_STATE(965)] = 50829,
  [SMALL_STATE(966)] = 50842,
  [SMALL_STATE(967)] = 50855,
  [SMALL_STATE(968)] = 50868,
  [SMALL_STATE(969)] = 50881,
  [SMALL_STATE(970)] = 50894,
  [SMALL_STATE(971)] = 50907,
  [SMALL_STATE(972)] = 50926,
  [SMALL_STATE(973)] = 50939,
  [SMALL_STATE(974)] = 50952,
  [SMALL_STATE(975)] = 50969,
  [SMALL_STATE(976)] = 50982,
  [SMALL_STATE(977)] = 50999,
  [SMALL_STATE(978)] = 51012,
  [SMALL_STATE(979)] = 51025,
  [SMALL_STATE(980)] = 51038,
  [SMALL_STATE(981)] = 51055,
  [SMALL_STATE(982)] = 51068,
  [SMALL_STATE(983)] = 51081,
  [SMALL_STATE(984)] = 51094,
  [SMALL_STATE(985)] = 51107,
  [SMALL_STATE(986)] = 51120,
  [SMALL_STATE(987)] = 51133,
  [SMALL_STATE(988)] = 51152,
  [SMALL_STATE(989)] = 51169,
  [SMALL_STATE(990)] = 51182,
  [SMALL_STATE(991)] = 51195,
  [SMALL_STATE(992)] = 51208,
  [SMALL_STATE(993)] = 51227,
  [SMALL_STATE(994)] = 51240,
  [SMALL_STATE(995)] = 51256,
  [SMALL_STATE(996)] = 51270,
  [SMALL_STATE(997)] = 51284,
  [SMALL_STATE(998)] = 51298,
  [SMALL_STATE(999)] = 51312,
  [SMALL_STATE(1000)] = 51328,
  [SMALL_STATE(1001)] = 51342,
  [SMALL_STATE(1002)] = 51356,
  [SMALL_STATE(1003)] = 51372,
  [SMALL_STATE(1004)] = 51386,
  [SMALL_STATE(1005)] = 51400,
  [SMALL_STATE(1006)] = 51416,
  [SMALL_STATE(1007)] = 51430,
  [SMALL_STATE(1008)] = 51446,
  [SMALL_STATE(1009)] = 51462,
  [SMALL_STATE(1010)] = 51476,
  [SMALL_STATE(1011)] = 51490,
  [SMALL_STATE(1012)] = 51506,
  [SMALL_STATE(1013)] = 51520,
  [SMALL_STATE(1014)] = 51534,
  [SMALL_STATE(1015)] = 51548,
  [SMALL_STATE(1016)] = 51564,
  [SMALL_STATE(1017)] = 51578,
  [SMALL_STATE(1018)] = 51592,
  [SMALL_STATE(1019)] = 51608,
  [SMALL_STATE(1020)] = 51624,
  [SMALL_STATE(1021)] = 51638,
  [SMALL_STATE(1022)] = 51652,
  [SMALL_STATE(1023)] = 51666,
  [SMALL_STATE(1024)] = 51680,
  [SMALL_STATE(1025)] = 51696,
  [SMALL_STATE(1026)] = 51712,
  [SMALL_STATE(1027)] = 51726,
  [SMALL_STATE(1028)] = 51742,
  [SMALL_STATE(1029)] = 51756,
  [SMALL_STATE(1030)] = 51770,
  [SMALL_STATE(1031)] = 51784,
  [SMALL_STATE(1032)] = 51798,
  [SMALL_STATE(1033)] = 51814,
  [SMALL_STATE(1034)] = 51828,
  [SMALL_STATE(1035)] = 51844,
  [SMALL_STATE(1036)] = 51860,
  [SMALL_STATE(1037)] = 51874,
  [SMALL_STATE(1038)] = 51888,
  [SMALL_STATE(1039)] = 51902,
  [SMALL_STATE(1040)] = 51918,
  [SMALL_STATE(1041)] = 51934,
  [SMALL_STATE(1042)] = 51950,
  [SMALL_STATE(1043)] = 51966,
  [SMALL_STATE(1044)] = 51980,
  [SMALL_STATE(1045)] = 51996,
  [SMALL_STATE(1046)] = 52010,
  [SMALL_STATE(1047)] = 52026,
  [SMALL_STATE(1048)] = 52040,
  [SMALL_STATE(1049)] = 52054,
  [SMALL_STATE(1050)] = 52070,
  [SMALL_STATE(1051)] = 52084,
  [SMALL_STATE(1052)] = 52100,
  [SMALL_STATE(1053)] = 52114,
  [SMALL_STATE(1054)] = 52130,
  [SMALL_STATE(1055)] = 52146,
  [SMALL_STATE(1056)] = 52162,
  [SMALL_STATE(1057)] = 52178,
  [SMALL_STATE(1058)] = 52192,
  [SMALL_STATE(1059)] = 52205,
  [SMALL_STATE(1060)] = 52218,
  [SMALL_STATE(1061)] = 52231,
  [SMALL_STATE(1062)] = 52244,
  [SMALL_STATE(1063)] = 52257,
  [SMALL_STATE(1064)] = 52270,
  [SMALL_STATE(1065)] = 52283,
  [SMALL_STATE(1066)] = 52296,
  [SMALL_STATE(1067)] = 52309,
  [SMALL_STATE(1068)] = 52322,
  [SMALL_STATE(1069)] = 52335,
  [SMALL_STATE(1070)] = 52348,
  [SMALL_STATE(1071)] = 52357,
  [SMALL_STATE(1072)] = 52370,
  [SMALL_STATE(1073)] = 52379,
  [SMALL_STATE(1074)] = 52392,
  [SMALL_STATE(1075)] = 52405,
  [SMALL_STATE(1076)] = 52414,
  [SMALL_STATE(1077)] = 52427,
  [SMALL_STATE(1078)] = 52440,
  [SMALL_STATE(1079)] = 52449,
  [SMALL_STATE(1080)] = 52462,
  [SMALL_STATE(1081)] = 52475,
  [SMALL_STATE(1082)] = 52488,
  [SMALL_STATE(1083)] = 52497,
  [SMALL_STATE(1084)] = 52510,
  [SMALL_STATE(1085)] = 52519,
  [SMALL_STATE(1086)] = 52530,
  [SMALL_STATE(1087)] = 52541,
  [SMALL_STATE(1088)] = 52554,
  [SMALL_STATE(1089)] = 52567,
  [SMALL_STATE(1090)] = 52580,
  [SMALL_STATE(1091)] = 52593,
  [SMALL_STATE(1092)] = 52602,
  [SMALL_STATE(1093)] = 52613,
  [SMALL_STATE(1094)] = 52626,
  [SMALL_STATE(1095)] = 52639,
  [SMALL_STATE(1096)] = 52650,
  [SMALL_STATE(1097)] = 52661,
  [SMALL_STATE(1098)] = 52672,
  [SMALL_STATE(1099)] = 52685,
  [SMALL_STATE(1100)] = 52698,
  [SMALL_STATE(1101)] = 52711,
  [SMALL_STATE(1102)] = 52724,
  [SMALL_STATE(1103)] = 52737,
  [SMALL_STATE(1104)] = 52750,
  [SMALL_STATE(1105)] = 52763,
  [SMALL_STATE(1106)] = 52776,
  [SMALL_STATE(1107)] = 52789,
  [SMALL_STATE(1108)] = 52800,
  [SMALL_STATE(1109)] = 52813,
  [SMALL_STATE(1110)] = 52826,
  [SMALL_STATE(1111)] = 52839,
  [SMALL_STATE(1112)] = 52852,
  [SMALL_STATE(1113)] = 52863,
  [SMALL_STATE(1114)] = 52876,
  [SMALL_STATE(1115)] = 52889,
  [SMALL_STATE(1116)] = 52902,
  [SMALL_STATE(1117)] = 52915,
  [SMALL_STATE(1118)] = 52928,
  [SMALL_STATE(1119)] = 52941,
  [SMALL_STATE(1120)] = 52954,
  [SMALL_STATE(1121)] = 52967,
  [SMALL_STATE(1122)] = 52980,
  [SMALL_STATE(1123)] = 52993,
  [SMALL_STATE(1124)] = 53006,
  [SMALL_STATE(1125)] = 53019,
  [SMALL_STATE(1126)] = 53030,
  [SMALL_STATE(1127)] = 53041,
  [SMALL_STATE(1128)] = 53054,
  [SMALL_STATE(1129)] = 53067,
  [SMALL_STATE(1130)] = 53080,
  [SMALL_STATE(1131)] = 53093,
  [SMALL_STATE(1132)] = 53106,
  [SMALL_STATE(1133)] = 53119,
  [SMALL_STATE(1134)] = 53132,
  [SMALL_STATE(1135)] = 53143,
  [SMALL_STATE(1136)] = 53156,
  [SMALL_STATE(1137)] = 53169,
  [SMALL_STATE(1138)] = 53182,
  [SMALL_STATE(1139)] = 53195,
  [SMALL_STATE(1140)] = 53208,
  [SMALL_STATE(1141)] = 53221,
  [SMALL_STATE(1142)] = 53234,
  [SMALL_STATE(1143)] = 53247,
  [SMALL_STATE(1144)] = 53260,
  [SMALL_STATE(1145)] = 53273,
  [SMALL_STATE(1146)] = 53286,
  [SMALL_STATE(1147)] = 53299,
  [SMALL_STATE(1148)] = 53312,
  [SMALL_STATE(1149)] = 53325,
  [SMALL_STATE(1150)] = 53338,
  [SMALL_STATE(1151)] = 53351,
  [SMALL_STATE(1152)] = 53364,
  [SMALL_STATE(1153)] = 53377,
  [SMALL_STATE(1154)] = 53390,
  [SMALL_STATE(1155)] = 53400,
  [SMALL_STATE(1156)] = 53410,
  [SMALL_STATE(1157)] = 53420,
  [SMALL_STATE(1158)] = 53428,
  [SMALL_STATE(1159)] = 53436,
  [SMALL_STATE(1160)] = 53444,
  [SMALL_STATE(1161)] = 53454,
  [SMALL_STATE(1162)] = 53464,
  [SMALL_STATE(1163)] = 53474,
  [SMALL_STATE(1164)] = 53482,
  [SMALL_STATE(1165)] = 53492,
  [SMALL_STATE(1166)] = 53502,
  [SMALL_STATE(1167)] = 53512,
  [SMALL_STATE(1168)] = 53520,
  [SMALL_STATE(1169)] = 53530,
  [SMALL_STATE(1170)] = 53540,
  [SMALL_STATE(1171)] = 53550,
  [SMALL_STATE(1172)] = 53558,
  [SMALL_STATE(1173)] = 53568,
  [SMALL_STATE(1174)] = 53576,
  [SMALL_STATE(1175)] = 53586,
  [SMALL_STATE(1176)] = 53596,
  [SMALL_STATE(1177)] = 53606,
  [SMALL_STATE(1178)] = 53614,
  [SMALL_STATE(1179)] = 53624,
  [SMALL_STATE(1180)] = 53632,
  [SMALL_STATE(1181)] = 53640,
  [SMALL_STATE(1182)] = 53648,
  [SMALL_STATE(1183)] = 53658,
  [SMALL_STATE(1184)] = 53666,
  [SMALL_STATE(1185)] = 53676,
  [SMALL_STATE(1186)] = 53684,
  [SMALL_STATE(1187)] = 53692,
  [SMALL_STATE(1188)] = 53702,
  [SMALL_STATE(1189)] = 53712,
  [SMALL_STATE(1190)] = 53722,
  [SMALL_STATE(1191)] = 53732,
  [SMALL_STATE(1192)] = 53742,
  [SMALL_STATE(1193)] = 53752,
  [SMALL_STATE(1194)] = 53762,
  [SMALL_STATE(1195)] = 53772,
  [SMALL_STATE(1196)] = 53782,
  [SMALL_STATE(1197)] = 53790,
  [SMALL_STATE(1198)] = 53800,
  [SMALL_STATE(1199)] = 53810,
  [SMALL_STATE(1200)] = 53820,
  [SMALL_STATE(1201)] = 53830,
  [SMALL_STATE(1202)] = 53838,
  [SMALL_STATE(1203)] = 53848,
  [SMALL_STATE(1204)] = 53858,
  [SMALL_STATE(1205)] = 53866,
  [SMALL_STATE(1206)] = 53876,
  [SMALL_STATE(1207)] = 53884,
  [SMALL_STATE(1208)] = 53894,
  [SMALL_STATE(1209)] = 53902,
  [SMALL_STATE(1210)] = 53910,
  [SMALL_STATE(1211)] = 53920,
  [SMALL_STATE(1212)] = 53930,
  [SMALL_STATE(1213)] = 53940,
  [SMALL_STATE(1214)] = 53950,
  [SMALL_STATE(1215)] = 53960,
  [SMALL_STATE(1216)] = 53970,
  [SMALL_STATE(1217)] = 53980,
  [SMALL_STATE(1218)] = 53990,
  [SMALL_STATE(1219)] = 54000,
  [SMALL_STATE(1220)] = 54008,
  [SMALL_STATE(1221)] = 54018,
  [SMALL_STATE(1222)] = 54026,
  [SMALL_STATE(1223)] = 54036,
  [SMALL_STATE(1224)] = 54043,
  [SMALL_STATE(1225)] = 54050,
  [SMALL_STATE(1226)] = 54057,
  [SMALL_STATE(1227)] = 54064,
  [SMALL_STATE(1228)] = 54071,
  [SMALL_STATE(1229)] = 54078,
  [SMALL_STATE(1230)] = 54085,
  [SMALL_STATE(1231)] = 54092,
  [SMALL_STATE(1232)] = 54099,
  [SMALL_STATE(1233)] = 54106,
  [SMALL_STATE(1234)] = 54113,
  [SMALL_STATE(1235)] = 54120,
  [SMALL_STATE(1236)] = 54127,
  [SMALL_STATE(1237)] = 54134,
  [SMALL_STATE(1238)] = 54141,
  [SMALL_STATE(1239)] = 54148,
  [SMALL_STATE(1240)] = 54155,
  [SMALL_STATE(1241)] = 54162,
  [SMALL_STATE(1242)] = 54169,
  [SMALL_STATE(1243)] = 54176,
  [SMALL_STATE(1244)] = 54183,
  [SMALL_STATE(1245)] = 54190,
  [SMALL_STATE(1246)] = 54197,
  [SMALL_STATE(1247)] = 54204,
  [SMALL_STATE(1248)] = 54211,
  [SMALL_STATE(1249)] = 54218,
  [SMALL_STATE(1250)] = 54225,
  [SMALL_STATE(1251)] = 54232,
  [SMALL_STATE(1252)] = 54239,
  [SMALL_STATE(1253)] = 54246,
  [SMALL_STATE(1254)] = 54253,
  [SMALL_STATE(1255)] = 54260,
  [SMALL_STATE(1256)] = 54267,
  [SMALL_STATE(1257)] = 54274,
  [SMALL_STATE(1258)] = 54281,
  [SMALL_STATE(1259)] = 54288,
  [SMALL_STATE(1260)] = 54295,
  [SMALL_STATE(1261)] = 54302,
  [SMALL_STATE(1262)] = 54309,
  [SMALL_STATE(1263)] = 54316,
  [SMALL_STATE(1264)] = 54323,
  [SMALL_STATE(1265)] = 54330,
  [SMALL_STATE(1266)] = 54337,
  [SMALL_STATE(1267)] = 54344,
  [SMALL_STATE(1268)] = 54351,
  [SMALL_STATE(1269)] = 54358,
  [SMALL_STATE(1270)] = 54365,
  [SMALL_STATE(1271)] = 54372,
  [SMALL_STATE(1272)] = 54379,
  [SMALL_STATE(1273)] = 54386,
  [SMALL_STATE(1274)] = 54393,
  [SMALL_STATE(1275)] = 54400,
  [SMALL_STATE(1276)] = 54407,
  [SMALL_STATE(1277)] = 54414,
  [SMALL_STATE(1278)] = 54421,
  [SMALL_STATE(1279)] = 54428,
  [SMALL_STATE(1280)] = 54435,
  [SMALL_STATE(1281)] = 54442,
  [SMALL_STATE(1282)] = 54449,
  [SMALL_STATE(1283)] = 54456,
  [SMALL_STATE(1284)] = 54463,
  [SMALL_STATE(1285)] = 54470,
  [SMALL_STATE(1286)] = 54477,
  [SMALL_STATE(1287)] = 54484,
  [SMALL_STATE(1288)] = 54491,
  [SMALL_STATE(1289)] = 54498,
  [SMALL_STATE(1290)] = 54505,
  [SMALL_STATE(1291)] = 54512,
  [SMALL_STATE(1292)] = 54519,
  [SMALL_STATE(1293)] = 54526,
  [SMALL_STATE(1294)] = 54533,
  [SMALL_STATE(1295)] = 54540,
  [SMALL_STATE(1296)] = 54547,
  [SMALL_STATE(1297)] = 54554,
  [SMALL_STATE(1298)] = 54561,
  [SMALL_STATE(1299)] = 54568,
  [SMALL_STATE(1300)] = 54575,
  [SMALL_STATE(1301)] = 54582,
  [SMALL_STATE(1302)] = 54589,
  [SMALL_STATE(1303)] = 54596,
  [SMALL_STATE(1304)] = 54603,
  [SMALL_STATE(1305)] = 54610,
  [SMALL_STATE(1306)] = 54617,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_source_file, 0),
  [7] = {.count = 1, .reusable = true}, SHIFT(1293),
  [9] = {.count = 1, .reusable = true}, SHIFT(811),
  [11] = {.count = 1, .reusable = true}, SHIFT(1067),
  [13] = {.count = 1, .reusable = true}, SHIFT(1068),
  [15] = {.count = 1, .reusable = true}, SHIFT(1069),
  [17] = {.count = 1, .reusable = true}, SHIFT(1031),
  [19] = {.count = 1, .reusable = false}, SHIFT(261),
  [21] = {.count = 1, .reusable = true}, SHIFT(985),
  [23] = {.count = 1, .reusable = true}, SHIFT(221),
  [25] = {.count = 1, .reusable = false}, SHIFT(1058),
  [27] = {.count = 1, .reusable = false}, SHIFT(1079),
  [29] = {.count = 1, .reusable = false}, SHIFT(1184),
  [31] = {.count = 1, .reusable = false}, SHIFT(1016),
  [33] = {.count = 1, .reusable = true}, SHIFT(259),
  [35] = {.count = 1, .reusable = true}, SHIFT(60),
  [37] = {.count = 1, .reusable = false}, SHIFT(1218),
  [39] = {.count = 1, .reusable = true}, SHIFT(15),
  [41] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 3, .production_id = 16),
  [43] = {.count = 1, .reusable = false}, SHIFT(1216),
  [45] = {.count = 1, .reusable = false}, SHIFT(1306),
  [47] = {.count = 1, .reusable = false}, SHIFT(704),
  [49] = {.count = 1, .reusable = true}, SHIFT(254),
  [51] = {.count = 1, .reusable = false}, SHIFT(960),
  [53] = {.count = 1, .reusable = false}, SHIFT(916),
  [55] = {.count = 1, .reusable = false}, SHIFT(917),
  [57] = {.count = 1, .reusable = false}, SHIFT(1294),
  [59] = {.count = 1, .reusable = false}, SHIFT(26),
  [61] = {.count = 1, .reusable = false}, SHIFT(196),
  [63] = {.count = 1, .reusable = false}, SHIFT(197),
  [65] = {.count = 1, .reusable = false}, SHIFT(25),
  [67] = {.count = 1, .reusable = false}, SHIFT(19),
  [69] = {.count = 1, .reusable = false}, SHIFT(20),
  [71] = {.count = 1, .reusable = false}, REDUCE(sym_type_case, 3, .production_id = 16),
  [73] = {.count = 1, .reusable = false}, SHIFT(1290),
  [75] = {.count = 1, .reusable = false}, SHIFT(269),
  [77] = {.count = 1, .reusable = true}, SHIFT(226),
  [79] = {.count = 1, .reusable = true}, SHIFT(263),
  [81] = {.count = 1, .reusable = true}, SHIFT(1021),
  [83] = {.count = 1, .reusable = false}, SHIFT(263),
  [85] = {.count = 1, .reusable = true}, REDUCE(sym_default_case, 2),
  [87] = {.count = 1, .reusable = false}, REDUCE(sym_default_case, 2),
  [89] = {.count = 1, .reusable = true}, REDUCE(sym_expression_case, 3, .production_id = 14),
  [91] = {.count = 1, .reusable = false}, REDUCE(sym_expression_case, 3, .production_id = 14),
  [93] = {.count = 1, .reusable = true}, REDUCE(sym_communication_case, 3, .production_id = 86),
  [95] = {.count = 1, .reusable = false}, REDUCE(sym_communication_case, 3, .production_id = 86),
  [97] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 4, .production_id = 93),
  [99] = {.count = 1, .reusable = false}, REDUCE(sym_type_case, 4, .production_id = 93),
  [101] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 3),
  [103] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 3),
  [105] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 2),
  [107] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 2),
  [109] = {.count = 1, .reusable = true}, SHIFT(564),
  [111] = {.count = 1, .reusable = true}, SHIFT(456),
  [113] = {.count = 1, .reusable = true}, SHIFT(285),
  [115] = {.count = 1, .reusable = true}, SHIFT(343),
  [117] = {.count = 1, .reusable = true}, SHIFT(364),
  [119] = {.count = 1, .reusable = true}, SHIFT(411),
  [121] = {.count = 1, .reusable = true}, SHIFT(485),
  [123] = {.count = 1, .reusable = false}, SHIFT(260),
  [125] = {.count = 1, .reusable = true}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 49),
  [127] = {.count = 1, .reusable = false}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 49),
  [129] = {.count = 1, .reusable = false}, SHIFT(307),
  [131] = {.count = 1, .reusable = true}, SHIFT(86),
  [133] = {.count = 1, .reusable = true}, SHIFT(211),
  [135] = {.count = 1, .reusable = false}, SHIFT(1176),
  [137] = {.count = 1, .reusable = true}, SHIFT(204),
  [139] = {.count = 1, .reusable = true}, SHIFT(202),
  [141] = {.count = 1, .reusable = false}, SHIFT(256),
  [143] = {.count = 1, .reusable = false}, SHIFT(306),
  [145] = {.count = 1, .reusable = true}, SHIFT(229),
  [147] = {.count = 1, .reusable = true}, SHIFT(277),
  [149] = {.count = 1, .reusable = true}, SHIFT(1020),
  [151] = {.count = 1, .reusable = false}, SHIFT(277),
  [153] = {.count = 1, .reusable = true}, SHIFT(932),
  [155] = {.count = 1, .reusable = true}, SHIFT(305),
  [157] = {.count = 1, .reusable = false}, SHIFT(305),
  [159] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 2),
  [161] = {.count = 1, .reusable = true}, SHIFT(309),
  [163] = {.count = 1, .reusable = false}, SHIFT(309),
  [165] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 3, .production_id = 75),
  [167] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 3, .production_id = 74),
  [169] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 4, .production_id = 84),
  [171] = {.count = 1, .reusable = true}, SHIFT(304),
  [173] = {.count = 1, .reusable = false}, SHIFT(304),
  [175] = {.count = 1, .reusable = false}, SHIFT(476),
  [177] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 1),
  [179] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 1),
  [181] = {.count = 1, .reusable = false}, SHIFT(247),
  [183] = {.count = 1, .reusable = false}, SHIFT(1195),
  [185] = {.count = 1, .reusable = false}, SHIFT(169),
  [187] = {.count = 1, .reusable = false}, SHIFT(60),
  [189] = {.count = 1, .reusable = false}, SHIFT(170),
  [191] = {.count = 1, .reusable = false}, SHIFT(479),
  [193] = {.count = 1, .reusable = false}, SHIFT(209),
  [195] = {.count = 1, .reusable = false}, SHIFT(471),
  [197] = {.count = 1, .reusable = false}, SHIFT(1057),
  [199] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [201] = {.count = 1, .reusable = false}, SHIFT(553),
  [203] = {.count = 1, .reusable = true}, SHIFT(228),
  [205] = {.count = 1, .reusable = false}, SHIFT(1200),
  [207] = {.count = 1, .reusable = true}, SHIFT(168),
  [209] = {.count = 1, .reusable = true}, SHIFT(35),
  [211] = {.count = 1, .reusable = true}, SHIFT(375),
  [213] = {.count = 1, .reusable = true}, SHIFT(166),
  [215] = {.count = 1, .reusable = false}, SHIFT(400),
  [217] = {.count = 1, .reusable = true}, SHIFT(147),
  [219] = {.count = 1, .reusable = true}, SHIFT(592),
  [221] = {.count = 1, .reusable = true}, SHIFT(1010),
  [223] = {.count = 1, .reusable = false}, SHIFT(592),
  [225] = {.count = 1, .reusable = true}, SHIFT(298),
  [227] = {.count = 1, .reusable = true}, SHIFT(334),
  [229] = {.count = 1, .reusable = true}, SHIFT(339),
  [231] = {.count = 1, .reusable = true}, SHIFT(318),
  [233] = {.count = 1, .reusable = true}, SHIFT(494),
  [235] = {.count = 1, .reusable = true}, SHIFT(413),
  [237] = {.count = 1, .reusable = true}, SHIFT(505),
  [239] = {.count = 1, .reusable = true}, SHIFT(465),
  [241] = {.count = 1, .reusable = true}, SHIFT(442),
  [243] = {.count = 1, .reusable = true}, SHIFT(377),
  [245] = {.count = 1, .reusable = true}, SHIFT(515),
  [247] = {.count = 1, .reusable = true}, SHIFT(359),
  [249] = {.count = 1, .reusable = true}, SHIFT(434),
  [251] = {.count = 1, .reusable = true}, SHIFT(576),
  [253] = {.count = 1, .reusable = true}, SHIFT(273),
  [255] = {.count = 1, .reusable = true}, SHIFT(539),
  [257] = {.count = 1, .reusable = true}, SHIFT(457),
  [259] = {.count = 1, .reusable = true}, SHIFT(419),
  [261] = {.count = 1, .reusable = true}, SHIFT(558),
  [263] = {.count = 1, .reusable = true}, SHIFT(276),
  [265] = {.count = 1, .reusable = false}, SHIFT(478),
  [267] = {.count = 1, .reusable = true}, SHIFT(153),
  [269] = {.count = 1, .reusable = false}, SHIFT(1170),
  [271] = {.count = 1, .reusable = true}, SHIFT(178),
  [273] = {.count = 1, .reusable = true}, SHIFT(185),
  [275] = {.count = 1, .reusable = false}, SHIFT(524),
  [277] = {.count = 1, .reusable = true}, SHIFT(193),
  [279] = {.count = 1, .reusable = true}, SHIFT(483),
  [281] = {.count = 1, .reusable = true}, SHIFT(1029),
  [283] = {.count = 1, .reusable = false}, SHIFT(483),
  [285] = {.count = 1, .reusable = false}, SHIFT(545),
  [287] = {.count = 1, .reusable = true}, SHIFT(504),
  [289] = {.count = 1, .reusable = true}, SHIFT(206),
  [291] = {.count = 1, .reusable = true}, SHIFT(195),
  [293] = {.count = 1, .reusable = true}, SHIFT(145),
  [295] = {.count = 1, .reusable = true}, SHIFT(579),
  [297] = {.count = 1, .reusable = false}, SHIFT(579),
  [299] = {.count = 1, .reusable = true}, SHIFT(420),
  [301] = {.count = 1, .reusable = true}, SHIFT(537),
  [303] = {.count = 1, .reusable = true}, SHIFT(562),
  [305] = {.count = 1, .reusable = false}, SHIFT(562),
  [307] = {.count = 1, .reusable = true}, SHIFT(435),
  [309] = {.count = 1, .reusable = true}, SHIFT(290),
  [311] = {.count = 1, .reusable = true}, SHIFT(374),
  [313] = {.count = 1, .reusable = false}, SHIFT(405),
  [315] = {.count = 1, .reusable = true}, SHIFT(631),
  [317] = {.count = 1, .reusable = false}, SHIFT(631),
  [319] = {.count = 1, .reusable = true}, SHIFT(535),
  [321] = {.count = 1, .reusable = true}, SHIFT(433),
  [323] = {.count = 1, .reusable = true}, SHIFT(287),
  [325] = {.count = 1, .reusable = true}, SHIFT(573),
  [327] = {.count = 1, .reusable = false}, SHIFT(573),
  [329] = {.count = 1, .reusable = true}, SHIFT(1226),
  [331] = {.count = 1, .reusable = true}, SHIFT(705),
  [333] = {.count = 1, .reusable = true}, SHIFT(637),
  [335] = {.count = 1, .reusable = false}, SHIFT(637),
  [337] = {.count = 1, .reusable = true}, SHIFT(362),
  [339] = {.count = 1, .reusable = true}, SHIFT(577),
  [341] = {.count = 1, .reusable = true}, SHIFT(463),
  [343] = {.count = 1, .reusable = true}, SHIFT(559),
  [345] = {.count = 1, .reusable = false}, SHIFT(559),
  [347] = {.count = 1, .reusable = true}, SHIFT(303),
  [349] = {.count = 1, .reusable = true}, SHIFT(357),
  [351] = {.count = 1, .reusable = true}, SHIFT(551),
  [353] = {.count = 1, .reusable = false}, SHIFT(551),
  [355] = {.count = 1, .reusable = true}, SHIFT(446),
  [357] = {.count = 1, .reusable = true}, SHIFT(557),
  [359] = {.count = 1, .reusable = false}, SHIFT(557),
  [361] = {.count = 1, .reusable = true}, SHIFT(439),
  [363] = {.count = 1, .reusable = true}, SHIFT(595),
  [365] = {.count = 1, .reusable = false}, SHIFT(595),
  [367] = {.count = 1, .reusable = false}, SHIFT(223),
  [369] = {.count = 1, .reusable = true}, SHIFT(554),
  [371] = {.count = 1, .reusable = false}, SHIFT(554),
  [373] = {.count = 1, .reusable = true}, SHIFT(336),
  [375] = {.count = 1, .reusable = true}, SHIFT(530),
  [377] = {.count = 1, .reusable = true}, SHIFT(324),
  [379] = {.count = 1, .reusable = false}, SHIFT(584),
  [381] = {.count = 1, .reusable = true}, SHIFT(201),
  [383] = {.count = 1, .reusable = true}, SHIFT(905),
  [385] = {.count = 1, .reusable = true}, SHIFT(245),
  [387] = {.count = 1, .reusable = true}, SHIFT(179),
  [389] = {.count = 1, .reusable = true}, SHIFT(561),
  [391] = {.count = 1, .reusable = false}, SHIFT(561),
  [393] = {.count = 1, .reusable = true}, SHIFT(330),
  [395] = {.count = 1, .reusable = true}, SHIFT(567),
  [397] = {.count = 1, .reusable = false}, SHIFT(567),
  [399] = {.count = 1, .reusable = true}, SHIFT(517),
  [401] = {.count = 1, .reusable = true}, SHIFT(536),
  [403] = {.count = 1, .reusable = false}, SHIFT(536),
  [405] = {.count = 1, .reusable = true}, SHIFT(317),
  [407] = {.count = 1, .reusable = true}, SHIFT(608),
  [409] = {.count = 1, .reusable = false}, SHIFT(608),
  [411] = {.count = 1, .reusable = true}, SHIFT(247),
  [413] = {.count = 1, .reusable = true}, SHIFT(169),
  [415] = {.count = 1, .reusable = true}, SHIFT(170),
  [417] = {.count = 1, .reusable = true}, SHIFT(209),
  [419] = {.count = 1, .reusable = true}, SHIFT(471),
  [421] = {.count = 1, .reusable = true}, SHIFT(1057),
  [423] = {.count = 1, .reusable = true}, SHIFT(321),
  [425] = {.count = 1, .reusable = true}, SHIFT(626),
  [427] = {.count = 1, .reusable = false}, SHIFT(626),
  [429] = {.count = 1, .reusable = true}, SHIFT(322),
  [431] = {.count = 1, .reusable = true}, SHIFT(622),
  [433] = {.count = 1, .reusable = false}, SHIFT(622),
  [435] = {.count = 1, .reusable = true}, SHIFT(341),
  [437] = {.count = 1, .reusable = true}, SHIFT(461),
  [439] = {.count = 1, .reusable = true}, SHIFT(21),
  [441] = {.count = 1, .reusable = true}, SHIFT(663),
  [443] = {.count = 1, .reusable = false}, SHIFT(663),
  [445] = {.count = 1, .reusable = true}, SHIFT(383),
  [447] = {.count = 1, .reusable = true}, SHIFT(620),
  [449] = {.count = 1, .reusable = false}, SHIFT(620),
  [451] = {.count = 1, .reusable = true}, SHIFT(360),
  [453] = {.count = 1, .reusable = true}, SHIFT(414),
  [455] = {.count = 1, .reusable = true}, SHIFT(621),
  [457] = {.count = 1, .reusable = false}, SHIFT(621),
  [459] = {.count = 1, .reusable = false}, SHIFT(388),
  [461] = {.count = 1, .reusable = true}, SHIFT(258),
  [463] = {.count = 1, .reusable = false}, SHIFT(1210),
  [465] = {.count = 1, .reusable = true}, SHIFT(255),
  [467] = {.count = 1, .reusable = true}, SHIFT(163),
  [469] = {.count = 1, .reusable = false}, SHIFT(390),
  [471] = {.count = 1, .reusable = true}, SHIFT(200),
  [473] = {.count = 1, .reusable = true}, SHIFT(389),
  [475] = {.count = 1, .reusable = true}, SHIFT(1022),
  [477] = {.count = 1, .reusable = false}, SHIFT(389),
  [479] = {.count = 1, .reusable = true}, SHIFT(384),
  [481] = {.count = 1, .reusable = true}, SHIFT(628),
  [483] = {.count = 1, .reusable = false}, SHIFT(628),
  [485] = {.count = 1, .reusable = true}, SHIFT(380),
  [487] = {.count = 1, .reusable = true}, SHIFT(296),
  [489] = {.count = 1, .reusable = true}, SHIFT(293),
  [491] = {.count = 1, .reusable = true}, SHIFT(605),
  [493] = {.count = 1, .reusable = false}, SHIFT(605),
  [495] = {.count = 1, .reusable = true}, SHIFT(552),
  [497] = {.count = 1, .reusable = true}, SHIFT(600),
  [499] = {.count = 1, .reusable = false}, SHIFT(600),
  [501] = {.count = 1, .reusable = true}, SHIFT(729),
  [503] = {.count = 1, .reusable = true}, SHIFT(641),
  [505] = {.count = 1, .reusable = false}, SHIFT(641),
  [507] = {.count = 1, .reusable = true}, SHIFT(556),
  [509] = {.count = 1, .reusable = true}, SHIFT(275),
  [511] = {.count = 1, .reusable = true}, SHIFT(289),
  [513] = {.count = 1, .reusable = true}, SHIFT(616),
  [515] = {.count = 1, .reusable = false}, SHIFT(616),
  [517] = {.count = 1, .reusable = true}, SHIFT(574),
  [519] = {.count = 1, .reusable = true}, SHIFT(612),
  [521] = {.count = 1, .reusable = false}, SHIFT(612),
  [523] = {.count = 1, .reusable = true}, SHIFT(575),
  [525] = {.count = 1, .reusable = true}, SHIFT(429),
  [527] = {.count = 1, .reusable = true}, SHIFT(614),
  [529] = {.count = 1, .reusable = false}, SHIFT(614),
  [531] = {.count = 1, .reusable = true}, SHIFT(22),
  [533] = {.count = 1, .reusable = true}, SHIFT(642),
  [535] = {.count = 1, .reusable = false}, SHIFT(642),
  [537] = {.count = 1, .reusable = true}, SHIFT(513),
  [539] = {.count = 1, .reusable = true}, SHIFT(520),
  [541] = {.count = 1, .reusable = true}, SHIFT(609),
  [543] = {.count = 1, .reusable = false}, SHIFT(609),
  [545] = {.count = 1, .reusable = true}, SHIFT(448),
  [547] = {.count = 1, .reusable = true}, SHIFT(632),
  [549] = {.count = 1, .reusable = false}, SHIFT(632),
  [551] = {.count = 1, .reusable = true}, SHIFT(529),
  [553] = {.count = 1, .reusable = true}, SHIFT(701),
  [555] = {.count = 1, .reusable = true}, SHIFT(639),
  [557] = {.count = 1, .reusable = false}, SHIFT(639),
  [559] = {.count = 1, .reusable = true}, SHIFT(580),
  [561] = {.count = 1, .reusable = false}, SHIFT(580),
  [563] = {.count = 1, .reusable = true}, SHIFT(525),
  [565] = {.count = 1, .reusable = true}, SHIFT(634),
  [567] = {.count = 1, .reusable = false}, SHIFT(634),
  [569] = {.count = 1, .reusable = true}, SHIFT(591),
  [571] = {.count = 1, .reusable = false}, SHIFT(591),
  [573] = {.count = 1, .reusable = true}, SHIFT(111),
  [575] = {.count = 1, .reusable = true}, SHIFT(611),
  [577] = {.count = 1, .reusable = false}, SHIFT(611),
  [579] = {.count = 1, .reusable = true}, SHIFT(418),
  [581] = {.count = 1, .reusable = true}, SHIFT(119),
  [583] = {.count = 1, .reusable = true}, SHIFT(597),
  [585] = {.count = 1, .reusable = false}, SHIFT(597),
  [587] = {.count = 1, .reusable = true}, SHIFT(738),
  [589] = {.count = 1, .reusable = true}, SHIFT(666),
  [591] = {.count = 1, .reusable = false}, SHIFT(666),
  [593] = {.count = 1, .reusable = true}, SHIFT(100),
  [595] = {.count = 1, .reusable = true}, SHIFT(618),
  [597] = {.count = 1, .reusable = false}, SHIFT(618),
  [599] = {.count = 1, .reusable = true}, SHIFT(78),
  [601] = {.count = 1, .reusable = true}, SHIFT(624),
  [603] = {.count = 1, .reusable = false}, SHIFT(624),
  [605] = {.count = 1, .reusable = true}, SHIFT(87),
  [607] = {.count = 1, .reusable = true}, SHIFT(613),
  [609] = {.count = 1, .reusable = false}, SHIFT(613),
  [611] = {.count = 1, .reusable = true}, SHIFT(436),
  [613] = {.count = 1, .reusable = true}, SHIFT(437),
  [615] = {.count = 1, .reusable = true}, SHIFT(623),
  [617] = {.count = 1, .reusable = false}, SHIFT(623),
  [619] = {.count = 1, .reusable = true}, SHIFT(402),
  [621] = {.count = 1, .reusable = true}, SHIFT(96),
  [623] = {.count = 1, .reusable = true}, SHIFT(598),
  [625] = {.count = 1, .reusable = false}, SHIFT(598),
  [627] = {.count = 1, .reusable = true}, SHIFT(90),
  [629] = {.count = 1, .reusable = true}, SHIFT(619),
  [631] = {.count = 1, .reusable = false}, SHIFT(619),
  [633] = {.count = 1, .reusable = true}, SHIFT(311),
  [635] = {.count = 1, .reusable = false}, SHIFT(311),
  [637] = {.count = 1, .reusable = true}, SHIFT(653),
  [639] = {.count = 1, .reusable = false}, SHIFT(653),
  [641] = {.count = 1, .reusable = true}, SHIFT(398),
  [643] = {.count = 1, .reusable = false}, SHIFT(398),
  [645] = {.count = 1, .reusable = true}, SHIFT(617),
  [647] = {.count = 1, .reusable = false}, SHIFT(617),
  [649] = {.count = 1, .reusable = true}, SHIFT(588),
  [651] = {.count = 1, .reusable = false}, SHIFT(588),
  [653] = {.count = 1, .reusable = true}, SHIFT(656),
  [655] = {.count = 1, .reusable = false}, SHIFT(656),
  [657] = {.count = 1, .reusable = true}, SHIFT(615),
  [659] = {.count = 1, .reusable = false}, SHIFT(615),
  [661] = {.count = 1, .reusable = true}, SHIFT(596),
  [663] = {.count = 1, .reusable = false}, SHIFT(596),
  [665] = {.count = 1, .reusable = true}, SHIFT(589),
  [667] = {.count = 1, .reusable = false}, SHIFT(589),
  [669] = {.count = 1, .reusable = true}, SHIFT(182),
  [671] = {.count = 1, .reusable = true}, SHIFT(654),
  [673] = {.count = 1, .reusable = false}, SHIFT(654),
  [675] = {.count = 1, .reusable = true}, SHIFT(392),
  [677] = {.count = 1, .reusable = false}, SHIFT(392),
  [679] = {.count = 1, .reusable = true}, SHIFT(391),
  [681] = {.count = 1, .reusable = false}, SHIFT(391),
  [683] = {.count = 1, .reusable = true}, SHIFT(397),
  [685] = {.count = 1, .reusable = false}, SHIFT(397),
  [687] = {.count = 1, .reusable = true}, SHIFT(393),
  [689] = {.count = 1, .reusable = false}, SHIFT(393),
  [691] = {.count = 1, .reusable = true}, SHIFT(394),
  [693] = {.count = 1, .reusable = false}, SHIFT(394),
  [695] = {.count = 1, .reusable = true}, SHIFT(395),
  [697] = {.count = 1, .reusable = false}, SHIFT(395),
  [699] = {.count = 1, .reusable = true}, SHIFT(396),
  [701] = {.count = 1, .reusable = false}, SHIFT(396),
  [703] = {.count = 1, .reusable = true}, SHIFT(599),
  [705] = {.count = 1, .reusable = false}, SHIFT(599),
  [707] = {.count = 1, .reusable = true}, SHIFT(486),
  [709] = {.count = 1, .reusable = false}, SHIFT(486),
  [711] = {.count = 1, .reusable = false}, SHIFT(689),
  [713] = {.count = 1, .reusable = true}, SHIFT(399),
  [715] = {.count = 1, .reusable = false}, SHIFT(399),
  [717] = {.count = 1, .reusable = true}, SHIFT(586),
  [719] = {.count = 1, .reusable = false}, SHIFT(586),
  [721] = {.count = 1, .reusable = true}, SHIFT(585),
  [723] = {.count = 1, .reusable = false}, SHIFT(585),
  [725] = {.count = 1, .reusable = true}, SHIFT(482),
  [727] = {.count = 1, .reusable = false}, SHIFT(482),
  [729] = {.count = 1, .reusable = true}, SHIFT(660),
  [731] = {.count = 1, .reusable = false}, SHIFT(660),
  [733] = {.count = 1, .reusable = true}, SHIFT(497),
  [735] = {.count = 1, .reusable = false}, SHIFT(497),
  [737] = {.count = 1, .reusable = true}, SHIFT(498),
  [739] = {.count = 1, .reusable = false}, SHIFT(498),
  [741] = {.count = 1, .reusable = true}, SHIFT(499),
  [743] = {.count = 1, .reusable = false}, SHIFT(499),
  [745] = {.count = 1, .reusable = true}, SHIFT(503),
  [747] = {.count = 1, .reusable = false}, SHIFT(503),
  [749] = {.count = 1, .reusable = true}, SHIFT(533),
  [751] = {.count = 1, .reusable = false}, SHIFT(533),
  [753] = {.count = 1, .reusable = true}, SHIFT(475),
  [755] = {.count = 1, .reusable = false}, SHIFT(475),
  [757] = {.count = 1, .reusable = true}, SHIFT(526),
  [759] = {.count = 1, .reusable = false}, SHIFT(526),
  [761] = {.count = 1, .reusable = true}, SHIFT(477),
  [763] = {.count = 1, .reusable = false}, SHIFT(477),
  [765] = {.count = 1, .reusable = true}, SHIFT(473),
  [767] = {.count = 1, .reusable = false}, SHIFT(473),
  [769] = {.count = 1, .reusable = true}, SHIFT(474),
  [771] = {.count = 1, .reusable = false}, SHIFT(474),
  [773] = {.count = 1, .reusable = true}, SHIFT(658),
  [775] = {.count = 1, .reusable = false}, SHIFT(658),
  [777] = {.count = 1, .reusable = false}, SHIFT(347),
  [779] = {.count = 1, .reusable = true}, SHIFT(199),
  [781] = {.count = 1, .reusable = false}, SHIFT(1172),
  [783] = {.count = 1, .reusable = true}, SHIFT(194),
  [785] = {.count = 1, .reusable = true}, SHIFT(198),
  [787] = {.count = 1, .reusable = false}, SHIFT(350),
  [789] = {.count = 1, .reusable = true}, SHIFT(251),
  [791] = {.count = 1, .reusable = true}, SHIFT(355),
  [793] = {.count = 1, .reusable = true}, SHIFT(1004),
  [795] = {.count = 1, .reusable = false}, SHIFT(355),
  [797] = {.count = 1, .reusable = true}, SHIFT(354),
  [799] = {.count = 1, .reusable = false}, SHIFT(354),
  [801] = {.count = 1, .reusable = true}, SHIFT(353),
  [803] = {.count = 1, .reusable = false}, SHIFT(353),
  [805] = {.count = 1, .reusable = true}, SHIFT(352),
  [807] = {.count = 1, .reusable = false}, SHIFT(352),
  [809] = {.count = 1, .reusable = true}, SHIFT(648),
  [811] = {.count = 1, .reusable = false}, SHIFT(648),
  [813] = {.count = 1, .reusable = true}, SHIFT(348),
  [815] = {.count = 1, .reusable = false}, SHIFT(348),
  [817] = {.count = 1, .reusable = true}, SHIFT(610),
  [819] = {.count = 1, .reusable = false}, SHIFT(610),
  [821] = {.count = 1, .reusable = true}, SHIFT(349),
  [823] = {.count = 1, .reusable = false}, SHIFT(349),
  [825] = {.count = 1, .reusable = true}, SHIFT(511),
  [827] = {.count = 1, .reusable = false}, SHIFT(511),
  [829] = {.count = 1, .reusable = true}, SHIFT(510),
  [831] = {.count = 1, .reusable = false}, SHIFT(510),
  [833] = {.count = 1, .reusable = true}, SHIFT(659),
  [835] = {.count = 1, .reusable = false}, SHIFT(659),
  [837] = {.count = 1, .reusable = true}, SHIFT(308),
  [839] = {.count = 1, .reusable = false}, SHIFT(308),
  [841] = {.count = 1, .reusable = true}, SHIFT(665),
  [843] = {.count = 1, .reusable = false}, SHIFT(665),
  [845] = {.count = 1, .reusable = true}, SHIFT(680),
  [847] = {.count = 1, .reusable = false}, SHIFT(680),
  [849] = {.count = 1, .reusable = true}, SHIFT(670),
  [851] = {.count = 1, .reusable = false}, SHIFT(670),
  [853] = {.count = 1, .reusable = true}, SHIFT(629),
  [855] = {.count = 1, .reusable = false}, SHIFT(629),
  [857] = {.count = 1, .reusable = true}, SHIFT(638),
  [859] = {.count = 1, .reusable = false}, SHIFT(638),
  [861] = {.count = 1, .reusable = true}, SHIFT(644),
  [863] = {.count = 1, .reusable = false}, SHIFT(644),
  [865] = {.count = 1, .reusable = true}, SHIFT(671),
  [867] = {.count = 1, .reusable = false}, SHIFT(671),
  [869] = {.count = 1, .reusable = true}, SHIFT(669),
  [871] = {.count = 1, .reusable = false}, SHIFT(669),
  [873] = {.count = 1, .reusable = true}, SHIFT(484),
  [875] = {.count = 1, .reusable = false}, SHIFT(484),
  [877] = {.count = 1, .reusable = true}, SHIFT(489),
  [879] = {.count = 1, .reusable = false}, SHIFT(489),
  [881] = {.count = 1, .reusable = true}, SHIFT(490),
  [883] = {.count = 1, .reusable = false}, SHIFT(490),
  [885] = {.count = 1, .reusable = true}, SHIFT(491),
  [887] = {.count = 1, .reusable = false}, SHIFT(491),
  [889] = {.count = 1, .reusable = true}, SHIFT(492),
  [891] = {.count = 1, .reusable = false}, SHIFT(492),
  [893] = {.count = 1, .reusable = true}, SHIFT(633),
  [895] = {.count = 1, .reusable = false}, SHIFT(633),
  [897] = {.count = 1, .reusable = true}, SHIFT(672),
  [899] = {.count = 1, .reusable = false}, SHIFT(672),
  [901] = {.count = 1, .reusable = true}, SHIFT(657),
  [903] = {.count = 1, .reusable = false}, SHIFT(657),
  [905] = {.count = 1, .reusable = true}, SHIFT(664),
  [907] = {.count = 1, .reusable = false}, SHIFT(664),
  [909] = {.count = 1, .reusable = true}, SHIFT(661),
  [911] = {.count = 1, .reusable = false}, SHIFT(661),
  [913] = {.count = 1, .reusable = true}, SHIFT(630),
  [915] = {.count = 1, .reusable = false}, SHIFT(630),
  [917] = {.count = 1, .reusable = false}, SHIFT(262),
  [919] = {.count = 1, .reusable = true}, SHIFT(264),
  [921] = {.count = 1, .reusable = false}, SHIFT(264),
  [923] = {.count = 1, .reusable = true}, SHIFT(496),
  [925] = {.count = 1, .reusable = false}, SHIFT(496),
  [927] = {.count = 1, .reusable = true}, SHIFT(649),
  [929] = {.count = 1, .reusable = false}, SHIFT(649),
  [931] = {.count = 1, .reusable = true}, SHIFT(351),
  [933] = {.count = 1, .reusable = false}, SHIFT(351),
  [935] = {.count = 1, .reusable = true}, SHIFT(270),
  [937] = {.count = 1, .reusable = false}, SHIFT(270),
  [939] = {.count = 1, .reusable = true}, SHIFT(502),
  [941] = {.count = 1, .reusable = false}, SHIFT(502),
  [943] = {.count = 1, .reusable = true}, SHIFT(581),
  [945] = {.count = 1, .reusable = false}, SHIFT(581),
  [947] = {.count = 1, .reusable = true}, SHIFT(635),
  [949] = {.count = 1, .reusable = false}, SHIFT(635),
  [951] = {.count = 1, .reusable = true}, SHIFT(265),
  [953] = {.count = 1, .reusable = false}, SHIFT(265),
  [955] = {.count = 1, .reusable = true}, SHIFT(268),
  [957] = {.count = 1, .reusable = false}, SHIFT(268),
  [959] = {.count = 1, .reusable = true}, SHIFT(267),
  [961] = {.count = 1, .reusable = false}, SHIFT(267),
  [963] = {.count = 1, .reusable = true}, SHIFT(266),
  [965] = {.count = 1, .reusable = false}, SHIFT(266),
  [967] = {.count = 1, .reusable = true}, SHIFT(582),
  [969] = {.count = 1, .reusable = false}, SHIFT(582),
  [971] = {.count = 1, .reusable = true}, SHIFT(601),
  [973] = {.count = 1, .reusable = false}, SHIFT(601),
  [975] = {.count = 1, .reusable = true}, SHIFT(583),
  [977] = {.count = 1, .reusable = false}, SHIFT(583),
  [979] = {.count = 1, .reusable = true}, SHIFT(590),
  [981] = {.count = 1, .reusable = false}, SHIFT(590),
  [983] = {.count = 1, .reusable = true}, SHIFT(655),
  [985] = {.count = 1, .reusable = false}, SHIFT(655),
  [987] = {.count = 1, .reusable = true}, SHIFT(310),
  [989] = {.count = 1, .reusable = false}, SHIFT(310),
  [991] = {.count = 1, .reusable = true}, SHIFT(668),
  [993] = {.count = 1, .reusable = false}, SHIFT(668),
  [995] = {.count = 1, .reusable = true}, SHIFT(312),
  [997] = {.count = 1, .reusable = false}, SHIFT(312),
  [999] = {.count = 1, .reusable = true}, SHIFT(313),
  [1001] = {.count = 1, .reusable = false}, SHIFT(313),
  [1003] = {.count = 1, .reusable = true}, SHIFT(314),
  [1005] = {.count = 1, .reusable = false}, SHIFT(314),
  [1007] = {.count = 1, .reusable = true}, SHIFT(636),
  [1009] = {.count = 1, .reusable = false}, SHIFT(636),
  [1011] = {.count = 1, .reusable = true}, SHIFT(647),
  [1013] = {.count = 1, .reusable = false}, SHIFT(647),
  [1015] = {.count = 1, .reusable = true}, SHIFT(662),
  [1017] = {.count = 1, .reusable = false}, SHIFT(662),
  [1019] = {.count = 1, .reusable = true}, SHIFT(606),
  [1021] = {.count = 1, .reusable = false}, SHIFT(606),
  [1023] = {.count = 1, .reusable = true}, SHIFT(652),
  [1025] = {.count = 1, .reusable = false}, SHIFT(652),
  [1027] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [1029] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [1031] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(1280),
  [1034] = {.count = 2, .reusable = false}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 6), REDUCE(sym__expression, 1),
  [1037] = {.count = 1, .reusable = false}, SHIFT(42),
  [1039] = {.count = 1, .reusable = false}, SHIFT(18),
  [1041] = {.count = 1, .reusable = false}, SHIFT(16),
  [1043] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statement, 1),
  [1045] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statement, 1),
  [1047] = {.count = 1, .reusable = false}, SHIFT(1155),
  [1049] = {.count = 1, .reusable = false}, SHIFT(59),
  [1051] = {.count = 1, .reusable = false}, SHIFT(230),
  [1053] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 1),
  [1055] = {.count = 1, .reusable = false}, SHIFT(231),
  [1057] = {.count = 1, .reusable = false}, SHIFT(128),
  [1059] = {.count = 1, .reusable = false}, SHIFT(227),
  [1061] = {.count = 1, .reusable = false}, SHIFT(955),
  [1063] = {.count = 1, .reusable = false}, SHIFT(956),
  [1065] = {.count = 1, .reusable = false}, SHIFT(236),
  [1067] = {.count = 1, .reusable = false}, SHIFT(237),
  [1069] = {.count = 1, .reusable = false}, SHIFT(238),
  [1071] = {.count = 1, .reusable = false}, SHIFT(239),
  [1073] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2, .production_id = 21),
  [1075] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2, .production_id = 21),
  [1077] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3, .production_id = 38),
  [1079] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3, .production_id = 38),
  [1081] = {.count = 1, .reusable = false}, SHIFT(725),
  [1083] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1085] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1087] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2, .production_id = 22),
  [1089] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2, .production_id = 22),
  [1091] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 2),
  [1093] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 2),
  [1095] = {.count = 1, .reusable = true}, REDUCE(sym_index_expression, 4, .production_id = 55),
  [1097] = {.count = 1, .reusable = false}, REDUCE(sym_index_expression, 4, .production_id = 55),
  [1099] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 4),
  [1101] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 4),
  [1103] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 4),
  [1105] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 4),
  [1107] = {.count = 1, .reusable = true}, SHIFT(1182),
  [1109] = {.count = 1, .reusable = true}, SHIFT(75),
  [1111] = {.count = 1, .reusable = true}, SHIFT(230),
  [1113] = {.count = 1, .reusable = false}, SHIFT(250),
  [1115] = {.count = 1, .reusable = true}, SHIFT(130),
  [1117] = {.count = 1, .reusable = true}, SHIFT(146),
  [1119] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 1),
  [1121] = {.count = 1, .reusable = true}, SHIFT(1179),
  [1123] = {.count = 1, .reusable = true}, SHIFT(1181),
  [1125] = {.count = 1, .reusable = false}, SHIFT(249),
  [1127] = {.count = 1, .reusable = true}, SHIFT(248),
  [1129] = {.count = 1, .reusable = false}, SHIFT(248),
  [1131] = {.count = 1, .reusable = true}, SHIFT(143),
  [1133] = {.count = 1, .reusable = true}, SHIFT(246),
  [1135] = {.count = 1, .reusable = true}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 53),
  [1137] = {.count = 1, .reusable = false}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 53),
  [1139] = {.count = 1, .reusable = true}, REDUCE(sym_selector_expression, 3, .production_id = 37),
  [1141] = {.count = 1, .reusable = false}, REDUCE(sym_selector_expression, 3, .production_id = 37),
  [1143] = {.count = 1, .reusable = true}, REDUCE(sym_func_literal, 4, .production_id = 51),
  [1145] = {.count = 1, .reusable = false}, REDUCE(sym_func_literal, 4, .production_id = 51),
  [1147] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 3),
  [1149] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 3),
  [1151] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 3),
  [1153] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 3),
  [1155] = {.count = 1, .reusable = true}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 53),
  [1157] = {.count = 1, .reusable = false}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 53),
  [1159] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [1161] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [1163] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2),
  [1165] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2),
  [1167] = {.count = 1, .reusable = true}, REDUCE(sym_type_assertion_expression, 5, .production_id = 69),
  [1169] = {.count = 1, .reusable = false}, REDUCE(sym_type_assertion_expression, 5, .production_id = 69),
  [1171] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [1173] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [1175] = {.count = 1, .reusable = true}, REDUCE(sym_block, 3),
  [1177] = {.count = 1, .reusable = false}, REDUCE(sym_block, 3),
  [1179] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 4, .production_id = 54),
  [1181] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 4, .production_id = 54),
  [1183] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4),
  [1185] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4),
  [1187] = {.count = 1, .reusable = true}, REDUCE(sym_interpreted_string_literal, 3),
  [1189] = {.count = 1, .reusable = false}, REDUCE(sym_interpreted_string_literal, 3),
  [1191] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 5, .production_id = 70),
  [1193] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 5, .production_id = 70),
  [1195] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 5, .production_id = 71),
  [1197] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 5, .production_id = 71),
  [1199] = {.count = 1, .reusable = true}, REDUCE(sym_composite_literal, 2, .production_id = 24),
  [1201] = {.count = 1, .reusable = false}, REDUCE(sym_composite_literal, 2, .production_id = 24),
  [1203] = {.count = 1, .reusable = true}, REDUCE(sym_interpreted_string_literal, 2),
  [1205] = {.count = 1, .reusable = false}, REDUCE(sym_interpreted_string_literal, 2),
  [1207] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 5),
  [1209] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 5),
  [1211] = {.count = 1, .reusable = true}, REDUCE(sym_composite_literal, 2, .production_id = 23),
  [1213] = {.count = 1, .reusable = false}, REDUCE(sym_composite_literal, 2, .production_id = 23),
  [1215] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 5),
  [1217] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 5),
  [1219] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 8, .production_id = 91),
  [1221] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 8, .production_id = 91),
  [1223] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 7, .production_id = 87),
  [1225] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 7, .production_id = 87),
  [1227] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 6, .production_id = 78),
  [1229] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 6, .production_id = 78),
  [1231] = {.count = 1, .reusable = true}, REDUCE(sym_func_literal, 3, .production_id = 36),
  [1233] = {.count = 1, .reusable = false}, REDUCE(sym_func_literal, 3, .production_id = 36),
  [1235] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 5),
  [1237] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 5),
  [1239] = {.count = 1, .reusable = true}, SHIFT(1215),
  [1241] = {.count = 1, .reusable = true}, SHIFT(926),
  [1243] = {.count = 1, .reusable = true}, SHIFT(700),
  [1245] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(1280),
  [1248] = {.count = 2, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 6), REDUCE(sym__expression, 1),
  [1251] = {.count = 1, .reusable = true}, SHIFT(171),
  [1253] = {.count = 1, .reusable = true}, SHIFT(37),
  [1255] = {.count = 1, .reusable = true}, SHIFT(1164),
  [1257] = {.count = 1, .reusable = true}, SHIFT(65),
  [1259] = {.count = 1, .reusable = true}, SHIFT(131),
  [1261] = {.count = 1, .reusable = true}, SHIFT(695),
  [1263] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1265] = {.count = 1, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1267] = {.count = 1, .reusable = false}, SHIFT(191),
  [1269] = {.count = 1, .reusable = false}, SHIFT(189),
  [1271] = {.count = 1, .reusable = true}, SHIFT(188),
  [1273] = {.count = 1, .reusable = false}, SHIFT(188),
  [1275] = {.count = 1, .reusable = true}, SHIFT(187),
  [1277] = {.count = 1, .reusable = true}, SHIFT(186),
  [1279] = {.count = 1, .reusable = false}, SHIFT(33),
  [1281] = {.count = 1, .reusable = false}, SHIFT(1211),
  [1283] = {.count = 1, .reusable = false}, SHIFT(66),
  [1285] = {.count = 1, .reusable = false}, SHIFT(154),
  [1287] = {.count = 1, .reusable = false}, SHIFT(155),
  [1289] = {.count = 1, .reusable = false}, SHIFT(141),
  [1291] = {.count = 1, .reusable = false}, SHIFT(157),
  [1293] = {.count = 1, .reusable = false}, SHIFT(158),
  [1295] = {.count = 1, .reusable = false}, SHIFT(159),
  [1297] = {.count = 1, .reusable = false}, SHIFT(160),
  [1299] = {.count = 1, .reusable = false}, SHIFT(735),
  [1301] = {.count = 1, .reusable = false}, SHIFT(1191),
  [1303] = {.count = 1, .reusable = true}, SHIFT(63),
  [1305] = {.count = 1, .reusable = true}, SHIFT(123),
  [1307] = {.count = 1, .reusable = true}, SHIFT(706),
  [1309] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 1, .production_id = 3),
  [1311] = {.count = 1, .reusable = false}, SHIFT(867),
  [1313] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 1, .production_id = 3),
  [1315] = {.count = 1, .reusable = false}, SHIFT(749),
  [1317] = {.count = 1, .reusable = false}, SHIFT(1230),
  [1319] = {.count = 1, .reusable = false}, SHIFT(101),
  [1321] = {.count = 1, .reusable = false}, SHIFT(736),
  [1323] = {.count = 1, .reusable = false}, SHIFT(97),
  [1325] = {.count = 1, .reusable = false}, SHIFT(1238),
  [1327] = {.count = 1, .reusable = false}, SHIFT(734),
  [1329] = {.count = 1, .reusable = false}, SHIFT(1242),
  [1331] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 2, .production_id = 7),
  [1333] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 2, .production_id = 7),
  [1335] = {.count = 1, .reusable = false}, SHIFT(113),
  [1337] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 3, .production_id = 10),
  [1339] = {.count = 1, .reusable = false}, SHIFT(776),
  [1341] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 3, .production_id = 10),
  [1343] = {.count = 1, .reusable = false}, SHIFT(594),
  [1345] = {.count = 1, .reusable = false}, SHIFT(1198),
  [1347] = {.count = 1, .reusable = false}, SHIFT(694),
  [1349] = {.count = 1, .reusable = false}, SHIFT(116),
  [1351] = {.count = 1, .reusable = false}, SHIFT(1156),
  [1353] = {.count = 1, .reusable = false}, SHIFT(10),
  [1355] = {.count = 1, .reusable = false}, SHIFT(1161),
  [1357] = {.count = 1, .reusable = false}, SHIFT(1297),
  [1359] = {.count = 1, .reusable = false}, SHIFT(712),
  [1361] = {.count = 1, .reusable = false}, SHIFT(1281),
  [1363] = {.count = 1, .reusable = true}, REDUCE(sym_function_type, 2, .production_id = 13),
  [1365] = {.count = 1, .reusable = false}, REDUCE(sym_function_type, 2, .production_id = 13),
  [1367] = {.count = 2, .reusable = false}, REDUCE(sym_function_type, 2, .production_id = 13), SHIFT(1198),
  [1370] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 4, .production_id = 19),
  [1372] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 4, .production_id = 19),
  [1374] = {.count = 1, .reusable = false}, SHIFT(1175),
  [1376] = {.count = 1, .reusable = false}, SHIFT(76),
  [1378] = {.count = 1, .reusable = false}, SHIFT(162),
  [1380] = {.count = 1, .reusable = false}, SHIFT(215),
  [1382] = {.count = 1, .reusable = false}, SHIFT(126),
  [1384] = {.count = 1, .reusable = false}, SHIFT(216),
  [1386] = {.count = 1, .reusable = false}, SHIFT(217),
  [1388] = {.count = 1, .reusable = false}, SHIFT(218),
  [1390] = {.count = 1, .reusable = false}, SHIFT(219),
  [1392] = {.count = 1, .reusable = false}, SHIFT(821),
  [1394] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 1, .production_id = 27),
  [1396] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 1, .production_id = 27),
  [1398] = {.count = 1, .reusable = false}, SHIFT(1269),
  [1400] = {.count = 1, .reusable = false}, SHIFT(744),
  [1402] = {.count = 1, .reusable = false}, SHIFT(1263),
  [1404] = {.count = 1, .reusable = false}, SHIFT(1212),
  [1406] = {.count = 1, .reusable = false}, SHIFT(718),
  [1408] = {.count = 1, .reusable = false}, SHIFT(127),
  [1410] = {.count = 1, .reusable = false}, SHIFT(1203),
  [1412] = {.count = 1, .reusable = false}, SHIFT(1199),
  [1414] = {.count = 1, .reusable = false}, SHIFT(1300),
  [1416] = {.count = 1, .reusable = false}, SHIFT(715),
  [1418] = {.count = 1, .reusable = false}, SHIFT(1245),
  [1420] = {.count = 1, .reusable = false}, SHIFT(1126),
  [1422] = {.count = 1, .reusable = true}, SHIFT(1191),
  [1424] = {.count = 1, .reusable = true}, SHIFT(167),
  [1426] = {.count = 1, .reusable = true}, SHIFT(177),
  [1428] = {.count = 1, .reusable = false}, SHIFT(167),
  [1430] = {.count = 1, .reusable = false}, SHIFT(177),
  [1432] = {.count = 1, .reusable = true}, SHIFT(180),
  [1434] = {.count = 1, .reusable = false}, SHIFT(180),
  [1436] = {.count = 1, .reusable = true}, SHIFT(181),
  [1438] = {.count = 1, .reusable = false}, SHIFT(38),
  [1440] = {.count = 1, .reusable = true}, SHIFT(43),
  [1442] = {.count = 1, .reusable = false}, SHIFT(742),
  [1444] = {.count = 1, .reusable = false}, SHIFT(1239),
  [1446] = {.count = 1, .reusable = false}, SHIFT(106),
  [1448] = {.count = 1, .reusable = false}, SHIFT(1217),
  [1450] = {.count = 1, .reusable = false}, SHIFT(578),
  [1452] = {.count = 1, .reusable = true}, SHIFT(1207),
  [1454] = {.count = 1, .reusable = true}, SHIFT(52),
  [1456] = {.count = 1, .reusable = true}, SHIFT(232),
  [1458] = {.count = 1, .reusable = true}, SHIFT(176),
  [1460] = {.count = 1, .reusable = true}, SHIFT(138),
  [1462] = {.count = 1, .reusable = false}, REDUCE(sym_receive_statement, 1, .production_id = 77),
  [1464] = {.count = 1, .reusable = true}, SHIFT(175),
  [1466] = {.count = 1, .reusable = false}, SHIFT(176),
  [1468] = {.count = 1, .reusable = false}, SHIFT(175),
  [1470] = {.count = 1, .reusable = true}, SHIFT(174),
  [1472] = {.count = 1, .reusable = false}, SHIFT(174),
  [1474] = {.count = 1, .reusable = true}, SHIFT(173),
  [1476] = {.count = 1, .reusable = true}, SHIFT(172),
  [1478] = {.count = 1, .reusable = false}, SHIFT(84),
  [1480] = {.count = 1, .reusable = true}, REDUCE(sym_send_statement, 3, .production_id = 67),
  [1482] = {.count = 1, .reusable = false}, REDUCE(sym_send_statement, 3, .production_id = 67),
  [1484] = {.count = 1, .reusable = true}, SHIFT(183),
  [1486] = {.count = 1, .reusable = true}, REDUCE(sym_defer_statement, 2),
  [1488] = {.count = 1, .reusable = false}, REDUCE(sym_defer_statement, 2),
  [1490] = {.count = 1, .reusable = true}, REDUCE(sym_go_statement, 2),
  [1492] = {.count = 1, .reusable = false}, REDUCE(sym_go_statement, 2),
  [1494] = {.count = 1, .reusable = true}, SHIFT(745),
  [1496] = {.count = 1, .reusable = true}, SHIFT(523),
  [1498] = {.count = 1, .reusable = true}, SHIFT(72),
  [1500] = {.count = 1, .reusable = true}, SHIFT(1206),
  [1502] = {.count = 1, .reusable = true}, SHIFT(233),
  [1504] = {.count = 1, .reusable = true}, SHIFT(234),
  [1506] = {.count = 1, .reusable = false}, SHIFT(233),
  [1508] = {.count = 1, .reusable = false}, SHIFT(234),
  [1510] = {.count = 1, .reusable = true}, SHIFT(240),
  [1512] = {.count = 1, .reusable = false}, SHIFT(240),
  [1514] = {.count = 1, .reusable = true}, SHIFT(242),
  [1516] = {.count = 1, .reusable = true}, SHIFT(243),
  [1518] = {.count = 1, .reusable = true}, SHIFT(587),
  [1520] = {.count = 1, .reusable = true}, SHIFT(736),
  [1522] = {.count = 1, .reusable = true}, SHIFT(97),
  [1524] = {.count = 1, .reusable = true}, SHIFT(1242),
  [1526] = {.count = 1, .reusable = true}, SHIFT(367),
  [1528] = {.count = 1, .reusable = true}, SHIFT(61),
  [1530] = {.count = 1, .reusable = true}, SHIFT(68),
  [1532] = {.count = 1, .reusable = true}, SHIFT(407),
  [1534] = {.count = 1, .reusable = true}, SHIFT(53),
  [1536] = {.count = 1, .reusable = true}, SHIFT(449),
  [1538] = {.count = 1, .reusable = true}, SHIFT(67),
  [1540] = {.count = 1, .reusable = true}, SHIFT(1189),
  [1542] = {.count = 1, .reusable = true}, SHIFT(156),
  [1544] = {.count = 1, .reusable = true}, SHIFT(908),
  [1546] = {.count = 1, .reusable = true}, SHIFT(152),
  [1548] = {.count = 1, .reusable = false}, SHIFT(156),
  [1550] = {.count = 1, .reusable = false}, SHIFT(152),
  [1552] = {.count = 1, .reusable = true}, SHIFT(148),
  [1554] = {.count = 1, .reusable = false}, SHIFT(148),
  [1556] = {.count = 1, .reusable = true}, SHIFT(164),
  [1558] = {.count = 1, .reusable = true}, SHIFT(165),
  [1560] = {.count = 1, .reusable = true}, SHIFT(550),
  [1562] = {.count = 1, .reusable = true}, SHIFT(57),
  [1564] = {.count = 1, .reusable = true}, SHIFT(342),
  [1566] = {.count = 1, .reusable = true}, SHIFT(73),
  [1568] = {.count = 1, .reusable = true}, SHIFT(284),
  [1570] = {.count = 1, .reusable = true}, SHIFT(54),
  [1572] = {.count = 1, .reusable = false}, SHIFT(593),
  [1574] = {.count = 1, .reusable = true}, SHIFT(749),
  [1576] = {.count = 1, .reusable = true}, SHIFT(756),
  [1578] = {.count = 1, .reusable = true}, SHIFT(1254),
  [1580] = {.count = 1, .reusable = true}, SHIFT(699),
  [1582] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1584] = {.count = 1, .reusable = true}, SHIFT(161),
  [1586] = {.count = 1, .reusable = true}, SHIFT(764),
  [1588] = {.count = 1, .reusable = true}, SHIFT(1271),
  [1590] = {.count = 1, .reusable = true}, SHIFT(1190),
  [1592] = {.count = 1, .reusable = true}, REDUCE(sym_element, 1),
  [1594] = {.count = 1, .reusable = true}, SHIFT(56),
  [1596] = {.count = 1, .reusable = false}, SHIFT(1280),
  [1598] = {.count = 1, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 6),
  [1600] = {.count = 2, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 6), SHIFT(1233),
  [1603] = {.count = 1, .reusable = true}, SHIFT(746),
  [1605] = {.count = 1, .reusable = true}, SHIFT(754),
  [1607] = {.count = 1, .reusable = true}, SHIFT(1275),
  [1609] = {.count = 1, .reusable = true}, REDUCE(sym_keyed_element, 3, .production_id = 68),
  [1611] = {.count = 1, .reusable = true}, SHIFT(548),
  [1613] = {.count = 1, .reusable = true}, SHIFT(1227),
  [1615] = {.count = 1, .reusable = true}, SHIFT(528),
  [1617] = {.count = 1, .reusable = true}, SHIFT(110),
  [1619] = {.count = 1, .reusable = true}, SHIFT(555),
  [1621] = {.count = 1, .reusable = true}, SHIFT(102),
  [1623] = {.count = 1, .reusable = true}, SHIFT(566),
  [1625] = {.count = 1, .reusable = true}, SHIFT(149),
  [1627] = {.count = 1, .reusable = true}, SHIFT(522),
  [1629] = {.count = 1, .reusable = true}, SHIFT(1289),
  [1631] = {.count = 1, .reusable = true}, SHIFT(751),
  [1633] = {.count = 1, .reusable = true}, SHIFT(758),
  [1635] = {.count = 1, .reusable = true}, SHIFT(757),
  [1637] = {.count = 1, .reusable = true}, SHIFT(301),
  [1639] = {.count = 1, .reusable = true}, SHIFT(212),
  [1641] = {.count = 1, .reusable = true}, SHIFT(450),
  [1643] = {.count = 1, .reusable = true}, SHIFT(1264),
  [1645] = {.count = 1, .reusable = true}, SHIFT(765),
  [1647] = {.count = 1, .reusable = true}, SHIFT(323),
  [1649] = {.count = 1, .reusable = true}, SHIFT(207),
  [1651] = {.count = 1, .reusable = true}, SHIFT(500),
  [1653] = {.count = 1, .reusable = true}, SHIFT(222),
  [1655] = {.count = 1, .reusable = true}, SHIFT(385),
  [1657] = {.count = 1, .reusable = true}, SHIFT(1266),
  [1659] = {.count = 1, .reusable = true}, SHIFT(447),
  [1661] = {.count = 1, .reusable = true}, SHIFT(134),
  [1663] = {.count = 1, .reusable = true}, SHIFT(572),
  [1665] = {.count = 1, .reusable = true}, SHIFT(244),
  [1667] = {.count = 1, .reusable = true}, SHIFT(356),
  [1669] = {.count = 1, .reusable = true}, SHIFT(92),
  [1671] = {.count = 1, .reusable = true}, SHIFT(423),
  [1673] = {.count = 1, .reusable = true}, SHIFT(210),
  [1675] = {.count = 1, .reusable = true}, SHIFT(426),
  [1677] = {.count = 1, .reusable = true}, SHIFT(1240),
  [1679] = {.count = 1, .reusable = true}, SHIFT(292),
  [1681] = {.count = 1, .reusable = true}, SHIFT(213),
  [1683] = {.count = 1, .reusable = true}, SHIFT(274),
  [1685] = {.count = 1, .reusable = true}, SHIFT(95),
  [1687] = {.count = 1, .reusable = true}, SHIFT(458),
  [1689] = {.count = 1, .reusable = true}, SHIFT(107),
  [1691] = {.count = 1, .reusable = true}, SHIFT(379),
  [1693] = {.count = 1, .reusable = true}, SHIFT(190),
  [1695] = {.count = 1, .reusable = true}, SHIFT(430),
  [1697] = {.count = 1, .reusable = true}, SHIFT(235),
  [1699] = {.count = 1, .reusable = true}, SHIFT(326),
  [1701] = {.count = 1, .reusable = true}, SHIFT(203),
  [1703] = {.count = 1, .reusable = true}, SHIFT(432),
  [1705] = {.count = 1, .reusable = true}, SHIFT(252),
  [1707] = {.count = 1, .reusable = true}, SHIFT(346),
  [1709] = {.count = 1, .reusable = true}, SHIFT(81),
  [1711] = {.count = 1, .reusable = true}, SHIFT(750),
  [1713] = {.count = 1, .reusable = true}, SHIFT(766),
  [1715] = {.count = 1, .reusable = true}, SHIFT(373),
  [1717] = {.count = 1, .reusable = true}, SHIFT(184),
  [1719] = {.count = 1, .reusable = true}, SHIFT(344),
  [1721] = {.count = 1, .reusable = true}, SHIFT(1282),
  [1723] = {.count = 1, .reusable = true}, REDUCE(sym_keyed_element, 3),
  [1725] = {.count = 1, .reusable = true}, SHIFT(438),
  [1727] = {.count = 1, .reusable = true}, SHIFT(253),
  [1729] = {.count = 1, .reusable = true}, SHIFT(283),
  [1731] = {.count = 1, .reusable = true}, SHIFT(1234),
  [1733] = {.count = 1, .reusable = true}, SHIFT(527),
  [1735] = {.count = 1, .reusable = true}, SHIFT(224),
  [1737] = {.count = 1, .reusable = true}, SHIFT(445),
  [1739] = {.count = 1, .reusable = true}, SHIFT(428),
  [1741] = {.count = 1, .reusable = true}, SHIFT(737),
  [1743] = {.count = 1, .reusable = true}, SHIFT(462),
  [1745] = {.count = 1, .reusable = true}, SHIFT(719),
  [1747] = {.count = 1, .reusable = true}, SHIFT(732),
  [1749] = {.count = 1, .reusable = true}, SHIFT(24),
  [1751] = {.count = 1, .reusable = true}, SHIFT(744),
  [1753] = {.count = 1, .reusable = true}, SHIFT(1233),
  [1755] = {.count = 1, .reusable = true}, SHIFT(125),
  [1757] = {.count = 1, .reusable = true}, SHIFT(718),
  [1759] = {.count = 1, .reusable = true}, SHIFT(127),
  [1761] = {.count = 1, .reusable = true}, SHIFT(1245),
  [1763] = {.count = 1, .reusable = true}, SHIFT(340),
  [1765] = {.count = 1, .reusable = true}, SHIFT(136),
  [1767] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec, 2, .production_id = 45),
  [1769] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec, 2, .production_id = 45),
  [1771] = {.count = 1, .reusable = true}, SHIFT(431),
  [1773] = {.count = 1, .reusable = true}, SHIFT(370),
  [1775] = {.count = 1, .reusable = true}, SHIFT(467),
  [1777] = {.count = 2, .reusable = true}, REDUCE(sym_function_type, 2, .production_id = 13), SHIFT(587),
  [1780] = {.count = 1, .reusable = false}, SHIFT(1197),
  [1782] = {.count = 1, .reusable = true}, SHIFT(708),
  [1784] = {.count = 1, .reusable = true}, SHIFT(114),
  [1786] = {.count = 1, .reusable = true}, SHIFT(14),
  [1788] = {.count = 1, .reusable = true}, SHIFT(1241),
  [1790] = {.count = 1, .reusable = true}, SHIFT(717),
  [1792] = {.count = 1, .reusable = true}, SHIFT(121),
  [1794] = {.count = 1, .reusable = true}, SHIFT(694),
  [1796] = {.count = 1, .reusable = true}, SHIFT(116),
  [1798] = {.count = 1, .reusable = true}, SHIFT(1281),
  [1800] = {.count = 1, .reusable = true}, SHIFT(424),
  [1802] = {.count = 1, .reusable = true}, REDUCE(sym_receive_statement, 3, .production_id = 66),
  [1804] = {.count = 1, .reusable = true}, SHIFT(541),
  [1806] = {.count = 1, .reusable = true}, SHIFT(568),
  [1808] = {.count = 1, .reusable = true}, SHIFT(570),
  [1810] = {.count = 1, .reusable = true}, SHIFT(506),
  [1812] = {.count = 1, .reusable = true}, SHIFT(368),
  [1814] = {.count = 1, .reusable = true}, SHIFT(372),
  [1816] = {.count = 1, .reusable = true}, SHIFT(495),
  [1818] = {.count = 1, .reusable = true}, REDUCE(sym_range_clause, 2, .production_id = 64),
  [1820] = {.count = 1, .reusable = true}, SHIFT(23),
  [1822] = {.count = 1, .reusable = true}, REDUCE(sym_range_clause, 4, .production_id = 82),
  [1824] = {.count = 1, .reusable = true}, SHIFT(316),
  [1826] = {.count = 1, .reusable = true}, SHIFT(709),
  [1828] = {.count = 1, .reusable = true}, SHIFT(91),
  [1830] = {.count = 1, .reusable = true}, SHIFT(512),
  [1832] = {.count = 1, .reusable = true}, SHIFT(300),
  [1834] = {.count = 1, .reusable = true}, SHIFT(331),
  [1836] = {.count = 1, .reusable = true}, SHIFT(299),
  [1838] = {.count = 1, .reusable = true}, SHIFT(271),
  [1840] = {.count = 1, .reusable = true}, SHIFT(10),
  [1842] = {.count = 1, .reusable = true}, SHIFT(9),
  [1844] = {.count = 1, .reusable = true}, SHIFT(13),
  [1846] = {.count = 1, .reusable = true}, SHIFT(1263),
  [1848] = {.count = 1, .reusable = true}, SHIFT(12),
  [1850] = {.count = 1, .reusable = true}, SHIFT(1174),
  [1852] = {.count = 1, .reusable = true}, SHIFT(11),
  [1854] = {.count = 1, .reusable = true}, SHIFT(713),
  [1856] = {.count = 1, .reusable = false}, SHIFT(1291),
  [1858] = {.count = 1, .reusable = false}, SHIFT(1279),
  [1860] = {.count = 1, .reusable = false}, SHIFT(1276),
  [1862] = {.count = 1, .reusable = false}, SHIFT(1224),
  [1864] = {.count = 1, .reusable = true}, SHIFT(691),
  [1866] = {.count = 1, .reusable = true}, SHIFT(720),
  [1868] = {.count = 1, .reusable = true}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1870] = {.count = 1, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1872] = {.count = 2, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1230),
  [1875] = {.count = 1, .reusable = false}, SHIFT(727),
  [1877] = {.count = 1, .reusable = false}, SHIFT(739),
  [1879] = {.count = 1, .reusable = true}, SHIFT(711),
  [1881] = {.count = 1, .reusable = true}, SHIFT(731),
  [1883] = {.count = 1, .reusable = true}, SHIFT(693),
  [1885] = {.count = 1, .reusable = false}, SHIFT(723),
  [1887] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 4),
  [1889] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 4),
  [1891] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 5),
  [1893] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 5),
  [1895] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 3),
  [1897] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 3),
  [1899] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 2),
  [1901] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 2),
  [1903] = {.count = 2, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1239),
  [1906] = {.count = 1, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2),
  [1908] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1293),
  [1911] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(811),
  [1914] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1067),
  [1917] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1068),
  [1920] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1069),
  [1923] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1031),
  [1926] = {.count = 1, .reusable = true}, REDUCE(sym_source_file, 1),
  [1928] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(230),
  [1931] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 2),
  [1933] = {.count = 1, .reusable = true}, SHIFT(118),
  [1935] = {.count = 1, .reusable = true}, SHIFT(117),
  [1937] = {.count = 2, .reusable = true}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1233),
  [1940] = {.count = 1, .reusable = true}, SHIFT(69),
  [1942] = {.count = 1, .reusable = true}, SHIFT(70),
  [1944] = {.count = 1, .reusable = true}, SHIFT(142),
  [1946] = {.count = 1, .reusable = true}, SHIFT(83),
  [1948] = {.count = 1, .reusable = true}, SHIFT(79),
  [1950] = {.count = 1, .reusable = true}, SHIFT(139),
  [1952] = {.count = 1, .reusable = true}, SHIFT(122),
  [1954] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [1956] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [1958] = {.count = 2, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2), SHIFT_REPEAT(1263),
  [1961] = {.count = 1, .reusable = false}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 6),
  [1963] = {.count = 1, .reusable = false}, SHIFT(1270),
  [1965] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 5),
  [1967] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 5),
  [1969] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 4),
  [1971] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 4),
  [1973] = {.count = 1, .reusable = true}, REDUCE(sym_map_type, 5, .production_id = 62),
  [1975] = {.count = 1, .reusable = false}, REDUCE(sym_map_type, 5, .production_id = 62),
  [1977] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 4, .production_id = 44),
  [1979] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 4, .production_id = 44),
  [1981] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 4),
  [1983] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 4),
  [1985] = {.count = 1, .reusable = true}, REDUCE(sym_function_type, 3, .production_id = 25),
  [1987] = {.count = 1, .reusable = false}, REDUCE(sym_function_type, 3, .production_id = 25),
  [1989] = {.count = 1, .reusable = true}, REDUCE(sym_channel_type, 3, .production_id = 28),
  [1991] = {.count = 1, .reusable = false}, REDUCE(sym_channel_type, 3, .production_id = 28),
  [1993] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 5, .production_id = 34),
  [1995] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 5, .production_id = 34),
  [1997] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_type, 3),
  [1999] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_type, 3),
  [2001] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 5),
  [2003] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 5),
  [2005] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 5, .production_id = 44),
  [2007] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 5, .production_id = 44),
  [2009] = {.count = 1, .reusable = true}, REDUCE(sym_slice_type, 3, .production_id = 26),
  [2011] = {.count = 1, .reusable = false}, REDUCE(sym_slice_type, 3, .production_id = 26),
  [2013] = {.count = 1, .reusable = true}, REDUCE(sym_struct_type, 2),
  [2015] = {.count = 1, .reusable = false}, REDUCE(sym_struct_type, 2),
  [2017] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_type, 2),
  [2019] = {.count = 1, .reusable = false}, REDUCE(sym_pointer_type, 2),
  [2021] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_name_list_repeat1, 2, .production_id = 58),
  [2023] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2, .production_id = 58),
  [2025] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 2),
  [2027] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 2),
  [2029] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 2),
  [2031] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(154),
  [2034] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_type, 3, .production_id = 29),
  [2036] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_type, 3, .production_id = 29),
  [2038] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 4, .production_id = 17),
  [2040] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 4, .production_id = 17),
  [2042] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 2),
  [2044] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 2),
  [2046] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 3),
  [2048] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 3),
  [2050] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 3, .production_id = 44),
  [2052] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 3, .production_id = 44),
  [2054] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 3),
  [2056] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 3),
  [2058] = {.count = 1, .reusable = true}, REDUCE(sym_array_type, 4, .production_id = 39),
  [2060] = {.count = 1, .reusable = false}, REDUCE(sym_array_type, 4, .production_id = 39),
  [2062] = {.count = 1, .reusable = true}, REDUCE(sym_channel_type, 2, .production_id = 14),
  [2064] = {.count = 1, .reusable = false}, REDUCE(sym_channel_type, 2, .production_id = 14),
  [2066] = {.count = 1, .reusable = true}, REDUCE(sym_interface_type, 2),
  [2068] = {.count = 1, .reusable = false}, REDUCE(sym_interface_type, 2),
  [2070] = {.count = 1, .reusable = false}, SHIFT(1153),
  [2072] = {.count = 1, .reusable = true}, SHIFT(1173),
  [2074] = {.count = 1, .reusable = false}, SHIFT(1152),
  [2076] = {.count = 1, .reusable = true}, SHIFT(836),
  [2078] = {.count = 1, .reusable = true}, SHIFT(1168),
  [2080] = {.count = 1, .reusable = true}, SHIFT(828),
  [2082] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 3, .production_id = 15),
  [2084] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 3, .production_id = 15),
  [2086] = {.count = 1, .reusable = false}, SHIFT(104),
  [2088] = {.count = 2, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1153),
  [2091] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1173),
  [2094] = {.count = 2, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1152),
  [2097] = {.count = 1, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [2099] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1168),
  [2102] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1057),
  [2105] = {.count = 1, .reusable = false}, SHIFT(1074),
  [2107] = {.count = 1, .reusable = false}, SHIFT(1073),
  [2109] = {.count = 1, .reusable = true}, SHIFT(807),
  [2111] = {.count = 1, .reusable = true}, SHIFT(824),
  [2113] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 2, .production_id = 8),
  [2115] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 2, .production_id = 8),
  [2117] = {.count = 1, .reusable = false}, SHIFT(120),
  [2119] = {.count = 1, .reusable = true}, REDUCE(sym_type_alias, 3, .production_id = 20),
  [2121] = {.count = 1, .reusable = false}, REDUCE(sym_type_alias, 3, .production_id = 20),
  [2123] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 3, .production_id = 12),
  [2125] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 3, .production_id = 12),
  [2127] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 2, .production_id = 4),
  [2129] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 2, .production_id = 4),
  [2131] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 4, .production_id = 31),
  [2133] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 4, .production_id = 31),
  [2135] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 4, .production_id = 18),
  [2137] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 4, .production_id = 18),
  [2139] = {.count = 1, .reusable = true}, REDUCE(sym_import_declaration, 2),
  [2141] = {.count = 1, .reusable = false}, REDUCE(sym_import_declaration, 2),
  [2143] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 4, .production_id = 30),
  [2145] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 4, .production_id = 30),
  [2147] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 4),
  [2149] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 4),
  [2151] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 2, .production_id = 5),
  [2153] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 2, .production_id = 5),
  [2155] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 2),
  [2157] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 2),
  [2159] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 1, .production_id = 2),
  [2161] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 1, .production_id = 2),
  [2163] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 2),
  [2165] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 2),
  [2167] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 5, .production_id = 46),
  [2169] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 5, .production_id = 46),
  [2171] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 3),
  [2173] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 3),
  [2175] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec_list, 3),
  [2177] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec_list, 3),
  [2179] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 5, .production_id = 35),
  [2181] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 5, .production_id = 35),
  [2183] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 6, .production_id = 50),
  [2185] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 6, .production_id = 50),
  [2187] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5, .production_id = 33),
  [2189] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5, .production_id = 33),
  [2191] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 3),
  [2193] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 3),
  [2195] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 4, .production_id = 31),
  [2197] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 4, .production_id = 31),
  [2199] = {.count = 1, .reusable = true}, REDUCE(sym_package_clause, 2, .production_id = 1),
  [2201] = {.count = 1, .reusable = false}, REDUCE(sym_package_clause, 2, .production_id = 1),
  [2203] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 2),
  [2205] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 2),
  [2207] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec_list, 2),
  [2209] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec_list, 2),
  [2211] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 4, .production_id = 30),
  [2213] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 4, .production_id = 30),
  [2215] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 4),
  [2217] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 4),
  [2219] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 5, .production_id = 46),
  [2221] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 5, .production_id = 46),
  [2223] = {.count = 1, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 1),
  [2225] = {.count = 1, .reusable = true}, SHIFT(895),
  [2227] = {.count = 1, .reusable = false}, SHIFT(895),
  [2229] = {.count = 1, .reusable = false}, REDUCE(aux_sym_source_file_repeat1, 1),
  [2231] = {.count = 1, .reusable = true}, REDUCE(sym_type_spec, 2, .production_id = 11),
  [2233] = {.count = 1, .reusable = false}, REDUCE(sym_type_spec, 2, .production_id = 11),
  [2235] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 3),
  [2237] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 3),
  [2239] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 4),
  [2241] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 4),
  [2243] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 3, .production_id = 12),
  [2245] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 3, .production_id = 12),
  [2247] = {.count = 1, .reusable = true}, SHIFT(1280),
  [2249] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 40),
  [2251] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 40),
  [2253] = {.count = 1, .reusable = false}, SHIFT(1112),
  [2255] = {.count = 1, .reusable = true}, SHIFT(1006),
  [2257] = {.count = 1, .reusable = false}, SHIFT(1006),
  [2259] = {.count = 1, .reusable = false}, SHIFT(802),
  [2261] = {.count = 1, .reusable = true}, SHIFT(1050),
  [2263] = {.count = 1, .reusable = false}, SHIFT(1050),
  [2265] = {.count = 1, .reusable = false}, SHIFT(855),
  [2267] = {.count = 1, .reusable = true}, SHIFT(1048),
  [2269] = {.count = 1, .reusable = false}, SHIFT(1048),
  [2271] = {.count = 1, .reusable = false}, SHIFT(876),
  [2273] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(162),
  [2276] = {.count = 1, .reusable = true}, SHIFT(972),
  [2278] = {.count = 1, .reusable = true}, SHIFT(77),
  [2280] = {.count = 1, .reusable = true}, SHIFT(1283),
  [2282] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .production_id = 60),
  [2284] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .production_id = 60),
  [2286] = {.count = 1, .reusable = false}, SHIFT(1086),
  [2288] = {.count = 1, .reusable = false}, SHIFT(140),
  [2290] = {.count = 1, .reusable = false}, SHIFT(132),
  [2292] = {.count = 1, .reusable = true}, SHIFT(975),
  [2294] = {.count = 1, .reusable = true}, SHIFT(964),
  [2296] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2),
  [2298] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(741),
  [2301] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(1283),
  [2304] = {.count = 1, .reusable = true}, SHIFT(968),
  [2306] = {.count = 1, .reusable = true}, SHIFT(969),
  [2308] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 79),
  [2310] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 79),
  [2312] = {.count = 1, .reusable = false}, SHIFT(1009),
  [2314] = {.count = 1, .reusable = true}, SHIFT(973),
  [2316] = {.count = 1, .reusable = true}, SHIFT(741),
  [2318] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2),
  [2320] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(77),
  [2323] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(1283),
  [2326] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(17),
  [2329] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(17),
  [2332] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2334] = {.count = 1, .reusable = true}, SHIFT(978),
  [2336] = {.count = 1, .reusable = true}, SHIFT(49),
  [2338] = {.count = 1, .reusable = false}, SHIFT(946),
  [2340] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 1),
  [2342] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 1),
  [2344] = {.count = 1, .reusable = false}, SHIFT(947),
  [2346] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 1),
  [2348] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 1),
  [2350] = {.count = 1, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [2352] = {.count = 1, .reusable = true}, SHIFT(8),
  [2354] = {.count = 1, .reusable = false}, SHIFT(8),
  [2356] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 1),
  [2358] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 16),
  [2360] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 16),
  [2362] = {.count = 1, .reusable = false}, SHIFT(1107),
  [2364] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 42),
  [2366] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 42),
  [2368] = {.count = 1, .reusable = false}, SHIFT(1097),
  [2370] = {.count = 1, .reusable = true}, SHIFT(7),
  [2372] = {.count = 1, .reusable = false}, SHIFT(7),
  [2374] = {.count = 1, .reusable = true}, SHIFT(991),
  [2376] = {.count = 1, .reusable = true}, SHIFT(993),
  [2378] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(232),
  [2381] = {.count = 1, .reusable = true}, SHIFT(990),
  [2383] = {.count = 1, .reusable = true}, SHIFT(989),
  [2385] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 3, .production_id = 63),
  [2387] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 3, .production_id = 63),
  [2389] = {.count = 1, .reusable = false}, SHIFT(996),
  [2391] = {.count = 1, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2),
  [2393] = {.count = 2, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(49),
  [2396] = {.count = 2, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(1283),
  [2399] = {.count = 1, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2, .production_id = 44),
  [2401] = {.count = 1, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2, .production_id = 44),
  [2403] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 1, .production_id = 9),
  [2405] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 1, .production_id = 9),
  [2407] = {.count = 1, .reusable = false}, SHIFT(1125),
  [2409] = {.count = 1, .reusable = true}, SHIFT(977),
  [2411] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_statement, 3, .production_id = 38),
  [2413] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_statement, 3, .production_id = 38),
  [2415] = {.count = 1, .reusable = true}, SHIFT(472),
  [2417] = {.count = 1, .reusable = true}, SHIFT(1187),
  [2419] = {.count = 1, .reusable = true}, SHIFT(879),
  [2421] = {.count = 1, .reusable = true}, SHIFT(866),
  [2423] = {.count = 1, .reusable = true}, SHIFT(683),
  [2425] = {.count = 1, .reusable = true}, SHIFT(945),
  [2427] = {.count = 1, .reusable = true}, SHIFT(859),
  [2429] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2, .production_id = 47),
  [2431] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2, .production_id = 47),
  [2433] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2, .production_id = 47),
  [2435] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2, .production_id = 47),
  [2437] = {.count = 1, .reusable = true}, SHIFT(794),
  [2439] = {.count = 1, .reusable = true}, REDUCE(sym_goto_statement, 2, .production_id = 47),
  [2441] = {.count = 1, .reusable = false}, REDUCE(sym_goto_statement, 2, .production_id = 47),
  [2443] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [2445] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [2447] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 2, .production_id = 48),
  [2449] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 2, .production_id = 48),
  [2451] = {.count = 1, .reusable = true}, REDUCE(sym_inc_statement, 2),
  [2453] = {.count = 1, .reusable = false}, REDUCE(sym_inc_statement, 2),
  [2455] = {.count = 1, .reusable = true}, REDUCE(sym_dec_statement, 2),
  [2457] = {.count = 1, .reusable = false}, REDUCE(sym_dec_statement, 2),
  [2459] = {.count = 1, .reusable = true}, SHIFT(860),
  [2461] = {.count = 1, .reusable = true}, REDUCE(sym_fallthrough_statement, 1),
  [2463] = {.count = 1, .reusable = false}, REDUCE(sym_fallthrough_statement, 1),
  [2465] = {.count = 1, .reusable = true}, SHIFT(887),
  [2467] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 7, .production_id = 89),
  [2469] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 7, .production_id = 89),
  [2471] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 7, .production_id = 92),
  [2473] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 7, .production_id = 92),
  [2475] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 6, .production_id = 89),
  [2477] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 6, .production_id = 89),
  [2479] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 6, .production_id = 85),
  [2481] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 6, .production_id = 85),
  [2483] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 3, .production_id = 65),
  [2485] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 3, .production_id = 65),
  [2487] = {.count = 1, .reusable = true}, SHIFT(779),
  [2489] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 5, .production_id = 14),
  [2491] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 5, .production_id = 14),
  [2493] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 5, .production_id = 76),
  [2495] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 5, .production_id = 76),
  [2497] = {.count = 1, .reusable = true}, SHIFT(936),
  [2499] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 5, .production_id = 85),
  [2501] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 5, .production_id = 85),
  [2503] = {.count = 1, .reusable = true}, SHIFT(842),
  [2505] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 3),
  [2507] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 3),
  [2509] = {.count = 1, .reusable = true}, REDUCE(sym_select_statement, 3),
  [2511] = {.count = 1, .reusable = false}, REDUCE(sym_select_statement, 3),
  [2513] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .production_id = 49),
  [2515] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .production_id = 49),
  [2517] = {.count = 1, .reusable = true}, SHIFT(843),
  [2519] = {.count = 1, .reusable = true}, REDUCE(sym_short_var_declaration, 3, .production_id = 66),
  [2521] = {.count = 1, .reusable = false}, REDUCE(sym_short_var_declaration, 3, .production_id = 66),
  [2523] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2525] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 80),
  [2527] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 80),
  [2529] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [2531] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [2533] = {.count = 1, .reusable = true}, SHIFT(788),
  [2535] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(683),
  [2538] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [2540] = {.count = 1, .reusable = true}, REDUCE(sym_select_statement, 4),
  [2542] = {.count = 1, .reusable = false}, REDUCE(sym_select_statement, 4),
  [2544] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 4, .production_id = 14),
  [2546] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 4, .production_id = 14),
  [2548] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 4),
  [2550] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 4),
  [2552] = {.count = 1, .reusable = true}, SHIFT(882),
  [2554] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 4, .production_id = 76),
  [2556] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 4, .production_id = 76),
  [2558] = {.count = 1, .reusable = true}, SHIFT(1003),
  [2560] = {.count = 1, .reusable = false}, SHIFT(1003),
  [2562] = {.count = 1, .reusable = false}, SHIFT(801),
  [2564] = {.count = 1, .reusable = false}, SHIFT(291),
  [2566] = {.count = 1, .reusable = true}, SHIFT(1047),
  [2568] = {.count = 1, .reusable = true}, SHIFT(25),
  [2570] = {.count = 1, .reusable = true}, SHIFT(930),
  [2572] = {.count = 1, .reusable = true}, SHIFT(778),
  [2574] = {.count = 1, .reusable = true}, SHIFT(789),
  [2576] = {.count = 1, .reusable = false}, SHIFT(361),
  [2578] = {.count = 1, .reusable = false}, SHIFT(425),
  [2580] = {.count = 1, .reusable = true}, SHIFT(997),
  [2582] = {.count = 1, .reusable = false}, SHIFT(997),
  [2584] = {.count = 1, .reusable = false}, SHIFT(782),
  [2586] = {.count = 1, .reusable = true}, SHIFT(782),
  [2588] = {.count = 1, .reusable = false}, SHIFT(381),
  [2590] = {.count = 1, .reusable = true}, SHIFT(1000),
  [2592] = {.count = 1, .reusable = true}, SHIFT(998),
  [2594] = {.count = 1, .reusable = false}, SHIFT(998),
  [2596] = {.count = 1, .reusable = false}, SHIFT(781),
  [2598] = {.count = 1, .reusable = true}, SHIFT(781),
  [2600] = {.count = 1, .reusable = true}, SHIFT(1014),
  [2602] = {.count = 1, .reusable = false}, SHIFT(1014),
  [2604] = {.count = 1, .reusable = false}, SHIFT(872),
  [2606] = {.count = 1, .reusable = true}, SHIFT(987),
  [2608] = {.count = 1, .reusable = false}, SHIFT(987),
  [2610] = {.count = 1, .reusable = false}, SHIFT(779),
  [2612] = {.count = 1, .reusable = false}, SHIFT(427),
  [2614] = {.count = 1, .reusable = true}, SHIFT(1012),
  [2616] = {.count = 1, .reusable = true}, SHIFT(643),
  [2618] = {.count = 1, .reusable = true}, SHIFT(827),
  [2620] = {.count = 1, .reusable = false}, SHIFT(401),
  [2622] = {.count = 1, .reusable = true}, SHIFT(899),
  [2624] = {.count = 1, .reusable = true}, SHIFT(898),
  [2626] = {.count = 1, .reusable = true}, SHIFT(897),
  [2628] = {.count = 2, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2), SHIFT_REPEAT(1085),
  [2631] = {.count = 2, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2), SHIFT_REPEAT(1085),
  [2634] = {.count = 1, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2),
  [2636] = {.count = 1, .reusable = true}, SHIFT(974),
  [2638] = {.count = 1, .reusable = true}, SHIFT(888),
  [2640] = {.count = 1, .reusable = true}, SHIFT(480),
  [2642] = {.count = 1, .reusable = true}, SHIFT(820),
  [2644] = {.count = 1, .reusable = true}, SHIFT(832),
  [2646] = {.count = 1, .reusable = false}, SHIFT(335),
  [2648] = {.count = 1, .reusable = true}, SHIFT(1033),
  [2650] = {.count = 1, .reusable = false}, SHIFT(295),
  [2652] = {.count = 1, .reusable = true}, SHIFT(995),
  [2654] = {.count = 1, .reusable = false}, SHIFT(409),
  [2656] = {.count = 1, .reusable = true}, SHIFT(1001),
  [2658] = {.count = 1, .reusable = true}, SHIFT(1037),
  [2660] = {.count = 1, .reusable = false}, SHIFT(1037),
  [2662] = {.count = 1, .reusable = false}, SHIFT(869),
  [2664] = {.count = 1, .reusable = true}, SHIFT(939),
  [2666] = {.count = 1, .reusable = false}, SHIFT(501),
  [2668] = {.count = 1, .reusable = true}, SHIFT(971),
  [2670] = {.count = 1, .reusable = false}, SHIFT(971),
  [2672] = {.count = 1, .reusable = false}, SHIFT(803),
  [2674] = {.count = 1, .reusable = false}, SHIFT(569),
  [2676] = {.count = 1, .reusable = false}, SHIFT(571),
  [2678] = {.count = 1, .reusable = true}, SHIFT(1028),
  [2680] = {.count = 1, .reusable = true}, SHIFT(881),
  [2682] = {.count = 1, .reusable = true}, SHIFT(858),
  [2684] = {.count = 1, .reusable = true}, SHIFT(688),
  [2686] = {.count = 1, .reusable = true}, SHIFT(976),
  [2688] = {.count = 1, .reusable = true}, SHIFT(986),
  [2690] = {.count = 1, .reusable = false}, SHIFT(345),
  [2692] = {.count = 2, .reusable = true}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(480),
  [2695] = {.count = 1, .reusable = true}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [2697] = {.count = 1, .reusable = true}, SHIFT(838),
  [2699] = {.count = 1, .reusable = true}, SHIFT(877),
  [2701] = {.count = 1, .reusable = true}, SHIFT(800),
  [2703] = {.count = 1, .reusable = true}, SHIFT(851),
  [2705] = {.count = 1, .reusable = true}, SHIFT(850),
  [2707] = {.count = 1, .reusable = true}, SHIFT(1045),
  [2709] = {.count = 1, .reusable = false}, SHIFT(1045),
  [2711] = {.count = 1, .reusable = false}, SHIFT(893),
  [2713] = {.count = 1, .reusable = true}, SHIFT(938),
  [2715] = {.count = 1, .reusable = false}, SHIFT(938),
  [2717] = {.count = 1, .reusable = false}, SHIFT(848),
  [2719] = {.count = 1, .reusable = true}, SHIFT(983),
  [2721] = {.count = 1, .reusable = true}, SHIFT(1052),
  [2723] = {.count = 1, .reusable = false}, SHIFT(1052),
  [2725] = {.count = 1, .reusable = false}, SHIFT(847),
  [2727] = {.count = 1, .reusable = true}, REDUCE(sym__simple_type, 1),
  [2729] = {.count = 1, .reusable = true}, SHIFT(935),
  [2731] = {.count = 1, .reusable = false}, SHIFT(935),
  [2733] = {.count = 1, .reusable = false}, SHIFT(896),
  [2735] = {.count = 1, .reusable = true}, SHIFT(872),
  [2737] = {.count = 1, .reusable = true}, SHIFT(1017),
  [2739] = {.count = 1, .reusable = false}, SHIFT(1017),
  [2741] = {.count = 1, .reusable = false}, SHIFT(885),
  [2743] = {.count = 1, .reusable = false}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2),
  [2745] = {.count = 2, .reusable = true}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2), SHIFT_REPEAT(1047),
  [2748] = {.count = 1, .reusable = true}, SHIFT(885),
  [2750] = {.count = 1, .reusable = true}, SHIFT(944),
  [2752] = {.count = 1, .reusable = false}, SHIFT(944),
  [2754] = {.count = 1, .reusable = false}, SHIFT(866),
  [2756] = {.count = 1, .reusable = true}, SHIFT(863),
  [2758] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2760] = {.count = 1, .reusable = false}, SHIFT(1038),
  [2762] = {.count = 1, .reusable = false}, SHIFT(863),
  [2764] = {.count = 1, .reusable = true}, SHIFT(869),
  [2766] = {.count = 2, .reusable = true}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(999),
  [2769] = {.count = 2, .reusable = false}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(999),
  [2772] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2774] = {.count = 1, .reusable = true}, SHIFT(963),
  [2776] = {.count = 1, .reusable = false}, SHIFT(963),
  [2778] = {.count = 1, .reusable = false}, SHIFT(879),
  [2780] = {.count = 2, .reusable = true}, REDUCE(aux_sym_var_declaration_repeat1, 2), SHIFT_REPEAT(643),
  [2783] = {.count = 1, .reusable = true}, REDUCE(aux_sym_var_declaration_repeat1, 2),
  [2785] = {.count = 1, .reusable = true}, SHIFT(942),
  [2787] = {.count = 1, .reusable = false}, SHIFT(516),
  [2789] = {.count = 1, .reusable = true}, SHIFT(1026),
  [2791] = {.count = 1, .reusable = true}, SHIFT(1041),
  [2793] = {.count = 1, .reusable = true}, SHIFT(44),
  [2795] = {.count = 1, .reusable = true}, SHIFT(455),
  [2797] = {.count = 1, .reusable = true}, SHIFT(32),
  [2799] = {.count = 1, .reusable = true}, SHIFT(521),
  [2801] = {.count = 1, .reusable = true}, SHIFT(109),
  [2803] = {.count = 1, .reusable = true}, SHIFT(34),
  [2805] = {.count = 1, .reusable = true}, SHIFT(50),
  [2807] = {.count = 1, .reusable = true}, SHIFT(761),
  [2809] = {.count = 1, .reusable = true}, SHIFT(627),
  [2811] = {.count = 1, .reusable = true}, SHIFT(416),
  [2813] = {.count = 1, .reusable = true}, SHIFT(1019),
  [2815] = {.count = 1, .reusable = true}, SHIFT(667),
  [2817] = {.count = 1, .reusable = true}, SHIFT(1011),
  [2819] = {.count = 1, .reusable = true}, SHIFT(1193),
  [2821] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 5, .production_id = 93),
  [2823] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_case_repeat1, 2), SHIFT_REPEAT(710),
  [2826] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_case_repeat1, 2),
  [2828] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 4, .production_id = 16),
  [2830] = {.count = 1, .reusable = true}, SHIFT(815),
  [2832] = {.count = 1, .reusable = true}, SHIFT(822),
  [2834] = {.count = 1, .reusable = true}, REDUCE(sym_communication_case, 4, .production_id = 86),
  [2836] = {.count = 1, .reusable = true}, SHIFT(710),
  [2838] = {.count = 1, .reusable = true}, SHIFT(6),
  [2840] = {.count = 1, .reusable = true}, SHIFT(603),
  [2842] = {.count = 1, .reusable = true}, REDUCE(sym_expression_case, 4, .production_id = 14),
  [2844] = {.count = 1, .reusable = true}, SHIFT(1032),
  [2846] = {.count = 1, .reusable = true}, SHIFT(38),
  [2848] = {.count = 1, .reusable = true}, SHIFT(2),
  [2850] = {.count = 1, .reusable = true}, REDUCE(sym_default_case, 3),
  [2852] = {.count = 1, .reusable = true}, SHIFT(759),
  [2854] = {.count = 1, .reusable = true}, SHIFT(604),
  [2856] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 4),
  [2858] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 4, .production_id = 72),
  [2860] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 4, .production_id = 72),
  [2862] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(129),
  [2865] = {.count = 2, .reusable = true}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(48),
  [2868] = {.count = 1, .reusable = true}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [2870] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(214),
  [2873] = {.count = 1, .reusable = true}, SHIFT(42),
  [2875] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec, 3, .production_id = 61),
  [2877] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec, 3, .production_id = 61),
  [2879] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(161),
  [2882] = {.count = 1, .reusable = true}, SHIFT(607),
  [2884] = {.count = 1, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2),
  [2886] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2888] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .production_id = 59),
  [2890] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .production_id = 59),
  [2892] = {.count = 1, .reusable = true}, SHIFT(62),
  [2894] = {.count = 1, .reusable = true}, SHIFT(281),
  [2896] = {.count = 1, .reusable = true}, SHIFT(99),
  [2898] = {.count = 1, .reusable = true}, SHIFT(47),
  [2900] = {.count = 1, .reusable = true}, SHIFT(282),
  [2902] = {.count = 1, .reusable = true}, SHIFT(41),
  [2904] = {.count = 1, .reusable = true}, SHIFT(58),
  [2906] = {.count = 1, .reusable = true}, SHIFT(103),
  [2908] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .production_id = 57),
  [2910] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .production_id = 57),
  [2912] = {.count = 1, .reusable = true}, SHIFT(94),
  [2914] = {.count = 1, .reusable = true}, SHIFT(40),
  [2916] = {.count = 1, .reusable = true}, SHIFT(28),
  [2918] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [2920] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [2922] = {.count = 1, .reusable = true}, SHIFT(51),
  [2924] = {.count = 1, .reusable = true}, SHIFT(64),
  [2926] = {.count = 1, .reusable = true}, SHIFT(133),
  [2928] = {.count = 1, .reusable = true}, SHIFT(33),
  [2930] = {.count = 1, .reusable = true}, SHIFT(46),
  [2932] = {.count = 1, .reusable = true}, SHIFT(547),
  [2934] = {.count = 1, .reusable = true}, SHIFT(546),
  [2936] = {.count = 1, .reusable = true}, SHIFT(98),
  [2938] = {.count = 1, .reusable = true}, SHIFT(36),
  [2940] = {.count = 1, .reusable = true}, SHIFT(451),
  [2942] = {.count = 1, .reusable = true}, SHIFT(452),
  [2944] = {.count = 1, .reusable = true}, SHIFT(137),
  [2946] = {.count = 1, .reusable = true}, SHIFT(124),
  [2948] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 43),
  [2950] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 43),
  [2952] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 41),
  [2954] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 41),
  [2956] = {.count = 1, .reusable = true}, SHIFT(29),
  [2958] = {.count = 1, .reusable = true}, SHIFT(55),
  [2960] = {.count = 1, .reusable = true}, SHIFT(602),
  [2962] = {.count = 1, .reusable = true}, SHIFT(27),
  [2964] = {.count = 1, .reusable = true}, SHIFT(519),
  [2966] = {.count = 1, .reusable = true}, SHIFT(115),
  [2968] = {.count = 1, .reusable = true}, SHIFT(93),
  [2970] = {.count = 1, .reusable = true}, SHIFT(412),
  [2972] = {.count = 1, .reusable = true}, SHIFT(85),
  [2974] = {.count = 1, .reusable = true}, SHIFT(327),
  [2976] = {.count = 1, .reusable = true}, SHIFT(82),
  [2978] = {.count = 1, .reusable = true}, SHIFT(30),
  [2980] = {.count = 1, .reusable = true}, SHIFT(329),
  [2982] = {.count = 1, .reusable = true}, SHIFT(753),
  [2984] = {.count = 1, .reusable = true}, SHIFT(625),
  [2986] = {.count = 1, .reusable = true}, SHIFT(45),
  [2988] = {.count = 1, .reusable = true}, SHIFT(39),
  [2990] = {.count = 1, .reusable = true}, SHIFT(386),
  [2992] = {.count = 1, .reusable = true}, SHIFT(80),
  [2994] = {.count = 1, .reusable = true}, SHIFT(387),
  [2996] = {.count = 1, .reusable = true}, SHIFT(89),
  [2998] = {.count = 1, .reusable = true}, SHIFT(31),
  [3000] = {.count = 1, .reusable = true}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [3002] = {.count = 2, .reusable = true}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(640),
  [3005] = {.count = 1, .reusable = true}, SHIFT(71),
  [3007] = {.count = 1, .reusable = true}, SHIFT(1166),
  [3009] = {.count = 1, .reusable = true}, SHIFT(1165),
  [3011] = {.count = 1, .reusable = true}, SHIFT(1180),
  [3013] = {.count = 1, .reusable = false}, SHIFT(1180),
  [3015] = {.count = 1, .reusable = true}, SHIFT(279),
  [3017] = {.count = 1, .reusable = true}, SHIFT(696),
  [3019] = {.count = 1, .reusable = true}, SHIFT(948),
  [3021] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_parameter_declaration, 3, .production_id = 32),
  [3023] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 3, .production_id = 15),
  [3025] = {.count = 1, .reusable = true}, SHIFT(594),
  [3027] = {.count = 1, .reusable = true}, SHIFT(1036),
  [3029] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 1, .production_id = 9),
  [3031] = {.count = 1, .reusable = true}, SHIFT(378),
  [3033] = {.count = 1, .reusable = true}, SHIFT(726),
  [3035] = {.count = 1, .reusable = true}, REDUCE(sym_dot, 1),
  [3037] = {.count = 1, .reusable = true}, SHIFT(464),
  [3039] = {.count = 1, .reusable = true}, SHIFT(684),
  [3041] = {.count = 1, .reusable = true}, SHIFT(493),
  [3043] = {.count = 1, .reusable = true}, SHIFT(733),
  [3045] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_parameter_declaration, 2, .production_id = 16),
  [3047] = {.count = 1, .reusable = true}, SHIFT(333),
  [3049] = {.count = 1, .reusable = true}, SHIFT(698),
  [3051] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 2, .production_id = 8),
  [3053] = {.count = 1, .reusable = true}, SHIFT(870),
  [3055] = {.count = 1, .reusable = true}, SHIFT(685),
  [3057] = {.count = 1, .reusable = true}, SHIFT(686),
  [3059] = {.count = 1, .reusable = true}, SHIFT(716),
  [3061] = {.count = 1, .reusable = true}, SHIFT(1167),
  [3063] = {.count = 1, .reusable = false}, SHIFT(1167),
  [3065] = {.count = 1, .reusable = true}, SHIFT(144),
  [3067] = {.count = 1, .reusable = true}, SHIFT(1030),
  [3069] = {.count = 1, .reusable = true}, SHIFT(958),
  [3071] = {.count = 1, .reusable = true}, SHIFT(918),
  [3073] = {.count = 1, .reusable = false}, SHIFT(918),
  [3075] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_argument, 2),
  [3077] = {.count = 1, .reusable = true}, SHIFT(538),
  [3079] = {.count = 1, .reusable = true}, SHIFT(743),
  [3081] = {.count = 1, .reusable = true}, SHIFT(403),
  [3083] = {.count = 1, .reusable = true}, SHIFT(703),
  [3085] = {.count = 1, .reusable = true}, SHIFT(578),
  [3087] = {.count = 1, .reusable = true}, SHIFT(687),
  [3089] = {.count = 1, .reusable = true}, SHIFT(1013),
  [3091] = {.count = 1, .reusable = true}, SHIFT(992),
  [3093] = {.count = 1, .reusable = true}, SHIFT(257),
  [3095] = {.count = 1, .reusable = true}, SHIFT(884),
  [3097] = {.count = 1, .reusable = true}, SHIFT(1219),
  [3099] = {.count = 1, .reusable = false}, SHIFT(1219),
  [3101] = {.count = 1, .reusable = true}, SHIFT(443),
  [3103] = {.count = 1, .reusable = true}, SHIFT(1273),
  [3105] = {.count = 1, .reusable = true}, SHIFT(440),
  [3107] = {.count = 1, .reusable = true}, SHIFT(697),
  [3109] = {.count = 1, .reusable = true}, SHIFT(534),
  [3111] = {.count = 1, .reusable = true}, SHIFT(563),
  [3113] = {.count = 1, .reusable = true}, SHIFT(288),
  [3115] = {.count = 1, .reusable = true}, SHIFT(752),
  [3117] = {.count = 1, .reusable = true}, SHIFT(690),
  [3119] = {.count = 1, .reusable = true}, SHIFT(363),
  [3121] = {.count = 1, .reusable = true}, SHIFT(777),
  [3123] = {.count = 1, .reusable = true}, SHIFT(278),
  [3125] = {.count = 1, .reusable = true}, SHIFT(286),
  [3127] = {.count = 1, .reusable = true}, SHIFT(150),
  [3129] = {.count = 1, .reusable = true}, SHIFT(560),
  [3131] = {.count = 1, .reusable = true}, SHIFT(702),
  [3133] = {.count = 1, .reusable = true}, SHIFT(760),
  [3135] = {.count = 1, .reusable = true}, SHIFT(444),
  [3137] = {.count = 1, .reusable = true}, SHIFT(724),
  [3139] = {.count = 1, .reusable = true}, SHIFT(748),
  [3141] = {.count = 1, .reusable = true}, SHIFT(487),
  [3143] = {.count = 1, .reusable = true}, SHIFT(205),
  [3145] = {.count = 1, .reusable = true}, SHIFT(728),
  [3147] = {.count = 1, .reusable = true}, SHIFT(112),
  [3149] = {.count = 1, .reusable = true}, SHIFT(108),
  [3151] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 3, .production_id = 73),
  [3153] = {.count = 1, .reusable = true}, SHIFT(740),
  [3155] = {.count = 1, .reusable = true}, SHIFT(4),
  [3157] = {.count = 1, .reusable = true}, REDUCE(sym__type_switch_header, 9, .production_id = 96),
  [3159] = {.count = 1, .reusable = true}, REDUCE(sym_implicit_length_array_type, 4, .production_id = 52),
  [3161] = {.count = 1, .reusable = true}, SHIFT(5),
  [3163] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 4, .production_id = 81),
  [3165] = {.count = 1, .reusable = true}, SHIFT(924),
  [3167] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 4, .production_id = 83),
  [3169] = {.count = 1, .reusable = true}, SHIFT(864),
  [3171] = {.count = 1, .reusable = true}, SHIFT(1160),
  [3173] = {.count = 1, .reusable = true}, SHIFT(74),
  [3175] = {.count = 1, .reusable = true}, SHIFT(225),
  [3177] = {.count = 1, .reusable = true}, SHIFT(793),
  [3179] = {.count = 1, .reusable = true}, SHIFT(441),
  [3181] = {.count = 1, .reusable = true}, SHIFT(365),
  [3183] = {.count = 1, .reusable = true}, SHIFT(358),
  [3185] = {.count = 1, .reusable = true}, SHIFT(135),
  [3187] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 5, .production_id = 88),
  [3189] = {.count = 1, .reusable = true}, SHIFT(853),
  [3191] = {.count = 1, .reusable = true}, SHIFT(797),
  [3193] = {.count = 1, .reusable = true}, SHIFT(328),
  [3195] = {.count = 1, .reusable = true}, REDUCE(sym__type_switch_header, 5, .production_id = 90),
  [3197] = {.count = 1, .reusable = true}, SHIFT(787),
  [3199] = {.count = 1, .reusable = true}, SHIFT(1286),
  [3201] = {.count = 1, .reusable = true}, SHIFT(722),
  [3203] = {.count = 1, .reusable = true}, SHIFT(88),
  [3205] = {.count = 1, .reusable = true}, SHIFT(1287),
  [3207] = {.count = 1, .reusable = true}, SHIFT(890),
  [3209] = {.count = 1, .reusable = true}, SHIFT(721),
  [3211] = {.count = 1, .reusable = true}, SHIFT(338),
  [3213] = {.count = 1, .reusable = true}, SHIFT(3),
  [3215] = {.count = 1, .reusable = true}, SHIFT(105),
  [3217] = {.count = 1, .reusable = true}, SHIFT(531),
  [3219] = {.count = 1, .reusable = true}, REDUCE(sym__type_switch_header, 7, .production_id = 94),
  [3221] = {.count = 1, .reusable = true}, REDUCE(sym__type_switch_header, 7, .production_id = 95),
  [3223] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [3225] = {.count = 1, .reusable = true}, SHIFT(532),
  [3227] = {.count = 1, .reusable = true}, SHIFT(915),
  [3229] = {.count = 1, .reusable = true}, SHIFT(1251),
  [3231] = {.count = 1, .reusable = true}, SHIFT(404),
  [3233] = {.count = 1, .reusable = true}, SHIFT(834),
  [3235] = {.count = 1, .reusable = true}, SHIFT(950),
  [3237] = {.count = 1, .reusable = true}, SHIFT(325),
  [3239] = {.count = 1, .reusable = true}, SHIFT(714),
  [3241] = {.count = 1, .reusable = true}, SHIFT(707),
  [3243] = {.count = 1, .reusable = true}, SHIFT(410),
  [3245] = {.count = 1, .reusable = true}, SHIFT(747),
  [3247] = {.count = 1, .reusable = true}, SHIFT(241),
  [3249] = {.count = 1, .reusable = true}, SHIFT(220),
  [3251] = {.count = 1, .reusable = true}, SHIFT(208),
  [3253] = {.count = 1, .reusable = true}, SHIFT(192),
  [3255] = {.count = 1, .reusable = true}, SHIFT(151),
  [3257] = {.count = 1, .reusable = true}, SHIFT(730),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_go(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
